(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    318372,       8071]
NotebookOptionsPosition[    305775,       7873]
NotebookOutlinePosition[    306264,       7892]
CellTagsIndexPosition[    306221,       7889]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Demo file for case based SEM ", "Subtitle",
 CellChangeTimes->{{3.874411065185432*^9, 
  3.8744110840290537`*^9}},ExpressionUUID->"42c2d7d6-e76d-434f-9212-\
4ad986425b61"],

Cell["(c) 2023 Reinhard.Oldenburg@math.uni-augsburg.de", "Text",
 CellChangeTimes->{{3.874411096505315*^9, 3.874411108947089*^9}, {
  3.8818952232094727`*^9, 
  3.881895223434814*^9}},ExpressionUUID->"2bdf91d4-5c1f-4276-b627-\
86dc78480a59"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
  "Get", "[", "\"\<~/Dropbox/Statistik/sem_studie/newSEM2/ncbSEM_V11.wl\>\"", 
   "]"}], ";", 
  RowBox[{
  "Get", "[", "\"\<~/Dropbox/Statistik/sem_studie/newSEM2/RBollen.wl\>\"", 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fastM", "=", 
    RowBox[{"{", 
     RowBox[{"\"\<W1\>\"", ",", "\"\<Wn\>\"", ",", "\"\<Ww(Wn)\>\""}], 
     "}"}]}], ";", 
   RowBox[{"slowM", "=", 
    RowBox[{"{", 
     RowBox[{"\"\<W^{2a}\>\"", ",", "\"\<W^{2a0}\>\""}], "}"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", "Methods", " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Nsimu", "=", "100"}], ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"#", " ", "simulations"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Bollen", "'"}], "s", " ", "democrarcy", " ", "model"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BollenEQ", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"dem60", "\[Equal]", 
        RowBox[{
         RowBox[{"b1", "*", "ind60"}], "+", "u1"}]}], ",", "e01"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"dem65", "\[Equal]", 
        RowBox[{
         RowBox[{"b2", "*", "ind60"}], "+", 
         RowBox[{"b3", "*", "dem60"}], "+", "u2"}]}], ",", "e02"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x1", "\[Equal]", 
        RowBox[{
         RowBox[{"1", "*", "ind60"}], "+", "t1"}]}], ",", "ee1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x2", "\[Equal]", 
        RowBox[{
         RowBox[{"c2", "*", "ind60"}], "+", "t2"}]}], ",", "ee2"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x3", "\[Equal]", 
        RowBox[{
         RowBox[{"c3", "*", "ind60"}], "+", "t3"}]}], ",", "ee3"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y1", "\[Equal]", 
        RowBox[{
         RowBox[{"1", "*", "dem60"}], "+", "s1"}]}], ",", "e1"}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y2", "\[Equal]", 
        RowBox[{
         RowBox[{"d2", "*", "dem60"}], "+", "s2"}]}], ",", "e2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y3", "\[Equal]", 
        RowBox[{
         RowBox[{"d3", "*", "dem60"}], "+", "s3"}]}], ",", "e3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y4", "\[Equal]", 
        RowBox[{
         RowBox[{"d4", "*", "dem60"}], "+", "s4"}]}], ",", "e4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y5", "\[Equal]", 
        RowBox[{
         RowBox[{"1", "*", "dem65"}], "+", "s5"}]}], ",", "e5"}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y6", "\[Equal]", 
        RowBox[{
         RowBox[{"d6", "*", "dem65"}], "+", "s6"}]}], ",", "e6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y7", "\[Equal]", 
        RowBox[{
         RowBox[{"d7", "*", "dem65"}], "+", "s7"}]}], ",", "e7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y8", "\[Equal]", 
        RowBox[{
         RowBox[{"d8", "*", "dem65"}], "+", "s8"}]}], ",", "e8"}], "}"}]}], 
    " ", "}"}]}], ";", 
  RowBox[{"BollenEQ0", "=", 
   RowBox[{"BollenEQ", "/.", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"s1", "->", "0"}], ",", 
      RowBox[{"s2", "->", "0"}], ",", 
      RowBox[{"s3", "->", "0"}], ",", 
      RowBox[{"s4", "->", "0"}], ",", 
      RowBox[{"s5", "->", "0"}], ",", 
      RowBox[{"s6", "->", "0"}], ",", 
      RowBox[{"s7", "->", "0"}], ",", 
      RowBox[{"s8", "->", "0"}], ",", 
      RowBox[{"t1", "->", "0"}], ",", 
      RowBox[{"t2", "->", "0"}], ",", 
      RowBox[{"t3", "->", "0"}], ",", 
      RowBox[{"u1", "->", "0"}], ",", 
      RowBox[{"u2", "->", "0"}]}], " ", "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Blvars", "=", " ", 
    RowBox[{"{", 
     RowBox[{"ind60", ",", "dem60", ",", "dem65"}], "}"}]}], ";", 
   RowBox[{
    RowBox[{"NVR", "[", "0", "]"}], ":=", "0"}], ";"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bobserved", "=", 
   RowBox[{"{", 
    RowBox[{
    "y1", ",", "y2", ",", "y3", ",", "y4", ",", "y5", ",", "y6", ",", "y7", 
     ",", "y8", ",", "x1", ",", "x2", ",", "x3"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NVR", "[", "sig_", "]"}], ":=", 
    RowBox[{
     RowBox[{"RandomVariate", "[", 
      RowBox[{
       RowBox[{"NormalDistribution", "[", 
        RowBox[{"0", ",", "sig"}], "]"}], ",", "1"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NVR", "[", 
     RowBox[{"sig_", ",", "n_"}], "]"}], ":=", 
    RowBox[{"RandomVariate", "[", 
     RowBox[{
      RowBox[{"NormalDistribution", "[", 
       RowBox[{"0", ",", "sig"}], "]"}], ",", "n"}], "]"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"UVR", "[", 
     RowBox[{"sig_", ",", "n_"}], "]"}], ":=", 
    RowBox[{"RandomVariate", "[", 
     RowBox[{
      RowBox[{"UniformDistribution", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "sig"}], ",", "sig"}], "}"}], "*", 
        RowBox[{"Sqrt", "[", "3", "]"}]}], "]"}], ",", "n"}], "]"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"UVR2", "[", 
     RowBox[{"sig_", ",", "n_"}], "]"}], ":=", 
    RowBox[{"sig", "*", 
     RowBox[{"10", "/", "9"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", "*", 
        RowBox[{
         RowBox[{"RandomVariate", "[", 
          RowBox[{
           RowBox[{"UniformDistribution", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], "]"}], ",", "n"}], "]"}], "^", 
         "2"}]}], "-", "1"}], ")"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 

 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"UVR2i", "[", 
     RowBox[{"sig_", ",", "n_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"-", "sig"}], "*", 
     RowBox[{"10", "/", "9"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", "*", 
        RowBox[{
         RowBox[{"RandomVariate", "[", 
          RowBox[{
           RowBox[{"UniformDistribution", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], "]"}], ",", "n"}], "]"}], "^", 
         "2"}]}], "-", "1"}], ")"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 

 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"UVR3", "[", 
     RowBox[{"sig_", ",", "n_"}], "]"}], ":=", 
    RowBox[{"sig", "*", "4", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"UniformDistribution", "[", 
           RowBox[{"{", 
            RowBox[{"0.0001", ",", "1"}], "}"}], "]"}], ",", "n"}], "]"}], 
        "^", "0.5"}], "-", 
       RowBox[{"2", "/", "3"}]}], ")"}]}]}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Options", "[", "SimData", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"simerr", "->", "False"}], ",", 
     RowBox[{"latnorm", "->", "0"}], ",", 
     RowBox[{"errnorm", "->", "0"}], ",", 
     RowBox[{"Loffsets", "->", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SimData", "[", 
     RowBox[{"n_", ",", 
      RowBox[{"{", 
       RowBox[{
       "pb1_", ",", "pb2_", ",", "pb3_", ",", "pc2_", ",", "pc3_", ",", " ", 
        "pd2_", ",", "pd3_", ",", "pd4_", ",", "pd6_", ",", "pd7_", ",", 
        "pd8_"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "sigX1_", ",", "sigX2_", ",", "sigX3_", ",", "sigY1_", ",", "sigY2_", 
        ",", "sigY3_", ",", "sigY4_", ",", "sigY5_", ",", "sigY6_", ",", 
        "sigY7_", ",", "sigY8_", ",", "sig1_", ",", "sig2_"}], "}"}], ",", 
      RowBox[{"OptionsPattern", "[", "]"}]}], "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "i", ",", "IND60", ",", "DEM60", ",", "k", ",", "ksol", ",", "DEM65", 
        ",", "X1", ",", "X2", ",", "X3", ",", "Y1", ",", "Y2", ",", "Y3", ",",
         "Y4", ",", "Y5", ",", "Y6", ",", "Y7", ",", "Y8", ",", "res", ",", 
        "ee", ",", "\[IndentingNewLine]", "EVR", ",", "EVRb", ",", "LVR", ",",
         "E01", ",", "E02", ",", "EE1", ",", "EE2", ",", "EE3", ",", "E1", 
        ",", "E2", ",", "E3", ",", "E4", ",", "E5", ",", "E6", ",", "E7", ",",
         "E8"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"EVR", "=", 
        RowBox[{"Switch", "[", 
         RowBox[{
          RowBox[{"OptionValue", "@", "errnorm"}], ",", "0", ",", "NVR", ",", 
          "1", ",", "UVR", ",", "2", ",", "UVR2", ",", "3", ",", "UVR2i", ",",
           "4", ",", "UVR3"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"EVRb", "[", 
         RowBox[{"sig_", ",", "nn_"}], "]"}], ":=", 
        RowBox[{"-", 
         RowBox[{"EVR", "[", 
          RowBox[{"sig", ",", "nn"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"LVR", "=", 
        RowBox[{"Switch", "[", 
         RowBox[{
          RowBox[{"OptionValue", "@", "latnorm"}], ",", "0", ",", "NVR", ",", 
          "1", ",", "UVR", ",", "2", ",", "UVR2", ",", "3", ",", "UVR2i", ",",
           "4", ",", "UVR3"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"IND60", "=", 
        RowBox[{
         RowBox[{"LVR", "[", 
          RowBox[{"1", ",", "n"}], "]"}], "+", 
         RowBox[{
          RowBox[{"OptionValue", "[", "Loffsets", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], ";", " ", "\[IndentingNewLine]", 
       RowBox[{"X1", "=", 
        RowBox[{
         RowBox[{"1.0", "*", "IND60"}], "+", 
         RowBox[{"EVR", "[", 
          RowBox[{"sigX1", ",", "n"}], "]"}]}]}], ";", 
       RowBox[{"EE1", "=", 
        RowBox[{"X1", "-", "IND60"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"X2", "=", 
        RowBox[{
         RowBox[{"pc2", "*", "IND60"}], "+", 
         RowBox[{"EVRb", "[", 
          RowBox[{"sigX2", ",", "n"}], "]"}]}]}], ";", 
       RowBox[{"EE2", "=", 
        RowBox[{"X2", "-", 
         RowBox[{"pc2", "*", "IND60"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"X3", "=", 
        RowBox[{
         RowBox[{"pc3", "*", "IND60"}], "+", 
         RowBox[{"EVRb", "[", 
          RowBox[{"sigX3", ",", "n"}], "]"}]}]}], ";", 
       RowBox[{"EE3", "=", 
        RowBox[{"X3", "-", 
         RowBox[{"pc3", "*", "IND60"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"DEM60", "=", 
        RowBox[{
         RowBox[{"pb1", "*", "IND60"}], "+", 
         RowBox[{"EVR", "[", 
          RowBox[{"sig1", ",", "n"}], "]"}], "+", 
         RowBox[{
          RowBox[{"OptionValue", "[", "Loffsets", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}]}], ";", " ", 
       RowBox[{"E01", "=", 
        RowBox[{"DEM60", "-", 
         RowBox[{"pb1", "*", "IND60"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Y1", "=", 
        RowBox[{
         RowBox[{"1.0", "*", "DEM60"}], "+", 
         RowBox[{"EVRb", "[", 
          RowBox[{"sigY1", ",", "n"}], "]"}]}]}], ";", " ", 
       RowBox[{"E1", "=", 
        RowBox[{"Y1", "-", "DEM60"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Y2", "=", 
        RowBox[{
         RowBox[{"pd2", "*", "DEM60"}], "+", 
         RowBox[{"EVRb", "[", 
          RowBox[{"sigY2", ",", "n"}], "]"}]}]}], ";", " ", 
       RowBox[{"E2", "=", 
        RowBox[{"Y2", "-", 
         RowBox[{"pd2", "*", "DEM60"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Y3", "=", 
        RowBox[{
         RowBox[{"pd3", "*", "DEM60"}], "+", 
         RowBox[{"EVR", "[", 
          RowBox[{"sigY3", ",", "n"}], "]"}]}]}], ";", 
       RowBox[{"E3", "=", 
        RowBox[{"Y3", "-", 
         RowBox[{"pd3", "*", "DEM60"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Y4", "=", 
        RowBox[{
         RowBox[{"pd4", "*", "DEM60"}], "+", 
         RowBox[{"EVR", "[", 
          RowBox[{"sigY4", ",", "n"}], "]"}]}]}], ";", 
       RowBox[{"E4", "=", 
        RowBox[{"Y4", "-", 
         RowBox[{"pd4", "*", "DEM60"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"DEM65", "=", 
        RowBox[{
         RowBox[{"pb2", "*", "IND60"}], "+", 
         RowBox[{"pb3", "*", "DEM60"}], "+", 
         RowBox[{"NVR", "[", 
          RowBox[{"sig2", ",", "n"}], "]"}], "+", 
         RowBox[{
          RowBox[{"OptionValue", "[", "Loffsets", "]"}], "[", 
          RowBox[{"[", "3", "]"}], "]"}]}]}], ";", " ", "\[IndentingNewLine]", 
       RowBox[{"E02", "=", 
        RowBox[{"DEM65", "-", 
         RowBox[{"pb2", "*", "IND60"}], "-", 
         RowBox[{"pb3", "*", "DEM60"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Y5", "=", 
        RowBox[{
         RowBox[{"1.0", "*", "DEM65"}], "+", 
         RowBox[{"EVRb", "[", 
          RowBox[{"sigY5", ",", "n"}], "]"}]}]}], ";", " ", 
       RowBox[{"E5", "=", 
        RowBox[{"Y5", "-", 
         RowBox[{"1", "*", "DEM65"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Y6", "=", 
        RowBox[{
         RowBox[{"pd6", "*", "DEM65"}], "+", 
         RowBox[{"EVR", "[", 
          RowBox[{"sigY6", ",", "n"}], "]"}]}]}], ";", 
       RowBox[{"E6", "=", 
        RowBox[{"Y6", "-", 
         RowBox[{"pd6", "*", "DEM65"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Y7", "=", 
        RowBox[{
         RowBox[{"pd7", "*", "DEM65"}], "+", 
         RowBox[{"EVR", "[", 
          RowBox[{"sigY7", ",", "n"}], "]"}]}]}], ";", 
       RowBox[{"E7", "=", 
        RowBox[{"Y7", "-", 
         RowBox[{"pd7", "*", "DEM65"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Y8", "=", 
        RowBox[{
         RowBox[{"pd8", "*", "DEM65"}], "+", 
         RowBox[{"EVRb", "[", 
          RowBox[{"sigY8", ",", "n"}], "]"}]}]}], ";", 
       RowBox[{"E8", "=", 
        RowBox[{"Y8", "-", 
         RowBox[{"pd8", "*", "DEM65"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"OptionValue", "@", "simerr"}], ",", 
         RowBox[{
          RowBox[{"ee", "=", 
           RowBox[{"NVR", "[", 
            RowBox[{"0.3", ",", "n"}], "]"}]}], ";", 
          RowBox[{"Y4", "=", 
           RowBox[{"Y4", "+", "ee"}]}], ";", 
          RowBox[{"Y8", "=", 
           RowBox[{"Y8", "+", "ee"}]}], ";", 
          RowBox[{"E4", "=", 
           RowBox[{"E4", "+", "ee"}]}], ";", 
          RowBox[{"E8", "=", 
           RowBox[{"E8", "+", "ee"}]}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"res", "=", 
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{
          "Y1", ",", "Y2", ",", "Y3", ",", "Y4", ",", "Y5", ",", "Y6", ",", 
           "Y7", ",", "Y8", ",", "X1", ",", "X2", ",", "X3"}], "}"}], "]"}]}],
        ";", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"res", ",", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Apply", "[", 
             RowBox[{"Rule", ",", "#"}], "]"}], "&"}], ",", 
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"b1", ",", "pb1"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"b2", ",", "pb2"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"b3", ",", "pb3"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"c2", ",", "pc2"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"c3", ",", "pc3"}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"d2", ",", "pd2"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"d3", ",", "pd3"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"d4", ",", "pd4"}], "}"}], ",", "  ", 
               RowBox[{"{", 
                RowBox[{"d6", ",", "pd6"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"d7", ",", "pd7"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"d8", ",", "pd8"}], "}"}]}], "}"}], ",", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind60", "[", "i", "]"}], ",", 
                 RowBox[{"IND60", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"dem60", "[", "i", "]"}], ",", 
                 RowBox[{"DEM60", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"dem65", "[", "i", "]"}], ",", 
                 RowBox[{"DEM65", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], "]"}]}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Map", "[", 
          RowBox[{"StandardDeviation", ",", 
           RowBox[{"{", 
            RowBox[{"IND60", ",", "DEM60", ",", "DEM65"}], "}"}]}], "]"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{
          "E01", ",", "E02", ",", "EE1", ",", "EE2", ",", "EE3", ",", "E1", 
           ",", "E2", ",", "E3", ",", "E4", ",", "E5", ",", "E6", ",", "E7", 
           ",", "E8"}], "}"}]}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{
    "pb1_", ",", "pb2_", ",", "pb3_", ",", "    ", "pc2_", ",", "pc3_", ",", 
     "     ", "pd2_", ",", "pd3_", ",", "pd4_", ",", "pd6_", ",", "pd7_", ",",
      "pd8_"}], "}"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"para0", "=", 
    RowBox[{"{", 
     RowBox[{
     "1.2", ",", "0.5", ",", "0.8", ",", "      ", "0.7", ",", "0.9", ",", 
      "     ", "0.3", ",", "0.9", ",", "1.7", ",", "     ", "0.6", ",", "0.4",
       ",", "1.3"}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{"{", 
    RowBox[{
    "sigX1_", ",", "sigX2_", ",", "sigX3_", ",", " ", "sigY1_", ",", "sigY2_",
      ",", "sigY3_", ",", "sigY4_", ",", "sigY5_", ",", "sigY6_", ",", 
     "sigY7_", ",", "sigY8_", ",", "sig1_", ",", "sig2_"}], "}"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Spara0", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.1", ",", "0.2", ",", "0.3", ",", "      ", "0.2", ",", "0.1", ",", 
     "0.2", ",", "0.3", ",", "  ", "0.2", ",", "0.1", ",", "0.2", ",", "0.3", 
     ",", "     ", "0.3", ",", "0.2"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Spara0b", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.2", ",", "0.3", ",", "0.1", ",", "      ", "0.2", ",", "0.1", ",", 
     "0.2", ",", "0.3", ",", "  ", "0.2", ",", "0.1", ",", "0.2", ",", "0.2", 
     ",", "     ", "0.4", ",", "0.3"}], "}"}]}], ";", 
  RowBox[{"Spara0c", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.2", ",", "0.2", ",", "0.1", ",", "     ", "0.2", ",", "0.1", ",", 
     "0.2", ",", "0.3", ",", "0.2", ",", "0.3", ",", "0.2", ",", "0.2", ",", 
     "     ", "0.5", ",", "0.3"}], "}"}]}], ";", 
  RowBox[{"Spararules", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Apply", "[", 
       RowBox[{"Rule", ",", "#"}], "]"}], "&"}], ",", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "sigX1", ",", "sigX2", ",", "sigX3", ",", " ", "sigY1", ",", "sigY2",
           ",", "sigY3", ",", "sigY4", ",", "sigY5", ",", "sigY6", ",", 
          "sigY7", ",", "sigY8", ",", "sig1", ",", "sig2"}], "}"}], ",", 
        "Spara0"}], "}"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BestWeights", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"e01", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sig1", "^", "2"}]}]}], ",", " ", 
      RowBox[{"e02", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sig2", "^", "2"}]}]}], ",", 
      RowBox[{"ee1", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sigX1", "^", "2"}]}]}], ",", 
      RowBox[{"ee2", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sigX2", "^", "2"}]}]}], ",", 
      RowBox[{"ee3", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sigX3", "^", "2"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"e1", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sigY1", "^", "2"}]}]}], ",", 
      RowBox[{"e2", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sigY2", "^", "2"}]}]}], ",", 
      RowBox[{"e3", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sigY3", "^", "2"}]}]}], ",", 
      RowBox[{"e4", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sigY4", "^", "2"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"e5", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sigY5", "^", "2"}]}]}], ",", 
      RowBox[{"e6", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sigY6", "^", "2"}]}]}], ",", 
      RowBox[{"e7", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sigY7", "^", "2"}]}]}], ",", 
      RowBox[{"e8", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"sigY8", "^", "2"}]}]}]}], "}"}], "/.", "Spararules"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BestWeightsW", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Apply", "[", 
       RowBox[{"Rule", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"weight", "[", 
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}], "&"}], ",", 
     "BestWeights"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wopt", "=", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{"Last", ",", "BestWeights"}], "]"}], "/", 
    RowBox[{"Apply", "[", 
     RowBox[{"Plus", ",", 
      RowBox[{"Map", "[", 
       RowBox[{"Last", ",", "BestWeights"}], "]"}]}], "]"}]}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.865160201277637*^9, 3.865160244766515*^9}, {
   3.865386153751883*^9, 3.865386168680408*^9}, {3.8671597428409977`*^9, 
   3.867159796727281*^9}, {3.8672383628515863`*^9, 3.8672383718476543`*^9}, {
   3.867300244032724*^9, 3.86730025998532*^9}, {3.868320333264574*^9, 
   3.8683203356688137`*^9}, {3.8696478400602407`*^9, 3.86964785752278*^9}, {
   3.872333693039009*^9, 3.8723337581475153`*^9}, {3.872425210837543*^9, 
   3.8724252110125723`*^9}, {3.872426166864608*^9, 3.872426173558861*^9}, {
   3.872429056145651*^9, 3.872429056441431*^9}, {3.872429196625078*^9, 
   3.872429196703493*^9}, 3.87268549827639*^9, {3.8729029355839663`*^9, 
   3.872902939561915*^9}, {3.873287109146811*^9, 3.873287115089259*^9}, {
   3.873287158624607*^9, 3.8732871599640093`*^9}, 3.873287269378234*^9, {
   3.8734642654766703`*^9, 3.873464363757091*^9}, 3.873474732628415*^9, 
   3.873634136815173*^9, 3.873635009174973*^9, {3.874153225671481*^9, 
   3.8741532458006077`*^9}, {3.8741532785948*^9, 3.8741532793593397`*^9}, {
   3.874153399671796*^9, 3.874153424031057*^9}, {3.874153536633882*^9, 
   3.8741535539896097`*^9}, {3.8741535909799957`*^9, 3.874153595941669*^9}, {
   3.874153671094911*^9, 3.874153710666481*^9}, {3.8741537422958*^9, 
   3.87415376431244*^9}, {3.874153798176412*^9, 3.874153896171926*^9}, {
   3.874399311278081*^9, 3.874399330446871*^9}, 3.874399870156767*^9, {
   3.8748986613760443`*^9, 3.8748987109828587`*^9}, 3.874983586736307*^9, {
   3.875686011200333*^9, 3.87568601488046*^9}, 3.881895226497401*^9, {
   3.882537329909997*^9, 3.88253733049194*^9}, {3.882958204929615*^9, 
   3.882958208390822*^9}, {3.8835741315470867`*^9, 3.883574155976922*^9}, {
   3.883620421366551*^9, 3.883620421816214*^9}, {3.8836525435396423`*^9, 
   3.883652548702982*^9}, {3.8837251761061363`*^9, 3.883725177285845*^9}, 
   3.884516514040613*^9, {3.8966099878093033`*^9, 3.896610003780711*^9}, {
   3.896624822215666*^9, 3.896624836721841*^9}, {3.896754579567767*^9, 
   3.896754608517612*^9}, 3.896836503035919*^9, {3.8968372084091377`*^9, 
   3.896837216745055*^9}, {3.896837801713718*^9, 3.896837827385552*^9}, 
   3.89692350484516*^9, {3.896923702958235*^9, 3.896923736013282*^9}, {
   3.896925779889884*^9, 3.896925793029851*^9}, {3.897030028586042*^9, 
   3.8970300350169163`*^9}, {3.897129850463931*^9, 3.897129851117765*^9}, {
   3.898817212221862*^9, 3.898817226981126*^9}, {3.899366534031493*^9, 
   3.8993665673055553`*^9}, {3.899424447093832*^9, 3.899424452754079*^9}, {
   3.8998240530023203`*^9, 3.899824054755699*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"0c97bfbe-1f3e-4c11-9a9f-afe0c6e192cf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**", "**"}], "*", " ", 
    "some", " ", "in", " ", "depth", " ", "anaylsis", " ", "on", " ", 
    RowBox[{"Bollen", "'"}], "s", " ", "model"}], " ", "*****)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"n", "=", "500"}], ";", " ", 
    RowBox[{"datt", "=", 
     RowBox[{"SimData", "[", 
      RowBox[{"n", ",", "para0", ",", "Spara0", ",", 
       RowBox[{"simerr", "->", "False"}], ",", 
       RowBox[{"latnorm", "->", "0"}], ",", 
       RowBox[{"errnorm", "->", "0"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"val0", "=", 
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ind60", "[", "i", "]"}], ",", 
           RowBox[{
            RowBox[{"First", "[", "datt", "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"i", ",", "9"}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"dem60", "[", "i", "]"}], ",", 
           RowBox[{
            RowBox[{"First", "[", "datt", "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"dem65", "[", "i", "]"}], ",", 
           RowBox[{
            RowBox[{"First", "[", "datt", "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"i", ",", "5"}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";", " ", 
    RowBox[{"dat", "=", 
     RowBox[{"First", "@", "datt"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resW2a", "=", 
     RowBox[{"slowSEM", "[", 
      RowBox[{
      "\"\<W^{2a}\>\"", ",", "dat", ",", "Bobserved", ",", "Blvars", ",", 
       "BollenEQ", ",", 
       RowBox[{"InitValues", "->", "val0"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resW2a0", "=", 
     RowBox[{"slowSEM", "[", 
      RowBox[{
      "\"\<W^{2a0}\>\"", ",", "dat", ",", "Bobserved", ",", "Blvars", ",", 
       "BollenEQ", ",", 
       RowBox[{"InitValues", "->", "val0"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<W2a\>\"", ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}], "/.", 
        RowBox[{"resW2a", "[", 
         RowBox[{"[", "\"\<sol\>\"", "]"}], "]"}]}], ",", "\"\<W2a0\>\"", ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}], "/.", 
        RowBox[{"resW2a0", "[", 
         RowBox[{"[", "\"\<sol\>\"", "]"}], "]"}]}]}], "}"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"MatrixForm", "[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"resW2a", "[", "\"\<EEcors\>\"", "]"}], ",", "0.01"}], 
         "]"}], "]"}], ",", 
       RowBox[{"MatrixForm", "[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"resW2a0", "[", "\"\<EEcors\>\"", "]"}], ",", "0.01"}], 
         "]"}], "]"}]}], "}"}], "]"}], ";", 
    RowBox[{"Print", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"MatrixForm", "[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"resW2a", "[", "\"\<DEcors\>\"", "]"}], ",", "0.01"}], 
         "]"}], "]"}], ",", 
       RowBox[{"MatrixForm", "[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"resW2a0", "[", "\"\<DEcors\>\"", "]"}], ",", "0.01"}], 
         "]"}], "]"}]}], "}"}], "]"}], ";", 
    RowBox[{"Print", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"MatrixForm", "[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"resW2a", "[", "\"\<LEcors\>\"", "]"}], ",", "0.01"}], 
         "]"}], "]"}], ",", 
       RowBox[{"MatrixForm", "[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"resW2a0", "[", "\"\<LEcors\>\"", "]"}], ",", "0.01"}], 
         "]"}], "]"}]}], "}"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<W2a\>\"", ",", 
       RowBox[{"resW2a", "@", "\"\<GOFMC\>\""}], ",", 
       RowBox[{"resW2a", "@", "\"\<Fmin\>\""}], ",", "\"\<W2a0\>\"", ",", 
       RowBox[{"resW2a0", "@", "\"\<GOFMC\>\""}], ",", 
       RowBox[{"resW2a0", "@", "\"\<Fmin\>\""}]}], "}"}], "]"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.899519907436273*^9, 3.899520356936131*^9}, {
   3.899520430589074*^9, 3.899520474350716*^9}, {3.8995208413242617`*^9, 
   3.8995208614093723`*^9}, {3.899520968216001*^9, 3.899521104297501*^9}, {
   3.8995211390825157`*^9, 3.899521223972631*^9}, {3.899523703077713*^9, 
   3.899523703615834*^9}, {3.8995239914281588`*^9, 3.89952400893581*^9}, {
   3.899526142698415*^9, 3.899526178123954*^9}, 3.899526251362383*^9, 
   3.8995264394953213`*^9, {3.899528412936625*^9, 3.899528443465201*^9}, {
   3.899560910185512*^9, 3.8995610596917353`*^9}, {3.899561094860045*^9, 
   3.8995611397731247`*^9}, {3.8995611711580143`*^9, 
   3.8995611743283577`*^9}, {3.899561913742496*^9, 3.899561918635146*^9}, 
   3.899990190185999*^9, {3.899990280920927*^9, 3.8999903170296373`*^9}, 
   3.899990356819027*^9},
 CellLabel->"In[54]:=",ExpressionUUID->"32a310b2-a427-42aa-bbd2-0d88441ca12e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"W2a\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
    "1.2525333480557301`", ",", "0.43918501499112056`", ",", 
     "0.8581363024165573`"}], "}"}], ",", "\<\"W2a0\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
    "1.1900035797570307`", ",", "0.34950831713981584`", ",", 
     "0.9246682643619362`"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.89952075930199*^9, 3.899521502326253*^9, 
  3.899524728842965*^9, 3.8995258857109957`*^9, 3.899526150382374*^9, 
  3.899526247298222*^9, 3.8995263894168587`*^9, 3.8995264644238567`*^9, 
  3.8995284597510567`*^9, 3.899528601625362*^9, 3.899561562418645*^9, 
  3.8995618461092157`*^9, 3.8995621969036827`*^9, 3.899990111367502*^9, 
  3.8999901995154123`*^9, 3.899990294934236*^9, 3.89999035191437*^9, 
  3.8999911207373257`*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"c373ce36-ec29-4285-b59d-0b9da39a03cd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1.`", 
        RowBox[{"-", "0.01`"}], "0.`", "0.03`", "0.02`", "0.05`", 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], "0.02`", 
        RowBox[{"-", "0.07`"}], "0.01`"},
       {
        RowBox[{"-", "0.01`"}], "1.`", "0.03`", "0.`", 
        RowBox[{"-", "0.08`"}], "0.02`", "0.04`", "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.08`"}], "0.04`", 
        RowBox[{"-", "0.01`"}], "0.01`"},
       {"0.`", "0.03`", "1.`", 
        RowBox[{"-", "0.01`"}], "0.02`", "0.`", "0.02`", 
        RowBox[{"-", "0.06`"}], "0.01`", 
        RowBox[{"-", "0.01`"}], "0.02`", "0.04`", "0.`"},
       {"0.03`", "0.`", 
        RowBox[{"-", "0.01`"}], "1.`", "0.04`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], "0.1`", 
        RowBox[{"-", "0.03`"}], "0.06`", 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], "0.02`"},
       {"0.02`", 
        RowBox[{"-", "0.08`"}], "0.02`", "0.04`", "1.`", 
        RowBox[{"-", "0.06`"}], "0.02`", "0.1`", "0.03`", "0.02`", 
        RowBox[{"-", "0.07`"}], "0.01`", 
        RowBox[{"-", "0.03`"}]},
       {"0.05`", "0.02`", "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.06`"}], "1.`", 
        RowBox[{"-", "0.05`"}], "0.05`", "0.01`", "0.01`", 
        RowBox[{"-", "0.01`"}], "0.01`", "0.03`"},
       {
        RowBox[{"-", "0.07`"}], "0.04`", "0.02`", 
        RowBox[{"-", "0.03`"}], "0.02`", 
        RowBox[{"-", "0.05`"}], "1.`", 
        RowBox[{"-", "0.04`"}], "0.03`", "0.03`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], "0.05`"},
       {
        RowBox[{"-", "0.02`"}], "0.`", 
        RowBox[{"-", "0.06`"}], "0.1`", "0.1`", "0.05`", 
        RowBox[{"-", "0.04`"}], "1.`", "0.`", "0.03`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.04`"}], "0.`"},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], "0.01`", 
        RowBox[{"-", "0.03`"}], "0.03`", "0.01`", "0.03`", "0.`", "1.`", 
        "0.01`", "0.02`", "0.01`", 
        RowBox[{"-", "0.06`"}]},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.08`"}], 
        RowBox[{"-", "0.01`"}], "0.06`", "0.02`", "0.01`", "0.03`", "0.03`", 
        "0.01`", "1.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}]},
       {"0.02`", "0.04`", "0.02`", 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], "0.02`", 
        RowBox[{"-", "0.01`"}], "1.`", "0.04`", "0.06`"},
       {
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.01`"}], "0.04`", 
        RowBox[{"-", "0.04`"}], "0.01`", "0.01`", 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.04`"}], "0.01`", 
        RowBox[{"-", "0.05`"}], "0.04`", "1.`", "0.02`"},
       {"0.01`", "0.01`", "0.`", "0.02`", 
        RowBox[{"-", "0.03`"}], "0.03`", "0.05`", "0.`", 
        RowBox[{"-", "0.06`"}], 
        RowBox[{"-", "0.04`"}], "0.06`", "0.02`", "1.`"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1.`", "0.`", 
        RowBox[{"-", "0.55`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.08`"}], "0.28`", "0.02`", "0.14`", "0.18`", "0.`", 
        "0.02`", 
        RowBox[{"-", "0.07`"}], "0.01`"},
       {"0.`", "1.`", 
        RowBox[{"-", "0.16`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.14`"}], 
        RowBox[{"-", "0.24`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.23`"}], 
        RowBox[{"-", "0.31`"}], "0.18`", "0.41000000000000003`", "0.11`", 
        "0.28`"},
       {
        RowBox[{"-", "0.55`"}], 
        RowBox[{"-", "0.16`"}], "1.`", 
        RowBox[{"-", "0.55`"}], 
        RowBox[{"-", "0.45`"}], 
        RowBox[{"-", "0.05`"}], "0.02`", 
        RowBox[{"-", "0.16`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.09`"}], 
        RowBox[{"-", "0.02`"}], "0.05`", 
        RowBox[{"-", "0.06`"}]},
       {
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.55`"}], "1.`", 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.04`"}], "0.11`", 
        RowBox[{"-", "0.04`"}], "0.06`", 
        RowBox[{"-", "0.08`"}], 
        RowBox[{"-", "0.05`"}], "0.01`"},
       {
        RowBox[{"-", "0.08`"}], 
        RowBox[{"-", "0.14`"}], 
        RowBox[{"-", "0.45`"}], 
        RowBox[{"-", "0.05`"}], "1.`", 
        RowBox[{"-", "0.08`"}], "0.01`", "0.12`", "0.04`", "0.01`", 
        RowBox[{"-", "0.1`"}], "0.01`", 
        RowBox[{"-", "0.05`"}]},
       {"0.28`", 
        RowBox[{"-", "0.24`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.08`"}], "1.`", 
        RowBox[{"-", "0.23`"}], 
        RowBox[{"-", "0.22`"}], 
        RowBox[{"-", "0.32`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.12`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}]},
       {"0.02`", 
        RowBox[{"-", "0.07`"}], "0.02`", 
        RowBox[{"-", "0.04`"}], "0.01`", 
        RowBox[{"-", "0.23`"}], "1.`", 
        RowBox[{"-", "0.19`"}], 
        RowBox[{"-", "0.14`"}], "0.`", 
        RowBox[{"-", "0.06`"}], 
        RowBox[{"-", "0.04`"}], "0.02`"},
       {"0.14`", 
        RowBox[{"-", "0.23`"}], 
        RowBox[{"-", "0.16`"}], "0.11`", "0.12`", 
        RowBox[{"-", "0.22`"}], 
        RowBox[{"-", "0.19`"}], "1.`", 
        RowBox[{"-", "0.28`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.1`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.05`"}]},
       {"0.18`", 
        RowBox[{"-", "0.31`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.04`"}], "0.04`", 
        RowBox[{"-", "0.32`"}], 
        RowBox[{"-", "0.14`"}], 
        RowBox[{"-", "0.28`"}], "1.`", 
        RowBox[{"-", "0.06`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.15`"}]},
       {"0.`", "0.18`", 
        RowBox[{"-", "0.09`"}], "0.06`", "0.01`", 
        RowBox[{"-", "0.05`"}], "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.06`"}], "1.`", 
        RowBox[{"-", "0.4`"}], 
        RowBox[{"-", "0.17`"}], 
        RowBox[{"-", "0.34`"}]},
       {"0.02`", "0.41000000000000003`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.08`"}], 
        RowBox[{"-", "0.1`"}], 
        RowBox[{"-", "0.12`"}], 
        RowBox[{"-", "0.06`"}], 
        RowBox[{"-", "0.1`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.4`"}], "1.`", 
        RowBox[{"-", "0.1`"}], 
        RowBox[{"-", "0.27`"}]},
       {
        RowBox[{"-", "0.07`"}], "0.11`", "0.05`", 
        RowBox[{"-", "0.05`"}], "0.01`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.17`"}], 
        RowBox[{"-", "0.1`"}], "1.`", 
        RowBox[{"-", "0.09`"}]},
       {"0.01`", "0.28`", 
        RowBox[{"-", "0.06`"}], "0.01`", 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.03`"}], "0.02`", 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.15`"}], 
        RowBox[{"-", "0.34`"}], 
        RowBox[{"-", "0.27`"}], 
        RowBox[{"-", "0.09`"}], "1.`"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Print",
 CellChangeTimes->{3.89952075930199*^9, 3.899521502326253*^9, 
  3.899524728842965*^9, 3.8995258857109957`*^9, 3.899526150382374*^9, 
  3.899526247298222*^9, 3.8995263894168587`*^9, 3.8995264644238567`*^9, 
  3.8995284597510567`*^9, 3.899528601625362*^9, 3.899561562418645*^9, 
  3.8995618461092157`*^9, 3.8995621969036827`*^9, 3.899990111367502*^9, 
  3.8999901995154123`*^9, 3.899990294934236*^9, 3.89999035191437*^9, 
  3.899991120739163*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"2ae4c22e-3c4a-4ff2-8a43-8c42a187f101"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0.1`", "0.08`", "0.09`", "0.1`", "0.02`", "0.03`", "0.`", "0.03`", 
        RowBox[{"-", "0.15`"}], 
        RowBox[{"-", "0.14`"}], 
        RowBox[{"-", "0.14`"}]},
       {
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.05`"}], "0.07`", "0.09`", "0.08`", "0.08`", 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.07`"}]},
       {
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], "0.`", "0.01`", 
        RowBox[{"-", "0.01`"}], "0.09`", 
        RowBox[{"-", "0.01`"}], "0.`"},
       {
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], "0.25`", 
        RowBox[{"-", "0.01`"}]},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], "0.29`"},
       {"0.14`", 
        RowBox[{"-", "0.02`"}], "0.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.04`"}]},
       {
        RowBox[{"-", "0.03`"}], "0.24`", 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], "0.`"},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], "0.16`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], "0.02`", "0.02`"},
       {
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}], "0.14`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], "0.`"},
       {
        RowBox[{"-", "0.01`"}], "0.`", "0.`", 
        RowBox[{"-", "0.01`"}], "0.12`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], "0.01`", "0.`"},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], "0.11`", "0.01`", "0.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}]},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], "0.29`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}]},
       {
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], "0.`", "0.`", "0.14`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0.26`", "0.22`", "0.24`", "0.25`", "0.17`", "0.17`", "0.14`", 
        "0.17`", 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}]},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.04`"}], "0.12`", "0.14`", "0.13`", "0.14`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.04`"}]},
       {
        RowBox[{"-", "0.13`"}], 
        RowBox[{"-", "0.11`"}], 
        RowBox[{"-", "0.15`"}], 
        RowBox[{"-", "0.13`"}], 
        RowBox[{"-", "0.12`"}], 
        RowBox[{"-", "0.11`"}], 
        RowBox[{"-", "0.09`"}], 
        RowBox[{"-", "0.12`"}], "0.05`", 
        RowBox[{"-", "0.15`"}], 
        RowBox[{"-", "0.13`"}]},
       {
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], "0.26`", 
        RowBox[{"-", "0.01`"}]},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], "0.3`"},
       {"0.26`", "0.07`", "0.1`", "0.09`", "0.09`", "0.08`", "0.08`", "0.09`",
         "0.07`", "0.06`", "0.05`"},
       {
        RowBox[{"-", "0.03`"}], "0.26`", 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}], "0.`"},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.05`"}], "0.16`", 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.04`"}], "0.`", "0.`"},
       {
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.05`"}], "0.13`", 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.06`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.03`"}]},
       {"0.07`", "0.07`", "0.07`", "0.07`", "0.21`", "0.06`", "0.04`", 
        "0.05`", "0.07`", "0.09`", "0.08`"},
       {
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.05`"}], "0.1`", 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.06`"}], 
        RowBox[{"-", "0.07`"}]},
       {
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], "0.31`", 
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}], "0.`"},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], "0.13`", 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.04`"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Print",
 CellChangeTimes->{3.89952075930199*^9, 3.899521502326253*^9, 
  3.899524728842965*^9, 3.8995258857109957`*^9, 3.899526150382374*^9, 
  3.899526247298222*^9, 3.8995263894168587`*^9, 3.8995264644238567`*^9, 
  3.8995284597510567`*^9, 3.899528601625362*^9, 3.899561562418645*^9, 
  3.8995618461092157`*^9, 3.8995621969036827`*^9, 3.899990111367502*^9, 
  3.8999901995154123`*^9, 3.899990294934236*^9, 3.89999035191437*^9, 
  3.899991120741646*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"0df12a88-bdc4-4029-8ca1-c3ff2d92f3bb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"-", "0.15`"}], "0.1`", "0.02`"},
       {
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.05`"}], "0.08`"},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}]},
       {
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}]},
       {
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}]},
       {
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}]},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}]},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}]},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}]},
       {"0.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}]},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], "0.`"},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}]},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0.`", "0.23`", "0.17`"},
       {"0.`", "0.`", "0.1`"},
       {"0.`", 
        RowBox[{"-", "0.12`"}], 
        RowBox[{"-", "0.11`"}]},
       {"0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}]},
       {"0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}]},
       {"0.07`", "0.13`", "0.09`"},
       {
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}]},
       {
        RowBox[{"-", "0.03`"}], "0.`", 
        RowBox[{"-", "0.03`"}]},
       {
        RowBox[{"-", "0.04`"}], "0.`", 
        RowBox[{"-", "0.04`"}]},
       {"0.08`", "0.08`", "0.09`"},
       {
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], "0.`"},
       {"0.`", 
        RowBox[{"-", "0.01`"}], "0.`"},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], "0.`"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Print",
 CellChangeTimes->{3.89952075930199*^9, 3.899521502326253*^9, 
  3.899524728842965*^9, 3.8995258857109957`*^9, 3.899526150382374*^9, 
  3.899526247298222*^9, 3.8995263894168587`*^9, 3.8995264644238567`*^9, 
  3.8995284597510567`*^9, 3.899528601625362*^9, 3.899561562418645*^9, 
  3.8995618461092157`*^9, 3.8995621969036827`*^9, 3.899990111367502*^9, 
  3.8999901995154123`*^9, 3.899990294934236*^9, 3.89999035191437*^9, 
  3.899991120743404*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"9117e75d-25c6-4706-8ad7-6554975fbc31"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"W2a\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
    "0.13509465434435766`", ",", "0.274219590287059`", ",", 
     "0.08314217445075188`", ",", "0.04792219829526215`"}], "}"}], ",", 
   "0.6428000355873752`", ",", "\<\"W2a0\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
    "0.23284424550596497`", ",", "0.4524718682790472`", ",", 
     "0.14081584181852572`", ",", "0.10524502642032209`"}], "}"}], ",", 
   "0.5121915432117687`"}], "}"}]], "Print",
 CellChangeTimes->{3.89952075930199*^9, 3.899521502326253*^9, 
  3.899524728842965*^9, 3.8995258857109957`*^9, 3.899526150382374*^9, 
  3.899526247298222*^9, 3.8995263894168587`*^9, 3.8995264644238567`*^9, 
  3.8995284597510567`*^9, 3.899528601625362*^9, 3.899561562418645*^9, 
  3.8995618461092157`*^9, 3.8995621969036827`*^9, 3.899990111367502*^9, 
  3.8999901995154123`*^9, 3.899990294934236*^9, 3.89999035191437*^9, 
  3.899991120744429*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"d3fa7e80-3165-4e09-b3b0-367a613c5de2"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"dat", "=", 
     RowBox[{"First", "@", "datt"}]}], ";", 
    RowBox[{"resW2a", "=", 
     RowBox[{"slowSEM", "[", 
      RowBox[{
      "\"\<W^{2a}\>\"", ",", "dat", ",", "Bobserved", ",", "Blvars", ",", 
       "BollenEQ", ",", 
       RowBox[{"InitValues", "->", "val0"}], ",", 
       RowBox[{"LatentMean0", "->", "True"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resW2a0", "=", 
     RowBox[{"slowSEM", "[", 
      RowBox[{
      "\"\<W^{2a0}\>\"", ",", "dat", ",", "Bobserved", ",", "Blvars", ",", 
       "BollenEQ", ",", 
       RowBox[{"InitValues", "->", "val0"}], ",", 
       RowBox[{"LatentMean0", "->", "True"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<W2a\>\"", ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}], "/.", 
        RowBox[{"resW2a", "[", 
         RowBox[{"[", "\"\<sol\>\"", "]"}], "]"}]}], ",", "\"\<W2a0\>\"", ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}], "/.", 
        RowBox[{"resW2a0", "[", 
         RowBox[{"[", "\"\<sol\>\"", "]"}], "]"}]}]}], "}"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"MatrixForm", "[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"resW2a", "[", "\"\<EEcors\>\"", "]"}], ",", "0.01"}], 
         "]"}], "]"}], ",", 
       RowBox[{"MatrixForm", "[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"resW2a0", "[", "\"\<EEcors\>\"", "]"}], ",", "0.01"}], 
         "]"}], "]"}]}], "}"}], "]"}], ";", 
    RowBox[{"Print", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"MatrixForm", "[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"resW2a", "[", "\"\<DEcors\>\"", "]"}], ",", "0.01"}], 
         "]"}], "]"}], ",", 
       RowBox[{"MatrixForm", "[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"resW2a0", "[", "\"\<DEcors\>\"", "]"}], ",", "0.01"}], 
         "]"}], "]"}]}], "}"}], "]"}], ";", 
    RowBox[{"Print", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"MatrixForm", "[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"resW2a", "[", "\"\<LEcors\>\"", "]"}], ",", "0.01"}], 
         "]"}], "]"}], ",", 
       RowBox[{"MatrixForm", "[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"resW2a0", "[", "\"\<LEcors\>\"", "]"}], ",", "0.01"}], 
         "]"}], "]"}]}], "}"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<W2a\>\"", ",", 
       RowBox[{"resW2a", "@", "\"\<GOFMC\>\""}], ",", 
       RowBox[{"resW2a", "@", "\"\<Fmin\>\""}], ",", "\"\<W2a0\>\"", ",", 
       RowBox[{"resW2a0", "@", "\"\<GOFMC\>\""}], ",", 
       RowBox[{"resW2a0", "@", "\"\<Fmin\>\""}]}], "}"}], "]"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.899992087805614*^9, 3.899992098303866*^9}, {
  3.899992162438521*^9, 3.899992173251143*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"b294b906-6d33-46bc-8c24-49cdae7dce9e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"W2a\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
    "1.2525333480510505`", ",", "0.4391850148708839`", ",", 
     "0.8581363025114253`"}], "}"}], ",", "\<\"W2a0\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
    "1.1900035794906747`", ",", "0.34950831628719664`", ",", 
     "0.9246682650379743`"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.900041116031981*^9},
 CellLabel->
  "During evaluation of \
In[62]:=",ExpressionUUID->"ecce02ae-cd04-4cc9-b607-8b755d8a47bb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1.`", 
        RowBox[{"-", "0.01`"}], "0.`", "0.03`", "0.02`", "0.05`", 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], "0.02`", 
        RowBox[{"-", "0.07`"}], "0.01`"},
       {
        RowBox[{"-", "0.01`"}], "1.`", "0.03`", "0.`", 
        RowBox[{"-", "0.08`"}], "0.02`", "0.04`", "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.08`"}], "0.04`", 
        RowBox[{"-", "0.01`"}], "0.01`"},
       {"0.`", "0.03`", "1.`", 
        RowBox[{"-", "0.01`"}], "0.02`", "0.`", "0.02`", 
        RowBox[{"-", "0.06`"}], "0.01`", 
        RowBox[{"-", "0.01`"}], "0.02`", "0.04`", "0.`"},
       {"0.03`", "0.`", 
        RowBox[{"-", "0.01`"}], "1.`", "0.04`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], "0.1`", 
        RowBox[{"-", "0.03`"}], "0.06`", 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], "0.02`"},
       {"0.02`", 
        RowBox[{"-", "0.08`"}], "0.02`", "0.04`", "1.`", 
        RowBox[{"-", "0.06`"}], "0.02`", "0.1`", "0.03`", "0.02`", 
        RowBox[{"-", "0.07`"}], "0.01`", 
        RowBox[{"-", "0.03`"}]},
       {"0.05`", "0.02`", "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.06`"}], "1.`", 
        RowBox[{"-", "0.05`"}], "0.05`", "0.01`", "0.01`", 
        RowBox[{"-", "0.01`"}], "0.01`", "0.03`"},
       {
        RowBox[{"-", "0.07`"}], "0.04`", "0.02`", 
        RowBox[{"-", "0.03`"}], "0.02`", 
        RowBox[{"-", "0.05`"}], "1.`", 
        RowBox[{"-", "0.04`"}], "0.03`", "0.03`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], "0.05`"},
       {
        RowBox[{"-", "0.02`"}], "0.`", 
        RowBox[{"-", "0.06`"}], "0.1`", "0.1`", "0.05`", 
        RowBox[{"-", "0.04`"}], "1.`", "0.`", "0.03`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.04`"}], "0.`"},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], "0.01`", 
        RowBox[{"-", "0.03`"}], "0.03`", "0.01`", "0.03`", "0.`", "1.`", 
        "0.01`", "0.02`", "0.01`", 
        RowBox[{"-", "0.06`"}]},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.08`"}], 
        RowBox[{"-", "0.01`"}], "0.06`", "0.02`", "0.01`", "0.03`", "0.03`", 
        "0.01`", "1.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}]},
       {"0.02`", "0.04`", "0.02`", 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], "0.02`", 
        RowBox[{"-", "0.01`"}], "1.`", "0.04`", "0.06`"},
       {
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.01`"}], "0.04`", 
        RowBox[{"-", "0.04`"}], "0.01`", "0.01`", 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.04`"}], "0.01`", 
        RowBox[{"-", "0.05`"}], "0.04`", "1.`", "0.02`"},
       {"0.01`", "0.01`", "0.`", "0.02`", 
        RowBox[{"-", "0.03`"}], "0.03`", "0.05`", "0.`", 
        RowBox[{"-", "0.06`"}], 
        RowBox[{"-", "0.04`"}], "0.06`", "0.02`", "1.`"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1.`", "0.`", 
        RowBox[{"-", "0.55`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.08`"}], "0.28`", "0.02`", "0.14`", "0.18`", "0.`", 
        "0.02`", 
        RowBox[{"-", "0.07`"}], "0.01`"},
       {"0.`", "1.`", 
        RowBox[{"-", "0.16`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.14`"}], 
        RowBox[{"-", "0.24`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.23`"}], 
        RowBox[{"-", "0.31`"}], "0.18`", "0.41000000000000003`", "0.11`", 
        "0.28`"},
       {
        RowBox[{"-", "0.55`"}], 
        RowBox[{"-", "0.16`"}], "1.`", 
        RowBox[{"-", "0.55`"}], 
        RowBox[{"-", "0.45`"}], 
        RowBox[{"-", "0.05`"}], "0.02`", 
        RowBox[{"-", "0.16`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.09`"}], 
        RowBox[{"-", "0.02`"}], "0.05`", 
        RowBox[{"-", "0.06`"}]},
       {
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.55`"}], "1.`", 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.04`"}], "0.11`", 
        RowBox[{"-", "0.04`"}], "0.06`", 
        RowBox[{"-", "0.08`"}], 
        RowBox[{"-", "0.05`"}], "0.01`"},
       {
        RowBox[{"-", "0.08`"}], 
        RowBox[{"-", "0.14`"}], 
        RowBox[{"-", "0.45`"}], 
        RowBox[{"-", "0.05`"}], "1.`", 
        RowBox[{"-", "0.08`"}], "0.01`", "0.12`", "0.04`", "0.01`", 
        RowBox[{"-", "0.1`"}], "0.01`", 
        RowBox[{"-", "0.05`"}]},
       {"0.28`", 
        RowBox[{"-", "0.24`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.08`"}], "1.`", 
        RowBox[{"-", "0.23`"}], 
        RowBox[{"-", "0.22`"}], 
        RowBox[{"-", "0.32`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.12`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}]},
       {"0.02`", 
        RowBox[{"-", "0.07`"}], "0.02`", 
        RowBox[{"-", "0.04`"}], "0.01`", 
        RowBox[{"-", "0.23`"}], "1.`", 
        RowBox[{"-", "0.19`"}], 
        RowBox[{"-", "0.14`"}], "0.`", 
        RowBox[{"-", "0.06`"}], 
        RowBox[{"-", "0.04`"}], "0.02`"},
       {"0.14`", 
        RowBox[{"-", "0.23`"}], 
        RowBox[{"-", "0.16`"}], "0.11`", "0.12`", 
        RowBox[{"-", "0.22`"}], 
        RowBox[{"-", "0.19`"}], "1.`", 
        RowBox[{"-", "0.28`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.1`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.05`"}]},
       {"0.18`", 
        RowBox[{"-", "0.31`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.04`"}], "0.04`", 
        RowBox[{"-", "0.32`"}], 
        RowBox[{"-", "0.14`"}], 
        RowBox[{"-", "0.28`"}], "1.`", 
        RowBox[{"-", "0.06`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.15`"}]},
       {"0.`", "0.18`", 
        RowBox[{"-", "0.09`"}], "0.06`", "0.01`", 
        RowBox[{"-", "0.05`"}], "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.06`"}], "1.`", 
        RowBox[{"-", "0.4`"}], 
        RowBox[{"-", "0.17`"}], 
        RowBox[{"-", "0.34`"}]},
       {"0.02`", "0.41000000000000003`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.08`"}], 
        RowBox[{"-", "0.1`"}], 
        RowBox[{"-", "0.12`"}], 
        RowBox[{"-", "0.06`"}], 
        RowBox[{"-", "0.1`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.4`"}], "1.`", 
        RowBox[{"-", "0.1`"}], 
        RowBox[{"-", "0.27`"}]},
       {
        RowBox[{"-", "0.07`"}], "0.11`", "0.05`", 
        RowBox[{"-", "0.05`"}], "0.01`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.07`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.17`"}], 
        RowBox[{"-", "0.1`"}], "1.`", 
        RowBox[{"-", "0.09`"}]},
       {"0.01`", "0.28`", 
        RowBox[{"-", "0.06`"}], "0.01`", 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.03`"}], "0.02`", 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.15`"}], 
        RowBox[{"-", "0.34`"}], 
        RowBox[{"-", "0.27`"}], 
        RowBox[{"-", "0.09`"}], "1.`"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Print",
 CellChangeTimes->{3.90004111605087*^9},
 CellLabel->
  "During evaluation of \
In[62]:=",ExpressionUUID->"2253fa5d-1ed8-43e9-bfa3-84a1af5e76da"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0.1`", "0.08`", "0.09`", "0.1`", "0.02`", "0.03`", "0.`", "0.03`", 
        RowBox[{"-", "0.15`"}], 
        RowBox[{"-", "0.14`"}], 
        RowBox[{"-", "0.14`"}]},
       {
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.05`"}], "0.07`", "0.09`", "0.08`", "0.08`", 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.07`"}]},
       {
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], "0.`", "0.01`", 
        RowBox[{"-", "0.01`"}], "0.09`", 
        RowBox[{"-", "0.01`"}], "0.`"},
       {
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], "0.25`", 
        RowBox[{"-", "0.01`"}]},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], "0.29`"},
       {"0.14`", 
        RowBox[{"-", "0.02`"}], "0.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.04`"}]},
       {
        RowBox[{"-", "0.03`"}], "0.24`", 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], "0.`"},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], "0.16`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], "0.02`", "0.02`"},
       {
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}], "0.14`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], "0.`"},
       {
        RowBox[{"-", "0.01`"}], "0.`", "0.`", 
        RowBox[{"-", "0.01`"}], "0.12`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], "0.01`", "0.`"},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], "0.11`", "0.01`", "0.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}]},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], "0.29`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}]},
       {
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], "0.`", "0.`", "0.14`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0.26`", "0.22`", "0.24`", "0.25`", "0.17`", "0.17`", "0.14`", 
        "0.17`", 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}]},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.04`"}], "0.12`", "0.14`", "0.13`", "0.14`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.04`"}]},
       {
        RowBox[{"-", "0.13`"}], 
        RowBox[{"-", "0.11`"}], 
        RowBox[{"-", "0.15`"}], 
        RowBox[{"-", "0.13`"}], 
        RowBox[{"-", "0.12`"}], 
        RowBox[{"-", "0.11`"}], 
        RowBox[{"-", "0.09`"}], 
        RowBox[{"-", "0.12`"}], "0.05`", 
        RowBox[{"-", "0.15`"}], 
        RowBox[{"-", "0.13`"}]},
       {
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], "0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], "0.26`", 
        RowBox[{"-", "0.01`"}]},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], "0.3`"},
       {"0.26`", "0.07`", "0.1`", "0.09`", "0.09`", "0.08`", "0.08`", "0.09`",
         "0.07`", "0.06`", "0.05`"},
       {
        RowBox[{"-", "0.03`"}], "0.26`", 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}], "0.`"},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.05`"}], "0.16`", 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.04`"}], "0.`", "0.`"},
       {
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.05`"}], "0.13`", 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.06`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.03`"}]},
       {"0.07`", "0.07`", "0.07`", "0.07`", "0.21`", "0.06`", "0.04`", 
        "0.05`", "0.07`", "0.09`", "0.08`"},
       {
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.05`"}], "0.1`", 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.06`"}], 
        RowBox[{"-", "0.07`"}]},
       {
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], "0.31`", 
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}], "0.`"},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], "0.13`", 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.04`"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Print",
 CellChangeTimes->{3.90004111606679*^9},
 CellLabel->
  "During evaluation of \
In[62]:=",ExpressionUUID->"17dbcc6b-6804-4d59-9318-450603adaf51"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"-", "0.15`"}], "0.1`", "0.02`"},
       {
        RowBox[{"-", "0.04`"}], 
        RowBox[{"-", "0.05`"}], "0.08`"},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}]},
       {
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}]},
       {
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}]},
       {
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}]},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}]},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}]},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}]},
       {"0.`", 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.02`"}]},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], "0.`"},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.02`"}]},
       {
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}], 
        RowBox[{"-", "0.01`"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0.`", "0.23`", "0.17`"},
       {"0.`", "0.`", "0.1`"},
       {"0.`", 
        RowBox[{"-", "0.12`"}], 
        RowBox[{"-", "0.11`"}]},
       {"0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.02`"}]},
       {"0.`", 
        RowBox[{"-", "0.02`"}], 
        RowBox[{"-", "0.03`"}]},
       {"0.07`", "0.13`", "0.09`"},
       {
        RowBox[{"-", "0.01`"}], "0.`", 
        RowBox[{"-", "0.01`"}]},
       {
        RowBox[{"-", "0.03`"}], "0.`", 
        RowBox[{"-", "0.03`"}]},
       {
        RowBox[{"-", "0.04`"}], "0.`", 
        RowBox[{"-", "0.04`"}]},
       {"0.08`", "0.08`", "0.09`"},
       {
        RowBox[{"-", "0.05`"}], 
        RowBox[{"-", "0.04`"}], "0.`"},
       {"0.`", 
        RowBox[{"-", "0.01`"}], "0.`"},
       {
        RowBox[{"-", "0.03`"}], 
        RowBox[{"-", "0.03`"}], "0.`"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Print",
 CellChangeTimes->{3.900041116075181*^9},
 CellLabel->
  "During evaluation of \
In[62]:=",ExpressionUUID->"cc5797f7-3817-429e-bf43-b4d53b5765c1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"W2a\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
    "0.1350946543443275`", ",", "0.27421959028214576`", ",", 
     "0.08314217444369186`", ",", "0.047922198307144906`"}], "}"}], ",", 
   "0.6428000356299117`", ",", "\<\"W2a0\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
    "0.2328442458994719`", ",", "0.4524718683455294`", ",", 
     "0.1408158423151238`", ",", "0.10524502703776249`"}], "}"}], ",", 
   "0.5121915433544708`"}], "}"}]], "Print",
 CellChangeTimes->{3.900041116079976*^9},
 CellLabel->
  "During evaluation of \
In[62]:=",ExpressionUUID->"94ce83e5-b4e0-4252-a141-3acea35bfd17"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "@", "dat"}]], "Input",
 CellChangeTimes->{{3.899992212171838*^9, 3.899992215679009*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"b3e37d27-61a9-43cb-9e34-227b04b3c998"],

Cell[BoxData["500"], "Output",
 CellChangeTimes->{3.900041116468379*^9},
 CellLabel->"Out[67]=",ExpressionUUID->"296533d6-bc06-4236-86e2-9ded61efa550"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], "**"}],
             "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**", "**",
      "**", " ", 
     RowBox[{"Bollen", "'"}]}], "s", " ", "democracy", " ", 
    RowBox[{
    "model", " ", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", 
     "**", "**"}]}], "******)"}], 
  RowBox[{
   RowBox[{"t0", "=", 
    RowBox[{"AbsoluteTime", "[", "]"}]}], ";", 
   RowBox[{"ST", "=", 
    RowBox[{"SemTest", "[", 
     RowBox[{"Nsimu", ",", 
      RowBox[{"{", "300", " ", "}"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"First", "@", 
         RowBox[{"SimData", "[", 
          RowBox[{"#", ",", "para0", ",", "Spara0", ",", 
           RowBox[{"simerr", "->", "False"}], ",", 
           RowBox[{"latnorm", "->", "0"}], ",", 
           RowBox[{"errnorm", "->", "0"}]}], "]"}]}], ")"}], "&"}], ",", 
      "\[IndentingNewLine]", "fastM", ",", "slowM", ",", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1.2", ",", "0.5", ",", "0.8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Bobserved", ",", "Blvars", ",", "BollenEQ"}], "}"}], ",", 
      RowBox[{"LatInit", "->", 
       RowBox[{"{", 
        RowBox[{"9", ",", "1", ",", "5"}], "}"}]}], ",", 
      RowBox[{"bollen", "->", "True"}]}], "]"}]}], ";", " ", 
   RowBox[{"Print", "@", 
    RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}], ";", " ", 
   RowBox[{"Print", "[", 
    RowBox[{
     RowBox[{"AbsoluteTime", "[", "]"}], "-", "t0"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.875104887865799*^9, {3.875111489299637*^9, 3.8751114898233767`*^9}, {
   3.875145343869075*^9, 3.875145351813802*^9}, 3.875146234079088*^9, 
   3.875151154057458*^9, {3.875156070069014*^9, 3.8751560702007*^9}, {
   3.875187829069293*^9, 3.875187832516122*^9}, 3.875187881225172*^9, {
   3.875335572110298*^9, 3.875335572596233*^9}, {3.881895243284453*^9, 
   3.8818952530635643`*^9}, {3.8822766126492367`*^9, 
   3.8822766180826693`*^9}, {3.8835741831646843`*^9, 3.88357419771105*^9}, {
   3.883652534136784*^9, 3.883652535263035*^9}, {3.8837252023062153`*^9, 
   3.883725208514968*^9}, {3.8837258512470913`*^9, 3.883725852189493*^9}, {
   3.883736851013916*^9, 3.883736852233906*^9}, {3.883737121071185*^9, 
   3.883737121885198*^9}, {3.896624917958276*^9, 3.896624922705082*^9}, {
   3.896630575171103*^9, 3.896630588785248*^9}, {3.896630685555285*^9, 
   3.896630692111562*^9}, {3.896661314366522*^9, 3.896661317026535*^9}, {
   3.896665050748953*^9, 3.89666507707526*^9}, {3.8966709261111803`*^9, 
   3.896670957597466*^9}, {3.8966719397545767`*^9, 3.896671940940106*^9}, {
   3.89667250730696*^9, 3.896672510971499*^9}, {3.896673918369317*^9, 
   3.896673927279765*^9}, {3.8966931833395157`*^9, 3.896693184659988*^9}, {
   3.896694842643119*^9, 3.896694844242817*^9}, {3.8966970510022917`*^9, 
   3.8966970545384693`*^9}, {3.896698715785552*^9, 3.896698717437838*^9}, {
   3.896743045088792*^9, 3.896743056220945*^9}, {3.89675462214537*^9, 
   3.896754623240912*^9}, {3.896836515376855*^9, 3.896836523000782*^9}, {
   3.8970372784237013`*^9, 3.8970373043136673`*^9}, {3.898515591277878*^9, 
   3.898515594872767*^9}, {3.8985156504245377`*^9, 3.898515651614711*^9}, {
   3.898817599297325*^9, 3.8988176079021273`*^9}, {3.898870452132865*^9, 
   3.8988704522575912`*^9}, {3.898871320968299*^9, 3.898871321545562*^9}, {
   3.899366581549786*^9, 3.899366582107266*^9}, {3.89952371742288*^9, 
   3.899523725542409*^9}, {3.899818158468368*^9, 3.899818162502944*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"271b7415-5f4a-4b5b-add8-4c6e421730a8"],

Cell[CellGroupData[{

Cell[BoxData["\<\"---------------------------------------------------- \
300\"\>"], "Print",
 CellChangeTimes->{3.900040623035137*^9},
 CellLabel->
  "During evaluation of \
In[61]:=",ExpressionUUID->"ce170988-8001-4697-a034-d5aaf49a8675"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"lavaan\"\>", 
      RowBox[{"{", 
       RowBox[{"1.197`", ",", "0.504`", ",", "0.796`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.022`", ",", "0.067`", ",", "0.054`"}], "}"}], "0", 
      "0.6000000000000001`", 
      RowBox[{"{", "}"}], 
      RowBox[{"{", "}"}]},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"1.195`", ",", "0.902`", ",", "0.47500000000000003`"}], "}"}], 
      
      RowBox[{"{", 
       RowBox[{"0.023`", ",", "0.226`", ",", "0.181`"}], "}"}], "0", "61.`", 
      "0.243`", "0.006`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{"0.989`", ",", "0.428`", ",", "0.673`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.42`", ",", "0.162`", ",", "0.273`"}], "}"}], "0", "9.4`", 
      "0.374`", "0.28300000000000003`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{
       "1.185`", ",", "0.23700000000000002`", ",", "1.0030000000000001`"}], 
       "}"}], 
      RowBox[{"{", 
       RowBox[{"0.035`", ",", "5.5760000000000005`", ",", "4.428`"}], "}"}], 
      "0", "19.200000000000003`", "0.247`", "0.009000000000000001`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.243`", ",", "0.5`", ",", "0.807`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.022`", ",", "0.07100000000000001`", ",", "0.056`"}], "}"}], 
      "4", "167.60000000000002`", "0.137`", "0.003`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.173`", ",", "0.455`", ",", "0.847`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.055`", ",", "0.21`", ",", "0.188`"}], "}"}], "1", 
      "226.60000000000002`", "0.23900000000000002`", "0.022`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.900040623070479*^9},
 CellLabel->
  "During evaluation of \
In[61]:=",ExpressionUUID->"50b00207-1077-4b07-83ae-67b87b8c2df8"],

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (100 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{cccccccc}\\\\hline\\n$n$ & var   & ML  \
& $W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n300 & \
$b_1$ & 0. & 0. & -0.21 & -0.01 & 0.04 & -0.03\\\\\\\\\\n & 1.2 & (0.02) & \
(0.02) & (0.42) & (0.04) & (0.02) & (0.05)\\\\\\\\\\n & RMSE & 0.02 & 0.02 & \
0.47 & 0.04 & 0.05 & 0.06\\\\\\\\\\n & $b_2$ & 0. & 0.4 & -0.07 & -0.26 & 0. \
& -0.05\\\\\\\\\\n & 0.5 & (0.07) & (0.23) & (0.16) & (5.58) & (0.07) & \
(0.21)\\\\\\\\\\n & RMSE & 0.07 & 0.46 & 0.18 & 5.55 & 0.07 & 0.21\\\\\\\\\\n \
& $b_3$ & 0. & -0.33 & -0.13 & 0.2 & 0.01 & 0.05\\\\\\\\\\n & 0.8 & (0.05) & \
(0.18) & (0.27) & (4.43) & (0.06) & (0.19)\\\\\\\\\\n & RMSE & 0.05 & 0.37 & \
0.3 & 4.41 & 0.06 & 0.19\\\\\\\\\\n & GOF  & nc & 0.243 & 0.374 & 0.247 & \
0.137 & 0.239\\\\\\\\\\n & time  & 0.6 & 61. & 9.4 & 19.2 & 167.6 & 226.6\\\\\
\\\\\\n300 & fails  & 0 & 0 & 0 & 0 & 4 & \
1\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\\t\\\\end{tabular}}\\n\\t\\\\label{tab:1}\
\\n\\\\end{table}\"\>"], "Print",
 CellChangeTimes->{3.900040623091069*^9},
 CellLabel->
  "During evaluation of \
In[61]:=",ExpressionUUID->"49cf233c-2044-41dc-aa49-ef6afef59a0c"],

Cell[BoxData["49502.208485`11.146169568418495"], "Print",
 CellChangeTimes->{3.9000406231017303`*^9},
 CellLabel->
  "During evaluation of \
In[61]:=",ExpressionUUID->"21a07225-3e33-4d81-8f38-a71f006543ee"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ST", "=", 
   RowBox[{"SemTest", "[", 
    RowBox[{"Nsimu", ",", 
     RowBox[{"{", 
      RowBox[{"100", " ", ",", "300"}], "}"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"First", "@", 
        RowBox[{"SimData", "[", 
         RowBox[{"#", ",", "para0", ",", "Spara0", ",", 
          RowBox[{"simerr", "->", "False"}], ",", 
          RowBox[{"latnorm", "->", "0"}], ",", 
          RowBox[{"errnorm", "->", "0"}]}], "]"}]}], ")"}], "&"}], ",", 
     "\[IndentingNewLine]", "fastM", ",", "slowM", ",", 
     RowBox[{"{", 
      RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.2", ",", "0.5", ",", "0.8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Bobserved", ",", "Blvars", ",", "BollenEQ"}], "}"}], ",", 
     RowBox[{"LatInit", "->", 
      RowBox[{"{", 
       RowBox[{"9", ",", "1", ",", "5"}], "}"}]}], ",", 
     RowBox[{"bollen", "->", "True"}]}], "]"}]}], ";", " ", 
  RowBox[{"Print", "@", 
   RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}], ";", " ", 
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{"AbsoluteTime", "[", "]"}], "-", "t0"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.900163127504463*^9, 3.900163127694559*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"2852cb77-b86d-4bf4-8435-43470a796ef4"],

Cell[CellGroupData[{

Cell[BoxData["\<\"---------------------------------------------------- \
100\"\>"], "Print",
 CellChangeTimes->{3.898907855851323*^9, 3.899244580575233*^9, 
  3.9002307788306627`*^9},
 CellLabel->
  "During evaluation of \
In[26]:=",ExpressionUUID->"a0007e0b-18ee-4e81-90bd-010fed41decd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"lavaan\"\>", 
      RowBox[{"{", 
       RowBox[{"1.199`", ",", "0.492`", ",", "0.803`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.036000000000000004`", ",", "0.14300000000000002`", ",", "0.121`"}], 
       "}"}], "0", "0.4`", 
      RowBox[{"{", "}"}], 
      RowBox[{"{", "}"}]},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"1.196`", ",", "0.89`", ",", "0.484`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.038`", ",", "0.464`", ",", "0.376`"}], "}"}], "0", "2.5`", 
      "0.251`", "0.01`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{"1.186`", ",", "0.499`", ",", "0.8`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.035`", ",", "0.111`", ",", "0.095`"}], "}"}], "0", "1.1`", 
      "0.252`", "0.011`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"1.176`", ",", "0.628`", ",", "0.6940000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.037`", ",", "0.155`", ",", "0.131`"}], "}"}], "0", "2.2`", 
      "0.254`", "0.01`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.245`", ",", "0.489`", ",", "0.8140000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.036000000000000004`", ",", "0.157`", ",", "0.132`"}], "}"}],
       "6", "25.700000000000003`", "0.152`", "0.005`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.183`", ",", "0.463`", ",", "0.8320000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.038`", ",", "0.324`", ",", "0.268`"}], "}"}], "2", 
      "30.200000000000003`", "0.24`", "0.009000000000000001`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.898907855851323*^9, 3.899244580575233*^9, 
  3.900230778876872*^9},
 CellLabel->
  "During evaluation of \
In[26]:=",ExpressionUUID->"a1a9f082-5cfc-4b7a-a229-6375978b13e3"],

Cell[BoxData["\<\"---------------------------------------------------- \
300\"\>"], "Print",
 CellChangeTimes->{3.898907855851323*^9, 3.899244580575233*^9, 
  3.900262453727592*^9},
 CellLabel->
  "During evaluation of \
In[26]:=",ExpressionUUID->"fc711f1b-9120-433a-a8c6-66481c95a6c8"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"lavaan\"\>", 
      RowBox[{"{", 
       RowBox[{"1.199`", ",", "0.492`", ",", "0.806`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.029`", ",", "0.111`", ",", "0.094`"}], "}"}], "0", "0.4`", 
      RowBox[{"{", "}"}], 
      RowBox[{"{", "}"}]},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"1.196`", ",", "0.881`", ",", "0.493`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.03`", ",", "0.359`", ",", "0.292`"}], "}"}], "0", "19.8`", 
      "0.247`", "0.009000000000000001`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{"1.117`", ",", "0.47000000000000003`", ",", "0.758`"}], "}"}], 
      
      RowBox[{"{", 
       RowBox[{"0.268`", ",", "0.13`", ",", "0.188`"}], "}"}], "0", "3.6`", 
      "0.295`", "0.18`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"1.18`", ",", "0.161`", ",", "1.078`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.034`", ",", "3.6950000000000003`", ",", "2.976`"}], "}"}], 
      "0", "7.4`", "0.25`", "0.009000000000000001`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.245`", ",", "0.488`", ",", "0.8170000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.029`", ",", "0.121`", ",", "0.101`"}], "}"}], "12", "78.7`",
       "0.145`", "0.008`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.182`", ",", "0.429`", ",", "0.863`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.032`", ",", "0.62`", ",", "0.517`"}], "}"}], "2", "75.7`", 
      "0.23800000000000002`", "0.009000000000000001`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.898907855851323*^9, 3.899244580575233*^9, 
  3.900262453855823*^9},
 CellLabel->
  "During evaluation of \
In[26]:=",ExpressionUUID->"d854243f-6789-4c56-af50-4fa997976dcb"],

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (100 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{cccccccc}\\\\hline\\n$n$ & var   & ML  \
& $W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n100 & \
$b_1$ & 0. & 0. & -0.01 & -0.02 & 0.04 & -0.02\\\\\\\\\\n & 1.2 & (0.04) & \
(0.04) & (0.04) & (0.04) & (0.04) & (0.04)\\\\\\\\\\n & RMSE & 0.04 & 0.04 & \
0.04 & 0.04 & 0.06 & 0.04\\\\\\\\\\n & $b_2$ & -0.01 & 0.39 & 0. & 0.13 & \
-0.01 & -0.04\\\\\\\\\\n & 0.5 & (0.14) & (0.46) & (0.11) & (0.15) & (0.16) & \
(0.32)\\\\\\\\\\n & RMSE & 0.14 & 0.6 & 0.11 & 0.2 & 0.16 & 0.32\\\\\\\\\\n & \
$b_3$ & 0. & -0.32 & 0. & -0.11 & 0.01 & 0.03\\\\\\\\\\n & 0.8 & (0.12) & \
(0.38) & (0.09) & (0.13) & (0.13) & (0.27)\\\\\\\\\\n & RMSE & 0.12 & 0.49 & \
0.09 & 0.17 & 0.13 & 0.27\\\\\\\\\\n & GOF  & nc & 0.251 & 0.252 & 0.254 & \
0.152 & 0.24\\\\\\\\\\n & time  & 0.4 & 2.5 & 1.1 & 2.2 & 25.7 & 30.2\\\\\\\\\
\\n100 & fails  & 0 & 0 & 0 & 0 & 6 & 2\\\\\\\\\\n\\\\hline\\n300 & $b_1$ & \
0. & 0. & -0.08 & -0.02 & 0.05 & -0.02\\\\\\\\\\n & 1.2 & (0.03) & (0.03) & \
(0.27) & (0.03) & (0.03) & (0.03)\\\\\\\\\\n & RMSE & 0.03 & 0.03 & 0.28 & \
0.04 & 0.05 & 0.04\\\\\\\\\\n & $b_2$ & -0.01 & 0.38 & -0.03 & -0.34 & -0.01 \
& -0.07\\\\\\\\\\n & 0.5 & (0.11) & (0.36) & (0.13) & (3.7) & (0.12) & (0.62)\
\\\\\\\\\\n & RMSE & 0.11 & 0.52 & 0.13 & 3.7 & 0.12 & 0.62\\\\\\\\\\n & \
$b_3$ & 0.01 & -0.31 & -0.04 & 0.28 & 0.02 & 0.06\\\\\\\\\\n & 0.8 & (0.09) & \
(0.29) & (0.19) & (2.98) & (0.1) & (0.52)\\\\\\\\\\n & RMSE & 0.09 & 0.42 & \
0.19 & 2.98 & 0.1 & 0.52\\\\\\\\\\n & GOF  & nc & 0.247 & 0.295 & 0.25 & \
0.145 & 0.238\\\\\\\\\\n & time  & 0.4 & 19.8 & 3.6 & 7.4 & 78.7 & 75.7\\\\\\\
\\\\n300 & fails  & 0 & 0 & 0 & 0 & 12 & 2\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\
\\t\\\\end{tabular}}\\n\\t\\\\label{tab:1}\\n\\\\end{table}\"\>"], "Print",
 CellChangeTimes->{3.898907855851323*^9, 3.899244580575233*^9, 
  3.900262453905583*^9},
 CellLabel->
  "During evaluation of \
In[26]:=",ExpressionUUID->"b6cf68c5-5b55-4a67-8af5-e63c943f63d2"],

Cell[BoxData[
 RowBox[{"3.900269653462977`16.343669623099945*^9", "-", "t0"}]], "Print",
 CellChangeTimes->{3.898907855851323*^9, 3.899244580575233*^9, 
  3.9002624539302683`*^9},
 CellLabel->
  "During evaluation of \
In[26]:=",ExpressionUUID->"f6e95b4b-0d1c-4e7e-91ec-e9886c102a7f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ST", "=", 
   RowBox[{"SemTest", "[", 
    RowBox[{"Nsimu", ",", 
     RowBox[{"{", 
      RowBox[{"100", " ", ",", "300"}], "}"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"First", "@", 
        RowBox[{"SimData", "[", 
         RowBox[{"#", ",", "para0", ",", "Spara0b", ",", 
          RowBox[{"simerr", "->", "False"}], ",", 
          RowBox[{"latnorm", "->", "0"}], ",", 
          RowBox[{"errnorm", "->", "0"}]}], "]"}]}], ")"}], "&"}], ",", 
     "\[IndentingNewLine]", "fastM", ",", "slowM", ",", 
     RowBox[{"{", 
      RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.2", ",", "0.5", ",", "0.8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Bobserved", ",", "Blvars", ",", "BollenEQ"}], "}"}], ",", 
     RowBox[{"LatInit", "->", 
      RowBox[{"{", 
       RowBox[{"9", ",", "1", ",", "5"}], "}"}]}], ",", 
     RowBox[{"bollen", "->", "True"}]}], "]"}]}], ";", " ", 
  RowBox[{"Print", "@", 
   RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}], ";", " ", 
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{"AbsoluteTime", "[", "]"}], "-", "t0"}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.89851995005346*^9, {3.898860914730566*^9, 3.898860921055262*^9}, {
   3.898870311177965*^9, 3.898870311585503*^9}, {3.899220494093463*^9, 
   3.899220495706314*^9}, {3.9001630159733887`*^9, 3.9001630171725273`*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"c7d2e16a-bb5c-48c1-9030-c20e2ec9d9b0"],

Cell[CellGroupData[{

Cell[BoxData["\<\"---------------------------------------------------- \
100\"\>"], "Print",
 CellChangeTimes->{3.898523237626397*^9, 3.898868753567645*^9, 
  3.8992518911553173`*^9, 3.900169479552795*^9},
 CellLabel->
  "During evaluation of \
In[24]:=",ExpressionUUID->"581427b7-21c1-4889-b2f6-8c902f3c3a84"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"lavaan\"\>", 
      RowBox[{"{", 
       RowBox[{"1.2`", ",", "0.505`", ",", "0.798`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.052000000000000005`", ",", "0.116`", ",", "0.089`"}], "}"}],
       "0", "0.4`", 
      RowBox[{"{", "}"}], 
      RowBox[{"{", "}"}]},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"1.204`", ",", "1.058`", ",", "0.365`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.058`", ",", "0.528`", ",", "0.40900000000000003`"}], "}"}], 
      "0", "2.5`", "0.279`", "0.014`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{"1.174`", ",", "0.518`", ",", "0.79`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.052000000000000005`", ",", "0.109`", ",", "0.082`"}], "}"}],
       "0", "1.1`", "0.248`", "0.011`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"1.162`", ",", "0.5650000000000001`", ",", "0.753`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.053`", ",", "0.122`", ",", "0.094`"}], "}"}], "0", "2.`", 
      "0.264`", "0.012`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.282`", ",", "0.499`", ",", "0.8190000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.055`", ",", "0.125`", ",", "0.096`"}], "}"}], "7", "26.6`", 
      "0.162`", "0.007`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.186`", ",", "0.56`", ",", "0.758`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.06`", ",", "0.464`", ",", "0.338`"}], "}"}], "1", "31.`", 
      "0.254`", "0.01`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.898523237626397*^9, 3.898868753567645*^9, 
  3.8992518911553173`*^9, 3.900169479591751*^9},
 CellLabel->
  "During evaluation of \
In[24]:=",ExpressionUUID->"639d1b03-aee8-4e31-9773-acbd64084f5c"],

Cell[BoxData["\<\"---------------------------------------------------- \
300\"\>"], "Print",
 CellChangeTimes->{3.898523237626397*^9, 3.898868753567645*^9, 
  3.8992518911553173`*^9, 3.900202330420228*^9},
 CellLabel->
  "During evaluation of \
In[24]:=",ExpressionUUID->"cb0bc036-ef2d-4d8a-a3f4-f6517a241988"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"lavaan\"\>", 
      RowBox[{"{", 
       RowBox[{"1.199`", ",", "0.503`", ",", "0.797`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.044`", ",", "0.092`", ",", "0.07200000000000001`"}], "}"}], 
      "0", "0.5`", 
      RowBox[{"{", "}"}], 
      RowBox[{"{", "}"}]},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"1.202`", ",", "1.042`", ",", "0.374`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.049`", ",", "0.417`", ",", "0.325`"}], "}"}], "0", 
      "21.200000000000003`", "0.275`", "0.012`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{"1.065`", ",", "0.47300000000000003`", ",", "0.721`"}], "}"}], 
      
      RowBox[{"{", 
       RowBox[{"0.326`", ",", "0.15`", ",", "0.217`"}], "}"}], "0", "3.5`", 
      "0.315`", "0.22`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"1.172`", ",", 
        RowBox[{"-", "0.007`"}], ",", "1.204`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.056`", ",", "3.071`", ",", "2.394`"}], "}"}], "0", "7.`", 
      "0.262`", "0.015`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.278`", ",", "0.501`", ",", "0.8160000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.045`", ",", "0.1`", ",", "0.078`"}], "}"}], "15", "74.4`", 
      "0.154`", "0.01`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.183`", ",", "0.489`", ",", "0.8130000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.048`", ",", "0.53`", ",", "0.424`"}], "}"}], "3", 
      "80.10000000000001`", "0.25`", "0.01`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.898523237626397*^9, 3.898868753567645*^9, 
  3.8992518911553173`*^9, 3.9002023304615097`*^9},
 CellLabel->
  "During evaluation of \
In[24]:=",ExpressionUUID->"2aa39cd4-18c3-4c57-8f06-5d39ae0d21dd"],

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (100 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{cccccccc}\\\\hline\\n$n$ & var   & ML  \
& $W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n100 & \
$b_1$ & 0. & 0. & -0.03 & -0.04 & 0.08 & -0.01\\\\\\\\\\n & 1.2 & (0.05) & \
(0.06) & (0.05) & (0.05) & (0.05) & (0.06)\\\\\\\\\\n & RMSE & 0.05 & 0.06 & \
0.06 & 0.07 & 0.1 & 0.06\\\\\\\\\\n & $b_2$ & 0. & 0.56 & 0.02 & 0.07 & 0. & \
0.06\\\\\\\\\\n & 0.5 & (0.12) & (0.53) & (0.11) & (0.12) & (0.13) & (0.46)\\\
\\\\\\\\n & RMSE & 0.12 & 0.77 & 0.11 & 0.14 & 0.12 & 0.47\\\\\\\\\\n & $b_3$ \
& 0. & -0.43 & -0.01 & -0.05 & 0.02 & -0.04\\\\\\\\\\n & 0.8 & (0.09) & \
(0.41) & (0.08) & (0.09) & (0.1) & (0.34)\\\\\\\\\\n & RMSE & 0.09 & 0.6 & \
0.08 & 0.1 & 0.1 & 0.34\\\\\\\\\\n & GOF  & nc & 0.279 & 0.248 & 0.264 & \
0.162 & 0.254\\\\\\\\\\n & time  & 0.4 & 2.5 & 1.1 & 2. & 26.6 & \
31.\\\\\\\\\\n100 & fails  & 0 & 0 & 0 & 0 & 7 & 1\\\\\\\\\\n\\\\hline\\n300 \
& $b_1$ & 0. & 0. & -0.14 & -0.03 & 0.08 & -0.02\\\\\\\\\\n & 1.2 & (0.04) & \
(0.05) & (0.33) & (0.06) & (0.05) & (0.05)\\\\\\\\\\n & RMSE & 0.04 & 0.05 & \
0.35 & 0.06 & 0.09 & 0.05\\\\\\\\\\n & $b_2$ & 0. & 0.54 & -0.03 & -0.51 & 0. \
& -0.01\\\\\\\\\\n & 0.5 & (0.09) & (0.42) & (0.15) & (3.07) & (0.1) & (0.53)\
\\\\\\\\\\n & RMSE & 0.09 & 0.68 & 0.15 & 3.11 & 0.1 & 0.53\\\\\\\\\\n & \
$b_3$ & 0. & -0.43 & -0.08 & 0.4 & 0.02 & 0.01\\\\\\\\\\n & 0.8 & (0.07) & \
(0.32) & (0.22) & (2.39) & (0.08) & (0.42)\\\\\\\\\\n & RMSE & 0.07 & 0.54 & \
0.23 & 2.42 & 0.08 & 0.42\\\\\\\\\\n & GOF  & nc & 0.275 & 0.315 & 0.262 & \
0.154 & 0.25\\\\\\\\\\n & time  & 0.5 & 21.2 & 3.5 & 7. & 74.4 & 80.1\\\\\\\\\
\\n300 & fails  & 0 & 0 & 0 & 0 & 15 & \
3\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\\t\\\\end{tabular}}\\n\\t\\\\label{tab:1}\
\\n\\\\end{table}\"\>"], "Print",
 CellChangeTimes->{3.898523237626397*^9, 3.898868753567645*^9, 
  3.8992518911553173`*^9, 3.900202330486401*^9},
 CellLabel->
  "During evaluation of \
In[24]:=",ExpressionUUID->"b65b4517-dc83-41f7-a1bf-753ff140748e"],

Cell[BoxData[
 RowBox[{"3.900209530381702`16.343662928351634*^9", "-", "t0"}]], "Print",
 CellChangeTimes->{3.898523237626397*^9, 3.898868753567645*^9, 
  3.8992518911553173`*^9, 3.90020233050214*^9},
 CellLabel->
  "During evaluation of \
In[24]:=",ExpressionUUID->"637e56c9-3603-4319-97f5-3fa789319ef9"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ST", "=", 
   RowBox[{"SemTest", "[", 
    RowBox[{"Nsimu", ",", 
     RowBox[{"{", 
      RowBox[{"100", " ", ",", "200"}], "}"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"First", "@", 
        RowBox[{"SimData", "[", 
         RowBox[{"#", ",", "para0", ",", "Spara0", ",", 
          RowBox[{"simerr", "->", "False"}], ",", 
          RowBox[{"latnorm", "->", "1"}], ",", 
          RowBox[{"errnorm", "->", "2"}]}], "]"}]}], ")"}], "&"}], ",", 
     "\[IndentingNewLine]", "fastM", ",", "slowM", ",", 
     RowBox[{"{", 
      RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.2", ",", "0.5", ",", "0.8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Bobserved", ",", "Blvars", ",", "BollenEQ"}], "}"}], ",", 
     RowBox[{"LatInit", "->", 
      RowBox[{"{", 
       RowBox[{"9", ",", "1", ",", "5"}], "}"}]}], ",", 
     RowBox[{"bollen", "->", "True"}]}], "]"}]}], ";", " ", 
  RowBox[{"Print", "@", 
   RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}], ";", " ", 
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{"AbsoluteTime", "[", "]"}], "-", "t0"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.898519956675665*^9, 3.8985199600134497`*^9}, 
   3.899220508382291*^9, {3.900163110339467*^9, 3.900163111744931*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"799c844c-4d9a-41ec-a07d-e7e4a5411279"],

Cell[CellGroupData[{

Cell[BoxData["\<\"---------------------------------------------------- \
100\"\>"], "Print",
 CellChangeTimes->{3.8985299638760643`*^9, 3.899266561164858*^9, 
  3.899508048557411*^9, 3.900207741290079*^9},
 CellLabel->
  "During evaluation of \
In[25]:=",ExpressionUUID->"8ce87a53-c465-4f01-8ab7-91b2d33f4a28"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"lavaan\"\>", 
      RowBox[{"{", 
       RowBox[{"1.195`", ",", "0.514`", ",", "0.791`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.043000000000000003`", ",", "0.129`", ",", "0.098`"}], "}"}],
       "0", "0.4`", 
      RowBox[{"{", "}"}], 
      RowBox[{"{", "}"}]},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"1.193`", ",", "0.915`", ",", "0.466`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.046`", ",", "0.379`", ",", "0.305`"}], "}"}], "0", 
      "2.4000000000000004`", "0.249`", "0.01`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{"1.184`", ",", "0.511`", ",", "0.794`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.043000000000000003`", ",", "0.098`", ",", "0.075`"}], "}"}],
       "0", "1.1`", "0.249`", "0.011`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"1.173`", ",", "0.648`", ",", "0.681`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.044`", ",", "0.152`", ",", "0.11900000000000001`"}], "}"}], 
      "0", "2.1`", "0.252`", "0.009000000000000001`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.241`", ",", "0.515`", ",", "0.797`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.043000000000000003`", ",", "0.135`", ",", "0.10300000000000001`"}], 
       "}"}], "5", "22.8`", "0.152`", "0.005`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{
       "1.178`", ",", "0.47000000000000003`", ",", "0.8320000000000001`"}], 
       "}"}], 
      RowBox[{"{", 
       RowBox[{"0.044`", ",", "0.213`", ",", "0.17200000000000001`"}], "}"}], 
      "1", "24.200000000000003`", "0.23900000000000002`", "0.008`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.8985299638760643`*^9, 3.899266561164858*^9, 
  3.899508048557411*^9, 3.9002077413635817`*^9},
 CellLabel->
  "During evaluation of \
In[25]:=",ExpressionUUID->"e5b7626e-1e43-4db1-86e6-5506a8fd6a3e"],

Cell[BoxData["\<\"---------------------------------------------------- \
200\"\>"], "Print",
 CellChangeTimes->{3.8985299638760643`*^9, 3.899266561164858*^9, 
  3.899508048557411*^9, 3.900224472576977*^9},
 CellLabel->
  "During evaluation of \
In[25]:=",ExpressionUUID->"607eda3b-89cf-4831-b7c2-20382c778125"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"lavaan\"\>", 
      RowBox[{"{", 
       RowBox[{"1.2`", ",", "0.513`", ",", "0.791`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.036000000000000004`", ",", "0.112`", ",", "0.088`"}], "}"}],
       "0", "0.4`", 
      RowBox[{"{", "}"}], 
      RowBox[{"{", "}"}]},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"1.198`", ",", "0.929`", ",", "0.455`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.039`", ",", "0.335`", ",", "0.272`"}], "}"}], "0", 
      "6.800000000000001`", "0.247`", "0.008`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.9450000000000001`", ",", "0.41600000000000004`", ",", "0.639`"}], 
       "}"}], 
      RowBox[{"{", 
       RowBox[{"0.453`", ",", "0.188`", ",", "0.297`"}], "}"}], "0", "3.1`", 
      "0.40800000000000003`", "0.3`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"1.183`", ",", "0.664`", ",", "0.667`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.039`", ",", "0.194`", ",", "0.16`"}], "}"}], "0", 
      "4.1000000000000005`", "0.249`", "0.01`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.246`", ",", "0.512`", ",", "0.799`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.037`", ",", "0.117`", ",", "0.092`"}], "}"}], "11", "41.6`",
       "0.146`", "0.007`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.182`", ",", "0.468`", ",", "0.8320000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.037`", ",", "0.198`", ",", "0.163`"}], "}"}], "3", "48.`", 
      "0.23700000000000002`", "0.008`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.8985299638760643`*^9, 3.899266561164858*^9, 
  3.899508048557411*^9, 3.900224472685501*^9},
 CellLabel->
  "During evaluation of \
In[25]:=",ExpressionUUID->"822b1e58-b61c-4df4-8be6-c2d2ebf701d4"],

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (100 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{cccccccc}\\\\hline\\n$n$ & var   & ML  \
& $W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n100 & \
$b_1$ & 0. & -0.01 & -0.02 & -0.03 & 0.04 & -0.02\\\\\\\\\\n & 1.2 & (0.04) & \
(0.05) & (0.04) & (0.04) & (0.04) & (0.04)\\\\\\\\\\n & RMSE & 0.04 & 0.05 & \
0.05 & 0.05 & 0.06 & 0.05\\\\\\\\\\n & $b_2$ & 0.01 & 0.41 & 0.01 & 0.15 & \
0.02 & -0.03\\\\\\\\\\n & 0.5 & (0.13) & (0.38) & (0.1) & (0.15) & (0.14) & \
(0.21)\\\\\\\\\\n & RMSE & 0.13 & 0.56 & 0.1 & 0.21 & 0.14 & 0.21\\\\\\\\\\n \
& $b_3$ & -0.01 & -0.33 & -0.01 & -0.12 & 0. & 0.03\\\\\\\\\\n & 0.8 & (0.1) \
& (0.31) & (0.08) & (0.12) & (0.1) & (0.17)\\\\\\\\\\n & RMSE & 0.1 & 0.45 & \
0.08 & 0.17 & 0.1 & 0.17\\\\\\\\\\n & GOF  & nc & 0.249 & 0.249 & 0.252 & \
0.152 & 0.239\\\\\\\\\\n & time  & 0.4 & 2.4 & 1.1 & 2.1 & 22.8 & \
24.2\\\\\\\\\\n100 & fails  & 0 & 0 & 0 & 0 & 5 & 1\\\\\\\\\\n\\\\hline\\n200 \
& $b_1$ & 0. & 0. & -0.26 & -0.02 & 0.05 & -0.02\\\\\\\\\\n & 1.2 & (0.04) & \
(0.04) & (0.45) & (0.04) & (0.04) & (0.04)\\\\\\\\\\n & RMSE & 0.04 & 0.04 & \
0.52 & 0.04 & 0.06 & 0.04\\\\\\\\\\n & $b_2$ & 0.01 & 0.43 & -0.08 & 0.16 & \
0.01 & -0.03\\\\\\\\\\n & 0.5 & (0.11) & (0.34) & (0.19) & (0.19) & (0.12) & \
(0.2)\\\\\\\\\\n & RMSE & 0.11 & 0.54 & 0.21 & 0.25 & 0.12 & 0.2\\\\\\\\\\n & \
$b_3$ & -0.01 & -0.35 & -0.16 & -0.13 & 0. & 0.03\\\\\\\\\\n & 0.8 & (0.09) & \
(0.27) & (0.3) & (0.16) & (0.09) & (0.16)\\\\\\\\\\n & RMSE & 0.09 & 0.44 & \
0.34 & 0.21 & 0.09 & 0.17\\\\\\\\\\n & GOF  & nc & 0.247 & 0.408 & 0.249 & \
0.146 & 0.237\\\\\\\\\\n & time  & 0.4 & 6.8 & 3.1 & 4.1 & 41.6 & 48.\\\\\\\\\
\\n200 & fails  & 0 & 0 & 0 & 0 & 11 & \
3\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\\t\\\\end{tabular}}\\n\\t\\\\label{tab:1}\
\\n\\\\end{table}\"\>"], "Print",
 CellChangeTimes->{3.8985299638760643`*^9, 3.899266561164858*^9, 
  3.899508048557411*^9, 3.900224472731866*^9},
 CellLabel->
  "During evaluation of \
In[25]:=",ExpressionUUID->"e6eb3536-fa45-4032-93d1-94f4eafcf622"],

Cell[BoxData[
 RowBox[{"3.900231672412485`16.343665393894675*^9", "-", "t0"}]], "Print",
 CellChangeTimes->{3.8985299638760643`*^9, 3.899266561164858*^9, 
  3.899508048557411*^9, 3.900224472766231*^9},
 CellLabel->
  "During evaluation of \
In[25]:=",ExpressionUUID->"5d6171ed-2060-44bc-b592-73bec1b6b5ae"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
    "**", "**", "**", "**", "**"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.8966925459801283`*^9, 3.8966925540791597`*^9}, 
   3.8967583909981833`*^9, {3.898519924573927*^9, 
   3.898519928605823*^9}},ExpressionUUID->"41cf6eab-8410-420c-b0fe-\
fd5d96b3d329"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"correlated", " ", "errors"}], " ", "*)"}], " ", 
  RowBox[{
   RowBox[{"ST", "=", 
    RowBox[{"SemTest", "[", 
     RowBox[{"Nsimu", ",", 
      RowBox[{"{", 
       RowBox[{"100", ",", "300"}], "}"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"First", "@", 
         RowBox[{"SimData", "[", 
          RowBox[{"#", ",", "para0", ",", "Spara0", ",", 
           RowBox[{"simerr", "->", "True"}], ",", 
           RowBox[{"latnorm", "->", "0"}], ",", 
           RowBox[{"errnorm", "->", "0"}]}], "]"}]}], ")"}], "&"}], ",", 
      "\[IndentingNewLine]", "fastM", ",", "slowM", ",", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1.2", ",", "0.5", ",", "0.8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Bobserved", ",", "Blvars", ",", "BollenEQ"}], "}"}], ",", 
      RowBox[{"LatInit", "->", 
       RowBox[{"{", 
        RowBox[{"9", ",", "1", ",", "5"}], "}"}]}], ",", 
      RowBox[{"bollen", "->", "True"}], ",", 
      RowBox[{"printSummary", "->", "True"}]}], "]"}]}], ";", " ", 
   RowBox[{"Print", "@", 
    RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.896754649962023*^9, 3.896754675857654*^9}, {
  3.8992128638856173`*^9, 3.899212864261889*^9}, {3.899220535174247*^9, 
  3.8992205370709963`*^9}, {3.90040678731783*^9, 3.900406788945747*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"3191a8d3-d62f-42e6-828d-4062dba00fc4"],

Cell[CellGroupData[{

Cell[BoxData["\<\"---------------------------------------------------- \
100\"\>"], "Print",
 CellChangeTimes->{3.9004123755315647`*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"a7de7376-565b-403d-9614-cc1411753e8c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"lavaan\"\>", 
      RowBox[{"{", 
       RowBox[{
       "1.205`", ",", "0.47600000000000003`", ",", "0.8190000000000001`"}], 
       "}"}], 
      RowBox[{"{", 
       RowBox[{"0.038`", ",", "0.128`", ",", "0.098`"}], "}"}], "0", "0.4`", 
      RowBox[{"{", "}"}], 
      RowBox[{"{", "}"}]},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"1.195`", ",", "0.791`", ",", "0.5680000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.042`", ",", "0.397`", ",", "0.311`"}], "}"}], "0", 
      "2.4000000000000004`", "0.275`", "0.014`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{
       "1.184`", ",", "0.47000000000000003`", ",", "0.8260000000000001`"}], 
       "}"}], 
      RowBox[{"{", 
       RowBox[{"0.039`", ",", "0.1`", ",", "0.073`"}], "}"}], "0", "1.`", 
      "0.281`", "0.014`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"1.17`", ",", "0.553`", ",", "0.762`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.039`", ",", "0.134`", ",", "0.101`"}], "}"}], "0", "2.`", 
      "0.278`", "0.013000000000000001`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.25`", ",", "0.48`", ",", "0.8230000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.042`", ",", "0.135`", ",", "0.10400000000000001`"}], "}"}], 
      "5", "25.700000000000003`", "0.158`", "0.006`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.19`", ",", "0.353`", ",", "0.925`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.038`", ",", "0.192`", ",", "0.156`"}], "}"}], "3", "23.5`", 
      "0.242`", "0.01`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.90041237558184*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"4e340584-0f23-4693-84b1-c93601e63fe1"],

Cell[BoxData["\<\"---------------------------------------------------- \
300\"\>"], "Print",
 CellChangeTimes->{3.9004480401497717`*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"d6265785-b7a3-48f3-9e00-2fa58196dc39"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"lavaan\"\>", 
      RowBox[{"{", 
       RowBox[{
       "1.201`", ",", "0.47900000000000004`", ",", "0.8170000000000001`"}], 
       "}"}], 
      RowBox[{"{", 
       RowBox[{"0.031`", ",", "0.10300000000000001`", ",", "0.08`"}], "}"}], 
      "0", "0.4`", 
      RowBox[{"{", "}"}], 
      RowBox[{"{", "}"}]},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"1.191`", ",", "0.76`", ",", "0.593`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.035`", ",", "0.309`", ",", "0.244`"}], "}"}], "0", "18.`", 
      "0.272`", "0.011`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{"1.079`", ",", "0.433`", ",", "0.758`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.32`", ",", "0.133`", ",", "0.221`"}], "}"}], "0", 
      "3.4000000000000004`", "0.34500000000000003`", "0.20400000000000001`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"1.172`", ",", "0.446`", ",", "0.847`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.038`", ",", "2.697`", ",", "2.179`"}], "}"}], "0", 
      "7.1000000000000005`", "0.274`", "0.013000000000000001`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.247`", ",", "0.482`", ",", "0.8220000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.034`", ",", "0.109`", ",", "0.085`"}], "}"}], "8", 
      "90.60000000000001`", "0.152`", "0.008`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.187`", ",", "0.277`", ",", "0.987`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.034`", ",", "1.721`", ",", "1.381`"}], "}"}], "3", "72.5`", 
      "0.241`", "0.009000000000000001`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.900448040195038*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"7f59f809-e5f0-4457-9a21-7b1716a90158"],

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (100 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{cccccccc}\\\\hline\\n$n$ & var   & ML  \
& $W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n100 & \
$b_1$ & 0.01 & 0. & -0.02 & -0.03 & 0.05 & -0.01\\\\\\\\\\n & 1.2 & (0.04) & \
(0.04) & (0.04) & (0.04) & (0.04) & (0.04)\\\\\\\\\\n & RMSE & 0.04 & 0.04 & \
0.04 & 0.05 & 0.06 & 0.04\\\\\\\\\\n & $b_2$ & -0.02 & 0.29 & -0.03 & 0.05 & \
-0.02 & -0.15\\\\\\\\\\n & 0.5 & (0.13) & (0.4) & (0.1) & (0.13) & (0.13) & \
(0.19)\\\\\\\\\\n & RMSE & 0.13 & 0.49 & 0.1 & 0.14 & 0.14 & 0.24\\\\\\\\\\n \
& $b_3$ & 0.02 & -0.23 & 0.03 & -0.04 & 0.02 & 0.13\\\\\\\\\\n & 0.8 & (0.1) \
& (0.31) & (0.07) & (0.1) & (0.1) & (0.16)\\\\\\\\\\n & RMSE & 0.1 & 0.39 & \
0.08 & 0.11 & 0.11 & 0.2\\\\\\\\\\n & GOF  & nc & 0.275 & 0.281 & 0.278 & \
0.158 & 0.242\\\\\\\\\\n & time  & 0.4 & 2.4 & 1. & 2. & 25.7 & \
23.5\\\\\\\\\\n100 & fails  & 0 & 0 & 0 & 0 & 5 & 3\\\\\\\\\\n\\\\hline\\n300 \
& $b_1$ & 0. & -0.01 & -0.12 & -0.03 & 0.05 & -0.01\\\\\\\\\\n & 1.2 & (0.03) \
& (0.03) & (0.32) & (0.04) & (0.03) & (0.03)\\\\\\\\\\n & RMSE & 0.03 & 0.04 \
& 0.34 & 0.05 & 0.06 & 0.04\\\\\\\\\\n & $b_2$ & -0.02 & 0.26 & -0.07 & -0.05 \
& -0.02 & -0.22\\\\\\\\\\n & 0.5 & (0.1) & (0.31) & (0.13) & (2.7) & (0.11) & \
(1.72)\\\\\\\\\\n & RMSE & 0.11 & 0.4 & 0.15 & 2.69 & 0.11 & 1.73\\\\\\\\\\n \
& $b_3$ & 0.02 & -0.21 & -0.04 & 0.05 & 0.02 & 0.19\\\\\\\\\\n & 0.8 & (0.08) \
& (0.24) & (0.22) & (2.18) & (0.08) & (1.38)\\\\\\\\\\n & RMSE & 0.08 & 0.32 \
& 0.22 & 2.17 & 0.09 & 1.39\\\\\\\\\\n & GOF  & nc & 0.272 & 0.345 & 0.274 & \
0.152 & 0.241\\\\\\\\\\n & time  & 0.4 & 18. & 3.4 & 7.1 & 90.6 & \
72.5\\\\\\\\\\n300 & fails  & 0 & 0 & 0 & 0 & 8 & \
3\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\\t\\\\end{tabular}}\\n\\t\\\\label{tab:1}\
\\n\\\\end{table}\"\>"], "Print",
 CellChangeTimes->{3.90044804021953*^9},
 CellLabel->
  "During evaluation of \
In[36]:=",ExpressionUUID->"403e4b0b-7652-421a-8010-125da55651fc"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", "**", "**", "**", "**", "**", "**", " ", "Nonlin"}], " ", 
    "Variant", " ", "of", " ", 
    RowBox[{"Bollen", "'"}], "s", " ", "model"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"BNLEQ", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"dem60", "\[Equal]", 
          RowBox[{
           RowBox[{"b1", "*", "ind60"}], "+", "u1"}]}], ",", "e01"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"dem65", "\[Equal]", 
          RowBox[{
           RowBox[{"b2", "*", "ind60"}], "+", 
           RowBox[{"b3", "*", 
            RowBox[{"dem60", "^", "2"}]}], "+", "u2"}]}], ",", "e02"}], "}"}],
        ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x1", "\[Equal]", 
          RowBox[{
           RowBox[{"1", "*", "ind60"}], "+", "t1"}]}], ",", "ee1"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x2", "\[Equal]", 
          RowBox[{
           RowBox[{"c2", "*", "ind60"}], "+", "t2"}]}], ",", "ee2"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x3", "\[Equal]", 
          RowBox[{
           RowBox[{"c3", "*", "ind60"}], "+", "t3"}]}], ",", "ee3"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y1", "\[Equal]", 
          RowBox[{
           RowBox[{"1", "*", "dem60"}], "+", "s1"}]}], ",", "e1"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y2", "\[Equal]", 
          RowBox[{
           RowBox[{"d2", "*", "dem60"}], "+", "s2"}]}], ",", "e2"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y3", "\[Equal]", 
          RowBox[{
           RowBox[{"d3", "*", "dem60"}], "+", "s3"}]}], ",", "e3"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y4", "\[Equal]", 
          RowBox[{
           RowBox[{"d4", "*", "dem60"}], "+", "s4"}]}], ",", "e4"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y5", "\[Equal]", 
          RowBox[{
           RowBox[{"1", "*", "dem65"}], "+", "s5"}]}], ",", "e5"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y6", "\[Equal]", 
          RowBox[{
           RowBox[{"d6", "*", "dem65"}], "+", "s6"}]}], ",", "e6"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y7", "\[Equal]", 
          RowBox[{
           RowBox[{"d7", "*", "dem65"}], "+", "s7"}]}], ",", "e7"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y8", "\[Equal]", 
          RowBox[{
           RowBox[{"d8", "*", "dem65"}], "+", "s8"}]}], ",", "e8"}], "}"}]}], 
      " ", "}"}]}], ";", 
    RowBox[{
     RowBox[{"Options", "[", "SimDataNL", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"simerr", "->", "False"}], ",", 
       RowBox[{"latnorm", "->", "True"}], ",", 
       RowBox[{"errnorm", "->", "True"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SimDataNL", "[", 
      RowBox[{"n_", ",", 
       RowBox[{"{", 
        RowBox[{
        "pb1_", ",", "pb2_", ",", "pb3_", ",", "pc2_", ",", "pc3_", ",", " ", 
         "pd2_", ",", "pd3_", ",", "pd4_", ",", "pd6_", ",", "pd7_", ",", 
         "pd8_"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
        "sigX1_", ",", "sigX2_", ",", "sigX3_", ",", "sigY1_", ",", "sigY2_", 
         ",", "sigY3_", ",", "sigY4_", ",", "sigY5_", ",", "sigY6_", ",", 
         "sigY7_", ",", "sigY8_", ",", "sig1_", ",", "sig2_"}], "}"}], ",", 
       RowBox[{"OptionsPattern", "[", "]"}]}], "]"}], ":=", 
     "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "i", ",", "IND60", ",", "DEM60", ",", "DEM60a", ",", "k", ",", "ksol",
          ",", "DEM65", ",", "X1", ",", "X2", ",", "X3", ",", "Y1", ",", "Y2",
          ",", "Y3", ",", "Y4", ",", "Y5", ",", "Y6", ",", "Y7", ",", "Y8", 
         ",", "res", ",", "ee", ",", "EVR", ",", "E01", ",", "E02", ",", 
         "EE1", ",", "EE2", ",", "EE3", ",", "E1", ",", "E2", ",", "E3", ",", 
         "E4", ",", "E5", ",", "E6", ",", "E7", ",", "E8"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"EVR", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"OptionValue", "@", "errnorm"}], ",", "NVR", ",", "UVR"}], 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"IND60", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"OptionValue", "@", "latnorm"}], ",", 
           RowBox[{"NVR", "[", 
            RowBox[{"1", ",", "n"}], "]"}], ",", 
           RowBox[{"UVR", "[", 
            RowBox[{"1", ",", "n"}], "]"}]}], "]"}]}], ";", " ", 
        "\[IndentingNewLine]", 
        RowBox[{"X1", "=", 
         RowBox[{
          RowBox[{"1.0", "*", "IND60"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigX1", ",", "n"}], "]"}]}]}], ";", 
        RowBox[{"EE1", "=", 
         RowBox[{"X1", "-", "IND60"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"X2", "=", 
         RowBox[{
          RowBox[{"pc2", "*", "IND60"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigX2", ",", "n"}], "]"}]}]}], ";", 
        RowBox[{"EE2", "=", 
         RowBox[{"X2", "-", 
          RowBox[{"pc2", "*", "IND60"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"X3", "=", 
         RowBox[{
          RowBox[{"pc3", "*", "IND60"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigX3", ",", "n"}], "]"}]}]}], ";", 
        RowBox[{"EE3", "=", 
         RowBox[{"X3", "-", 
          RowBox[{"pc3", "*", "IND60"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"DEM60", "=", 
         RowBox[{
          RowBox[{"pb1", "*", "IND60"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sig1", ",", "n"}], "]"}]}]}], ";", " ", 
        RowBox[{"E01", "=", 
         RowBox[{"DEM60", "-", 
          RowBox[{"pb1", "*", "IND60"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Y1", "=", 
         RowBox[{
          RowBox[{"1.0", "*", "DEM60"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigY1", ",", "n"}], "]"}]}]}], ";", " ", 
        RowBox[{"E1", "=", 
         RowBox[{"Y1", "-", "DEM60"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Y2", "=", 
         RowBox[{
          RowBox[{"pd2", "*", "DEM60"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigY2", ",", "n"}], "]"}]}]}], ";", " ", 
        RowBox[{"E2", "=", 
         RowBox[{"Y2", "-", 
          RowBox[{"pd2", "*", "DEM60"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Y3", "=", 
         RowBox[{
          RowBox[{"pd3", "*", "DEM60"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigY3", ",", "n"}], "]"}]}]}], ";", 
        RowBox[{"E3", "=", 
         RowBox[{"Y3", "-", 
          RowBox[{"pd3", "*", "DEM60"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Y4", "=", 
         RowBox[{
          RowBox[{"pd4", "*", "DEM60"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigY4", ",", "n"}], "]"}]}]}], ";", 
        RowBox[{"E4", "=", 
         RowBox[{"Y4", "-", 
          RowBox[{"pd4", "*", "DEM60"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"DEM65", "=", 
         RowBox[{
          RowBox[{"pb2", "*", "IND60"}], "+", 
          RowBox[{"pb3", "*", 
           RowBox[{"DEM60", "^", "2"}]}], "+", 
          RowBox[{"NVR", "[", 
           RowBox[{"sig2", ",", "n"}], "]"}]}]}], ";", " ", 
        RowBox[{"E02", "=", 
         RowBox[{"DEM65", "-", 
          RowBox[{"pb2", "*", "IND60"}], "-", 
          RowBox[{"pb3", "*", "IND60", "*", "DEM60"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Y5", "=", 
         RowBox[{
          RowBox[{"1.0", "*", "DEM65"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigY5", ",", "n"}], "]"}]}]}], ";", " ", 
        RowBox[{"E5", "=", 
         RowBox[{"Y5", "-", 
          RowBox[{"1", "*", "DEM65"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Y6", "=", 
         RowBox[{
          RowBox[{"pd6", "*", "DEM65"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigY6", ",", "n"}], "]"}]}]}], ";", 
        RowBox[{"E6", "=", 
         RowBox[{"Y6", "-", 
          RowBox[{"pd6", "*", "DEM65"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Y7", "=", 
         RowBox[{
          RowBox[{"pd7", "*", "DEM65"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigY7", ",", "n"}], "]"}]}]}], ";", 
        RowBox[{"E7", "=", 
         RowBox[{"Y7", "-", 
          RowBox[{"pd7", "*", "DEM65"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Y8", "=", 
         RowBox[{
          RowBox[{"pd8", "*", "DEM65"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigY8", ",", "n"}], "]"}]}]}], ";", 
        RowBox[{"E8", "=", 
         RowBox[{"Y8", "-", 
          RowBox[{"pd8", "*", "DEM65"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"OptionValue", "@", "simerr"}], ",", 
          RowBox[{
           RowBox[{"ee", "=", 
            RowBox[{"NVR", "[", 
             RowBox[{"0.3", ",", "n"}], "]"}]}], ";", 
           RowBox[{"Y4", "=", 
            RowBox[{"Y4", "+", "ee"}]}], ";", 
           RowBox[{"Y8", "=", 
            RowBox[{"Y8", "+", "ee"}]}], ";", 
           RowBox[{"E4", "=", 
            RowBox[{"E4", "+", "ee"}]}], ";", 
           RowBox[{"E8", "=", 
            RowBox[{"E8", "+", "ee"}]}], ";"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"res", "=", 
         RowBox[{"Transpose", "[", 
          RowBox[{"{", 
           RowBox[{
           "Y1", ",", "Y2", ",", "Y3", ",", "Y4", ",", "Y5", ",", "Y6", ",", 
            "Y7", ",", "Y8", ",", "X1", ",", "X2", ",", "X3"}], "}"}], 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"res", ",", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Apply", "[", 
              RowBox[{"Rule", ",", "#"}], "]"}], "&"}], ",", 
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"b1", ",", "pb1"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"b2", ",", "pb2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"b3", ",", "pb3"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"c2", ",", "pc2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"c3", ",", "pc3"}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{"d2", ",", "pd2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"d3", ",", "pd3"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"d4", ",", "pd4"}], "}"}], ",", "  ", 
                RowBox[{"{", 
                 RowBox[{"d6", ",", "pd6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"d7", ",", "pd7"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"d8", ",", "pd8"}], "}"}]}], "}"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"ind60", "[", "i", "]"}], ",", 
                  RowBox[{"IND60", "[", 
                   RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"dem60", "[", "i", "]"}], ",", 
                  RowBox[{"DEM60", "[", 
                   RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"dem65", "[", "i", "]"}], ",", 
                  RowBox[{"DEM65", "[", 
                   RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], "]"}]}],
            "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Map", "[", 
           RowBox[{"StandardDeviation", ",", 
            RowBox[{"{", 
             RowBox[{"IND60", ",", "DEM60", ",", "DEM65"}], "}"}]}], "]"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
           "E01", ",", "E02", ",", "EE1", ",", "EE2", ",", "EE3", ",", "E1", 
            ",", "E2", ",", "E3", ",", "E4", ",", "E5", ",", "E6", ",", "E7", 
            ",", "E8"}], "}"}]}], "}"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ST", "=", 
     RowBox[{"SemTest", "[", 
      RowBox[{"Nsimu", ",", 
       RowBox[{"{", 
        RowBox[{"100", ",", "300"}], "}"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"First", "@", 
          RowBox[{"SimDataNL", "[", 
           RowBox[{"#", ",", "para0", ",", "Spara0", ",", 
            RowBox[{"simerr", "->", "False"}], ",", 
            RowBox[{"latnorm", "->", "False"}], ",", 
            RowBox[{"errnorm", "->", "False"}]}], "]"}]}], ")"}], "&"}], ",", 
       "\[IndentingNewLine]", "fastM", ",", "slowM", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.2", ",", "0.5", ",", "0.8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Bobserved", ",", "Blvars", ",", "BNLEQ"}], "}"}], ",", 
       RowBox[{"bollen", "->", "False"}], ",", 
       RowBox[{"LatInit", "->", 
        RowBox[{"{", 
         RowBox[{"9", ",", "1", ",", "5"}], "}"}]}], ",", 
       RowBox[{"printSummary", "->", "True"}], ",", 
       RowBox[{"LatentMean0", "->", "True"}]}], "]"}]}], ";", " ", 
    RowBox[{"Print", "@", 
     RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{
  3.8751059597646637`*^9, {3.875106743404189*^9, 3.8751067519631653`*^9}, {
   3.875232374929851*^9, 3.875232376085437*^9}, {3.875235857201276*^9, 
   3.8752358750192013`*^9}, {3.8753354015927553`*^9, 3.875335406917597*^9}, {
   3.882160203898011*^9, 3.882160221126107*^9}, {3.88216032802145*^9, 
   3.8821603328597813`*^9}, {3.883653666499598*^9, 3.883653667024024*^9}, {
   3.88372533403867*^9, 3.8837253345593348`*^9}, {3.8840515648429203`*^9, 
   3.884051578835978*^9}, {3.884054510723151*^9, 3.884054521363065*^9}, {
   3.8840546114249153`*^9, 3.884054613826664*^9}, {3.884054797128211*^9, 
   3.884054813125595*^9}, {3.8840556585701036`*^9, 3.8840556766614513`*^9}, {
   3.8840557248134413`*^9, 3.884055758317259*^9}, {3.896678253325721*^9, 
   3.8966782769242697`*^9}, {3.896754691642521*^9, 3.89675469448218*^9}, {
   3.89921288321698*^9, 3.899212889067892*^9}, {3.899852011824964*^9, 
   3.899852012806333*^9}, {3.9000814191717253`*^9, 3.900081426624523*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"7b30e3bc-f5d9-49ef-94ad-d6e9eac89e0a"],

Cell[CellGroupData[{

Cell[BoxData["\<\"---------------------------------------------------- \
100\"\>"], "Print",
 CellChangeTimes->{3.8993817029335613`*^9, 3.8998599779421177`*^9, 
  3.900053459277293*^9, 3.9000902075972347`*^9},
 CellLabel->
  "During evaluation of \
In[21]:=",ExpressionUUID->"a848accc-d406-4ec6-a349-5de52df0d3ff"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"1.201`", ",", "0.445`", ",", "0.836`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.045`", ",", "0.246`", ",", "0.039`"}], "}"}], "0", "1.6`", 
      "0.255`", "0.012`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{"1.196`", ",", "0.444`", ",", "0.782`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.043000000000000003`", ",", "0.23700000000000002`", ",", "0.037`"}], 
       "}"}], "0", "1.6`", "0.266`", "0.013000000000000001`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"1.187`", ",", "0.441`", ",", "0.805`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.044`", ",", "0.23800000000000002`", ",", "0.038`"}], "}"}], 
      "0", "2.7`", "0.262`", "0.013000000000000001`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.25`", ",", "0.435`", ",", "0.8240000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.042`", ",", "0.265`", ",", "0.037`"}], "}"}], "5", 
      "43.800000000000004`", "0.171`", "0.012`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.188`", ",", "0.446`", ",", "0.837`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.044`", ",", "0.243`", ",", "0.042`"}], "}"}], "1", 
      "34.800000000000004`", "0.243`", "0.014`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.8993817029335613`*^9, 3.8998599779421177`*^9, 
  3.900053459277293*^9, 3.900090207602337*^9},
 CellLabel->
  "During evaluation of \
In[21]:=",ExpressionUUID->"6032afef-be69-4519-9ade-13f5528deb6b"],

Cell[BoxData["\<\"---------------------------------------------------- \
300\"\>"], "Print",
 CellChangeTimes->{3.8993817029335613`*^9, 3.8998599779421177`*^9, 
  3.900053459277293*^9, 3.9001278744429283`*^9},
 CellLabel->
  "During evaluation of \
In[21]:=",ExpressionUUID->"450b6ba8-6f69-41b1-a3c6-cf770a05d1cd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", "b3"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"1.198`", ",", "0.47000000000000003`", ",", "0.837`"}], "}"}], 
      
      RowBox[{"{", 
       RowBox[{"0.035`", ",", "0.197`", ",", "0.032`"}], "}"}], "0", 
      "4.6000000000000005`", "0.243`", "0.015`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{"1.194`", ",", "0.467`", ",", "0.78`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.034`", ",", "0.189`", ",", "0.03`"}], "}"}], "0", "4.7`", 
      "0.252`", "0.017`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"1.184`", ",", "0.465`", ",", "0.805`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.035`", ",", "0.19`", ",", "0.031`"}], "}"}], "0", "8.5`", 
      "0.249`", "0.016`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.247`", ",", "0.465`", ",", "0.8250000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.033`", ",", "0.212`", ",", "0.03`"}], "}"}], "8", "123.9`", 
      "0.158`", "0.017`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{"1.183`", ",", "0.47100000000000003`", ",", "0.841`"}], "}"}], 
      
      RowBox[{"{", 
       RowBox[{"0.035`", ",", "0.194`", ",", "0.035`"}], "}"}], "3", "90.5`", 
      "0.231`", "0.019`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.8993817029335613`*^9, 3.8998599779421177`*^9, 
  3.900053459277293*^9, 3.9001278744729424`*^9},
 CellLabel->
  "During evaluation of \
In[21]:=",ExpressionUUID->"d5bf4e44-fea6-48a2-ab42-44c1ab500982"],

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (100 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{ccccccc}\\\\hline\\n$n$ & var   & \
$W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n100 & \
$b_1$ & 0. & 0. & -0.01 & 0.05 & -0.01\\\\\\\\\\n & 1.2 & (0.04) & (0.04) & \
(0.04) & (0.04) & (0.04)\\\\\\\\\\n & RMSE & 0.04 & 0.04 & 0.05 & 0.06 & 0.05\
\\\\\\\\\\n & $b_2$ & -0.06 & -0.06 & -0.06 & -0.06 & -0.05\\\\\\\\\\n & 0.5 \
& (0.25) & (0.24) & (0.24) & (0.26) & (0.24)\\\\\\\\\\n & RMSE & 0.25 & 0.24 \
& 0.24 & 0.27 & 0.25\\\\\\\\\\n & $b_3$ & 0.04 & -0.02 & 0. & 0.02 & 0.04\\\\\
\\\\\\n & 0.8 & (0.04) & (0.04) & (0.04) & (0.04) & (0.04)\\\\\\\\\\n & RMSE \
& 0.05 & 0.04 & 0.04 & 0.04 & 0.06\\\\\\\\\\n & GOF  & 0.255 & 0.266 & 0.262 \
& 0.171 & 0.243\\\\\\\\\\n & time  & 1.6 & 1.6 & 2.7 & 43.8 & \
34.8\\\\\\\\\\n100 & fails  & 0 & 0 & 0 & 5 & 1\\\\\\\\\\n\\\\hline\\n300 & \
$b_1$ & 0. & -0.01 & -0.02 & 0.05 & -0.02\\\\\\\\\\n & 1.2 & (0.04) & (0.03) \
& (0.04) & (0.03) & (0.04)\\\\\\\\\\n & RMSE & 0.04 & 0.03 & 0.04 & 0.06 & \
0.04\\\\\\\\\\n & $b_2$ & -0.03 & -0.03 & -0.03 & -0.04 & -0.03\\\\\\\\\\n & \
0.5 & (0.2) & (0.19) & (0.19) & (0.21) & (0.19)\\\\\\\\\\n & RMSE & 0.2 & \
0.19 & 0.19 & 0.21 & 0.2\\\\\\\\\\n & $b_3$ & 0.04 & -0.02 & 0.01 & 0.02 & \
0.04\\\\\\\\\\n & 0.8 & (0.03) & (0.03) & (0.03) & (0.03) & (0.04)\\\\\\\\\\n \
& RMSE & 0.05 & 0.04 & 0.03 & 0.04 & 0.05\\\\\\\\\\n & GOF  & 0.243 & 0.252 & \
0.249 & 0.158 & 0.231\\\\\\\\\\n & time  & 4.6 & 4.7 & 8.5 & 123.9 & 90.5\\\\\
\\\\\\n300 & fails  & 0 & 0 & 0 & 8 & 3\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\\t\
\\\\end{tabular}}\\n\\t\\\\label{tab:1}\\n\\\\end{table}\"\>"], "Print",
 CellChangeTimes->{3.8993817029335613`*^9, 3.8998599779421177`*^9, 
  3.900053459277293*^9, 3.9001278744907227`*^9},
 CellLabel->
  "During evaluation of \
In[21]:=",ExpressionUUID->"fdeb0a6d-0446-44c3-8ef2-a81031897aaf"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ST", "=", 
   RowBox[{"SemTest", "[", 
    RowBox[{"50", ",", 
     RowBox[{"{", "1000", "}"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"First", "@", 
        RowBox[{"SimDataNL", "[", 
         RowBox[{"#", ",", "para0", ",", "Spara0b", ",", 
          RowBox[{"simerr", "->", "False"}], ",", 
          RowBox[{"latnorm", "->", "False"}], ",", 
          RowBox[{"errnorm", "->", "False"}]}], "]"}]}], ")"}], "&"}], ",", 
     "\[IndentingNewLine]", "fastM", ",", "slowM", ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.2", ",", "0.5", ",", "0.8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Bobserved", ",", "Blvars", ",", "BNLEQ"}], "}"}], ",", 
     RowBox[{"bollen", "->", "False"}], ",", 
     RowBox[{"printSummary", "->", "True"}]}], "]"}]}], ";", " ", 
  RowBox[{"Print", "@", 
   RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.88165380925716*^9, 3.881653821709874*^9}, {
  3.882160230439279*^9, 3.882160234859788*^9}, {3.882160343739655*^9, 
  3.882160349005107*^9}, {3.883725319151928*^9, 3.883725320005265*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"5864969d-013a-4657-abb3-4c31299428d1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "*", " ", "Ganzachs", 
    " ", 
    RowBox[{"model", "  ", "**", "**", "**"}], "*", "**"}], "*****)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"modelG", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y1", "\[Equal]", 
          RowBox[{
           RowBox[{"1", "*", "eta"}], "+", "oy1"}]}], ",", "d1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y2", "\[Equal]", 
          RowBox[{
           RowBox[{"ly12", "*", "eta"}], "+", "oy2"}]}], ",", "d2"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y3", "\[Equal]", 
          RowBox[{
           RowBox[{"ly13", "*", "eta"}], "+", "oy3"}]}], ",", "d3"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x1", "\[Equal]", 
          RowBox[{
           RowBox[{"1", "*", "xi1"}], "+", "ox1"}]}], ",", "e1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x2", "\[Equal]", 
          RowBox[{
           RowBox[{"lx12", "*", "xi1"}], "+", "ox2"}]}], ",", "e2"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x3", "\[Equal]", 
          RowBox[{
           RowBox[{"lx13", "*", "xi1"}], "+", "ox3"}]}], ",", "e3"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x4", "\[Equal]", 
          RowBox[{
           RowBox[{"1", "*", "xi2"}], "+", "ox4"}]}], ",", "e4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x5", "\[Equal]", 
          RowBox[{
           RowBox[{"lx52", "*", "xi2"}], "+", "ox5"}]}], ",", "e5"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x6", "\[Equal]", 
          RowBox[{
           RowBox[{"lx62", "*", "xi2"}], "+", "ox6"}]}], ",", "e6"}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"eta", "\[Equal]", 
          RowBox[{
           RowBox[{"om11", "*", 
            RowBox[{"xi1", "^", "2"}]}], "+", 
           RowBox[{"om12", "*", "xi1", "*", "xi2"}], "+", 
           RowBox[{"om22", "*", 
            RowBox[{"xi2", "^", "2"}]}], "+", 
           RowBox[{"gamma1", "*", "xi1"}], "+", 
           RowBox[{"gamma2", "*", "xi2"}], "+", "oeta"}]}], ",", "e0"}], 
        "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Gtrue", "=", 
     RowBox[{"{", 
      RowBox[{
      "0.5", ",", " ", "0.3", ",", " ", "0.2", ",", " ", "0.3", ",", " ", 
       "0.2"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Gpara", "=", 
     RowBox[{"{", 
      RowBox[{
      "om11", ",", "om12", ",", "om22", ",", "gamma1", ",", "gamma2"}], 
      "}"}]}], ";", 
    RowBox[{
     RowBox[{"Gsimudat", "[", "n_", "]"}], ":=", 
     RowBox[{"Gsimudat", "[", 
      RowBox[{
      "n", ",", "0.2", ",", " ", "0.3", ",", "0.2", ",", " ", "0.1", ",", 
       "0.3", ",", " ", "0.4", ",", "0.3", ",", "  ", "0.1", ",", "0.3", ",", 
       "0.1"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"Gsimudat", "[", 
      RowBox[{
      "n_", ",", "                                 ", "sn_", ",", "  ", 
       "sx1_", ",", "sx2_", ",", "sx3_", ",", "sx4_", ",", "sx5_", ",", 
       "sx6_", ",", "  ", "sy1_", ",", "sy2_", ",", "sy3_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "XI", ",", "XI1", ",", "XI2", ",", "Etas", ",", "xs1", ",", "xs2", 
         ",", "xs3", ",", "xs4", ",", "xs5", ",", "xs6", ",", "ys1", ",", 
         "ys2", ",", "ys3"}], "}"}], ",", " ", 
       RowBox[{
        RowBox[{"XI", "=", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{
           RowBox[{"MultinormalDistribution", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", "0.3"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0.3", ",", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
           "n"}], "]"}]}], ";", " ", "\[IndentingNewLine]", 
        RowBox[{"XI1", "=", 
         RowBox[{
          RowBox[{"Transpose", "[", "XI", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ";", 
        RowBox[{"XI2", "=", 
         RowBox[{
          RowBox[{"Transpose", "[", "XI", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Etas", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"Gtrue", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "*", 
           RowBox[{"XI1", "^", "2"}]}], "+", 
          RowBox[{
           RowBox[{"Gtrue", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "*", "XI1", "*", "XI2"}], "+", 
          RowBox[{
           RowBox[{"Gtrue", "[", 
            RowBox[{"[", "3", "]"}], "]"}], "*", 
           RowBox[{"XI2", "^", "2"}]}], "+", 
          RowBox[{
           RowBox[{"Gtrue", "[", 
            RowBox[{"[", "4", "]"}], "]"}], "*", "XI1"}], "+", 
          RowBox[{
           RowBox[{"Gtrue", "[", 
            RowBox[{"[", "5", "]"}], "]"}], "*", "XI2"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sn"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        "\n", 
        RowBox[{"xs1", "=", 
         RowBox[{
          RowBox[{"1", "*", "XI1"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sx1"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        RowBox[{"xs2", "=", 
         RowBox[{
          RowBox[{"0.7", "*", "XI1"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sx2"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        "\n", 
        RowBox[{"xs3", "=", 
         RowBox[{
          RowBox[{"1.2", "*", "XI1"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sx3"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        RowBox[{"xs4", "=", 
         RowBox[{
          RowBox[{"1", "*", "XI2"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sx4"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        "\n", 
        RowBox[{"xs5", "=", 
         RowBox[{
          RowBox[{"0.5", "*", "XI2"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sx5"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        RowBox[{"xs6", "=", 
         RowBox[{
          RowBox[{"0.9", "*", "XI2"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sx6"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        "\n", 
        RowBox[{"ys1", "=", 
         RowBox[{
          RowBox[{"1", "*", "Etas"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sy1"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        RowBox[{"ys2", "=", 
         RowBox[{
          RowBox[{"0.8", "*", "Etas"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sy2"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        "\n", 
        RowBox[{"ys3", "=", 
         RowBox[{
          RowBox[{"1.3", "*", "Etas"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sy3"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        "\n", 
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{
          "xs1", ",", "xs2", ",", "xs3", ",", "xs4", ",", "xs5", ",", "xs6", 
           ",", "ys1", ",", "ys2", ",", "ys3"}], "}"}], "]"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Gobs", "=", 
     RowBox[{"{", 
      RowBox[{
      "x1", ",", "x2", ",", "x3", ",", "x4", ",", "x5", ",", "x6", ",", "y1", 
       ",", "y2", ",", "y3"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ST", "=", 
     RowBox[{"SemTest", "[", 
      RowBox[{
       RowBox[{"Nsimu", "/", "10"}], ",", 
       RowBox[{"{", 
        RowBox[{"100", ",", "300"}], "}"}], ",", "Gsimudat", ",", "fastM", 
       ",", "slowM", ",", "Gpara", ",", "Gtrue", ",", 
       RowBox[{"{", 
        RowBox[{"Gobs", ",", 
         RowBox[{"{", 
          RowBox[{"xi1", ",", "xi2", ",", "eta"}], "}"}], ",", "modelG"}], 
        "}"}], ",", 
       RowBox[{"LatInit", "->", 
        RowBox[{"{", 
         RowBox[{"1", ",", "4", ",", "7"}], "}"}]}]}], "]"}]}], ";", " ", 
    RowBox[{"Print", "@", 
     RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.875691367256555*^9, 3.875691369198716*^9}, {
  3.875691945452063*^9, 3.8756919609669447`*^9}, {3.875691992789461*^9, 
  3.875691997824441*^9}, {3.883656450979698*^9, 3.883656456066113*^9}, {
  3.88474180158484*^9, 3.884741805311019*^9}, {3.8968622709004297`*^9, 
  3.8968622743243313`*^9}, {3.8992065021345673`*^9, 3.899206504249943*^9}, {
  3.899206539627997*^9, 3.8992065840986767`*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"89d9a89c-6361-4639-b6b2-f799e1f0cd83"],

Cell[CellGroupData[{

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (10 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{ccccccc}\\\\hline\\n$n$ & var   & \
$W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n100 & \
$om11$ & -0.01 & -0.02 & 0. & 0.03 & 0.02\\\\\\\\\\n & 0.5 & (0.05) & (0.03) \
& (0.04) & (0.05) & (0.06)\\\\\\\\\\n & RMSE & 0.04 & 0.04 & 0.04 & 0.06 & \
0.06\\\\\\\\\\n & $om12$ & -0.02 & -0.02 & -0.01 & 0.02 & 0.01\\\\\\\\\\n & \
0.3 & (0.04) & (0.03) & (0.03) & (0.23) & (0.03)\\\\\\\\\\n & RMSE & 0.04 & \
0.03 & 0.03 & 0.22 & 0.03\\\\\\\\\\n & $om22$ & -0.01 & -0.01 & 0. & 0.03 & \
0.03\\\\\\\\\\n & 0.2 & (0.02) & (0.02) & (0.02) & (0.17) & (0.03)\\\\\\\\\\n \
& RMSE & 0.02 & 0.02 & 0.02 & 0.16 & 0.04\\\\\\\\\\n & $gamma1$ & -0.06 & \
-0.04 & -0.03 & -0.13 & -0.09\\\\\\\\\\n & 0.3 & (0.27) & (0.06) & (0.05) & \
(0.59) & (0.26)\\\\\\\\\\n & RMSE & 0.26 & 0.07 & 0.06 & 0.58 & \
0.26\\\\\\\\\\n & $gamma2$ & -0.01 & -0.01 & -0.01 & -0.12 & 0.02\\\\\\\\\\n \
& 0.2 & (0.13) & (0.03) & (0.03) & (0.45) & (0.23)\\\\\\\\\\n & RMSE & 0.12 & \
0.03 & 0.03 & 0.44 & 0.22\\\\\\\\\\n & GOF  & 0.307 & 0.315 & 0.293 & 0.214 & \
0.273\\\\\\\\\\n & time  & 1.3 & 0.8 & 1.7 & 53.6 & 18.9\\\\\\\\\\n100 & \
fails  & 0 & 0 & 0 & 0 & 1\\\\\\\\\\n\\\\hline\\n300 & $om11$ & -0.02 & -0.03 \
& -0.01 & 0.02 & 0.01\\\\\\\\\\n & 0.5 & (0.04) & (0.03) & (0.03) & (0.04) & \
(0.05)\\\\\\\\\\n & RMSE & 0.04 & 0.04 & 0.03 & 0.05 & 0.05\\\\\\\\\\n & \
$om12$ & -0.01 & -0.01 & 0. & 0. & 0.01\\\\\\\\\\n & 0.3 & (0.03) & (0.03) & \
(0.03) & (0.16) & (0.03)\\\\\\\\\\n & RMSE & 0.03 & 0.03 & 0.03 & 0.16 & 0.03\
\\\\\\\\\\n & $om22$ & -0.01 & -0.02 & -0.01 & 0.04 & 0.02\\\\\\\\\\n & 0.2 & \
(0.02) & (0.02) & (0.02) & (0.11) & (0.03)\\\\\\\\\\n & RMSE & 0.02 & 0.02 & \
0.02 & 0.12 & 0.03\\\\\\\\\\n & $gamma1$ & 0. & -0.03 & -0.02 & 0. & 0.16\\\\\
\\\\\\n & 0.3 & (0.36) & (0.06) & (0.06) & (0.47) & (1.01)\\\\\\\\\\n & RMSE \
& 0.35 & 0.07 & 0.06 & 0.46 & 1.\\\\\\\\\\n & $gamma2$ & -0.01 & -0.01 & \
-0.01 & -0.05 & 0.18\\\\\\\\\\n & 0.2 & (0.17) & (0.04) & (0.04) & (0.34) & \
(0.94)\\\\\\\\\\n & RMSE & 0.17 & 0.04 & 0.04 & 0.33 & 0.93\\\\\\\\\\n & GOF  \
& 0.295 & 0.302 & 0.278 & 0.193 & 0.255\\\\\\\\\\n & time  & 8.3 & 2.9 & 6. & \
148.8 & 104.\\\\\\\\\\n300 & fails  & 0 & 0 & 0 & 0 & \
1\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\\t\\\\end{tabular}}\\n\\t\\\\label{tab:1}\
\\n\\\\end{table}\"\>"], "Print",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.884747229048276*^9, 3.89686227781455*^9, 3.8986459601703*^9, {
   3.898692922376445*^9, 3.898692922788384*^9}, 3.900379481378992*^9},
 CellLabel->
  "During evaluation of \
In[31]:=",ExpressionUUID->"3bbb3d9a-6204-41f5-b3a9-46bdb7e9c636"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{
       "om11", ",", "om12", ",", "om22", ",", "gamma1", ",", "gamma2"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.485`", ",", "0.291`", ",", "0.187`", ",", "0.304`", ",", "0.192`"}],
        "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.036000000000000004`", ",", "0.034`", ",", "0.018000000000000002`", 
        ",", "0.362`", ",", "0.17200000000000001`"}], "}"}], "0", "8.3`", 
      "0.295`", "0.015`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.47200000000000003`", ",", "0.291`", ",", "0.184`", ",", "0.274`", 
        ",", "0.192`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.028`", ",", "0.031`", ",", "0.019`", ",", "0.063`", ",", "0.039`"}],
        "}"}], "0", "2.9000000000000004`", "0.302`", "0.016`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.491`", ",", "0.295`", ",", "0.188`", ",", "0.28`", ",", "0.191`"}], 
       "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.031`", ",", "0.03`", ",", "0.017`", ",", "0.058`", ",", "0.037`"}], 
       "}"}], "0", "6.`", "0.278`", "0.019`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.524`", ",", "0.297`", ",", "0.23600000000000002`", ",", "0.302`", 
        ",", "0.148`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.044`", ",", "0.162`", ",", "0.114`", ",", "0.468`", ",", "0.337`"}],
        "}"}], "0", "148.8`", "0.193`", "0.032`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.512`", ",", "0.311`", ",", "0.223`", ",", "0.46`", ",", "0.383`"}], 
       "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.046`", ",", "0.031`", ",", "0.026000000000000002`", ",", 
        "1.0150000000000001`", ",", "0.936`"}], "}"}], "1", "104.`", "0.255`",
       "0.02`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.884747229048276*^9, 3.89686227781455*^9, 3.8986459601703*^9, {
   3.898692922376445*^9, 3.898692922788384*^9}, 3.900379481370227*^9},
 CellLabel->
  "During evaluation of \
In[31]:=",ExpressionUUID->"db351d6f-ff90-45d8-933e-d04368a790d3"],

Cell[BoxData["\<\"---------------------------------------------------- \
300\"\>"], "Print",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.884747229048276*^9, 3.89686227781455*^9, 3.8986459601703*^9, {
   3.898692922376445*^9, 3.898692922788384*^9}, 3.900379481354171*^9},
 CellLabel->
  "During evaluation of \
In[31]:=",ExpressionUUID->"8cc08089-f691-4440-b49f-efd3ee0ade50"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{
       "om11", ",", "om12", ",", "om22", ",", "gamma1", ",", "gamma2"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.492`", ",", "0.281`", ",", "0.194`", ",", "0.23700000000000002`", 
        ",", "0.186`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.045`", ",", "0.036000000000000004`", ",", "0.02`", ",", "0.268`", 
        ",", "0.129`"}], "}"}], "0", "1.3`", "0.307`", 
      "0.009000000000000001`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.48`", ",", "0.28300000000000003`", ",", "0.19`", ",", "0.261`", ",",
         "0.191`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.032`", ",", "0.029`", ",", "0.02`", ",", "0.058`", ",", "0.034`"}], 
       "}"}], "0", "0.8`", "0.315`", "0.01`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.499`", ",", "0.28800000000000003`", ",", "0.196`", ",", "0.268`", 
        ",", "0.187`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.039`", ",", "0.029`", ",", "0.018000000000000002`", ",", 
        "0.051000000000000004`", ",", "0.031`"}], "}"}], "0", 
      "1.7000000000000002`", "0.293`", "0.012`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.532`", ",", "0.321`", ",", "0.231`", ",", "0.17500000000000002`", 
        ",", "0.078`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.055`", ",", "0.231`", ",", "0.165`", ",", "0.593`", ",", "0.446`"}],
        "}"}], "0", "53.6`", "0.214`", "0.035`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.523`", ",", "0.309`", ",", "0.229`", ",", "0.212`", ",", "0.223`"}],
        "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.061`", ",", "0.031`", ",", "0.034`", ",", "0.263`", ",", "0.234`"}],
        "}"}], "1", "18.900000000000002`", "0.273`", "0.014`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.884747229048276*^9, 3.89686227781455*^9, 3.8986459601703*^9, {
   3.898692922376445*^9, 3.898692922788384*^9}, 3.900374929762515*^9},
 CellLabel->
  "During evaluation of \
In[31]:=",ExpressionUUID->"e1cb143c-8270-4fb6-8259-42be09fddd55"],

Cell[BoxData["\<\"---------------------------------------------------- \
100\"\>"], "Print",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.884747229048276*^9, 3.89686227781455*^9, 3.8986459601703*^9, {
   3.898692922376445*^9, 3.898692922788384*^9}, 3.900374929749761*^9},
 CellLabel->
  "During evaluation of \
In[31]:=",ExpressionUUID->"89904d5c-a6ac-4b4c-9b7a-811709c982d4"],

Cell[BoxData["  "], "Print",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.884747229048276*^9, 3.89686227781455*^9, 3.8986459601703*^9, {
   3.898692922376445*^9, 
   3.898692922788384*^9}},ExpressionUUID->"2d0feac8-395a-42c2-99e4-\
0eef30e4d687"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Linear", " ", "regression"}], "  ", "-", " ", 
    RowBox[{"not", " ", "identified", " ", 
     RowBox[{"model", "  ", "**", "**", "**", "**", "**", "**"}]}]}], 
   "******)"}], " "}]], "Input",
 CellChangeTimes->{{3.875106781895347*^9, 3.875106782848084*^9}, 
   3.87604447133698*^9},ExpressionUUID->"f649ca7e-b852-4117-918d-\
ce003f112ac9"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"RegSimu1", "[", 
    RowBox[{
    "n_", ",", "RegLatNorm_", ",", "sig_", ",", "sigx_", ",", "sigy_"}], 
    "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"X00", "=", 
        RowBox[{"If", "[", 
         RowBox[{"RegLatNorm", ",", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sig"}], "]"}], ",", "n"}], "]"}], ",", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"UniformDistribution", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "2"}], "*", "sig"}], ",", 
               RowBox[{"2", "*", "sig"}]}], "}"}], "]"}], ",", "n"}], "]"}]}],
          "]"}]}], ",", "\[IndentingNewLine]", "x1o", ",", "y1o"}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"x1o", "=", 
       RowBox[{"X00", "+", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "sigx"}], "]"}], ",", "n"}], "]"}]}]}], ";", " ", 
      RowBox[{"y1o", "=", 
       RowBox[{
        RowBox[{"0.5", "*", "X00"}], "+", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "sigy"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{"x1o", ",", "y1o"}], "}"}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rmod", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x1", "==", 
         RowBox[{"X0", "+", "u1"}]}], ",", "e1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"y1", "==", 
         RowBox[{
          RowBox[{"a", "*", "X0"}], "+", "u2"}]}], ",", "e2"}], "}"}]}], 
     "}"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"ST", "=", 
     RowBox[{"SemTest", "[", 
      RowBox[{
       RowBox[{"10", "+", 
        RowBox[{"0", "*", "Nsimu"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"100", ",", "300"}], "}"}], ",", 
       RowBox[{
        RowBox[{"RegSimu1", "[", 
         RowBox[{"#", ",", "True", ",", "1", ",", "0.4", ",", "0.2"}], "]"}], 
        "&"}], ",", "fastM", ",", "slowM", ",", "\[IndentingNewLine]", 
       RowBox[{"{", "a", "}"}], ",", 
       RowBox[{"{", "0.5", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x1", ",", "y1"}], "}"}], ",", 
         RowBox[{"{", "X0", "}"}], ",", "rmod"}], "}"}], ",", 
       RowBox[{"LatInit", "->", 
        RowBox[{"{", "1", "}"}]}], ",", 
       RowBox[{"printSummary", "->", "True"}]}], "]"}]}], ";", " ", 
    RowBox[{"Print", "@", 
     RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}], ";"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Now", " ", "again", " ", "with", " ", "non"}], "-", 
    RowBox[{"normal", " ", "latent"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ST", "=", 
   RowBox[{"SemTest", "[", 
    RowBox[{"Nsimu", ",", 
     RowBox[{"{", 
      RowBox[{"100", ",", "300"}], "}"}], ",", 
     RowBox[{
      RowBox[{"RegSimu1", "[", 
       RowBox[{"#", ",", "False", ",", "1", ",", "0.4", ",", "0.2"}], "]"}], 
      "&"}], ",", "\[IndentingNewLine]", "fastM", ",", "slowM", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "a", "}"}], ",", 
     RowBox[{"{", "0.5", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x1", ",", "y1"}], "}"}], ",", 
       RowBox[{"{", "X0", "}"}], ",", "rmod"}], "}"}], ",", 
     RowBox[{"LatInit", "->", 
      RowBox[{"{", "1", "}"}]}], ",", 
     RowBox[{"printSummary", "->", "True"}]}], "]"}]}], ";", " ", 
  RowBox[{"Print", "@", 
   RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.8751068389448967`*^9, {3.8971295202578*^9, 3.8971295349818773`*^9}, {
   3.897129611146751*^9, 3.897129619989065*^9}, {3.8992136858421507`*^9, 
   3.899213752361106*^9}, {3.899214713035207*^9, 3.899214717045965*^9}, {
   3.899214813541284*^9, 3.89921484863693*^9}, {3.9004068126151857`*^9, 
   3.900406813669074*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"fa8bf7c1-93af-4095-8831-82ce53f2e64f"],

Cell[CellGroupData[{

Cell[BoxData["\<\"---------------------------------------------------- \
100\"\>"], "Print",
 CellChangeTimes->{3.90044908572789*^9},
 CellLabel->
  "During evaluation of \
In[37]:=",ExpressionUUID->"25ece006-70e3-4ee1-8dd9-6c3158b30c08"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{
      "{", "a", 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", "0.465`", "}"}], 
      RowBox[{"{", "0.023`", "}"}], "0", "0.1`", "0.456`", "0.01`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", "0.465`", "}"}], 
      RowBox[{"{", "0.023`", "}"}], "0", "0.1`", "0.456`", "0.01`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", "0.451`", "}"}], 
      RowBox[{"{", "0.022`", "}"}], "0", "0.2`", "0.47500000000000003`", 
      "0.011`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", "0.545`", "}"}], 
      RowBox[{"{", "0.20400000000000001`", "}"}], "37", "7.7`", "0.52`", 
      "0.121`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", "0.483`", "}"}], 
      RowBox[{"{", "0.064`", "}"}], "23", "4.`", "0.487`", "0.078`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.900449085775283*^9},
 CellLabel->
  "During evaluation of \
In[37]:=",ExpressionUUID->"8913c8ee-fd1e-4b0e-9bbf-ebcf0904b065"],

Cell[BoxData["\<\"---------------------------------------------------- \
300\"\>"], "Print",
 CellChangeTimes->{3.900452923843833*^9},
 CellLabel->
  "During evaluation of \
In[37]:=",ExpressionUUID->"e71fdab9-bcdd-4d9b-a524-91f4e0b87a84"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{
      "{", "a", 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", "0.465`", "}"}], 
      RowBox[{"{", "0.018000000000000002`", "}"}], "0", "0.4`", "0.457`", 
      "0.008`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", "0.465`", "}"}], 
      RowBox[{"{", "0.018000000000000002`", "}"}], "0", "0.2`", "0.457`", 
      "0.008`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", "0.451`", "}"}], 
      RowBox[{"{", "0.018000000000000002`", "}"}], "0", "0.4`", 
      "0.47700000000000004`", "0.009000000000000001`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", "0.537`", "}"}], 
      RowBox[{"{", "0.192`", "}"}], "74", "17.1`", "0.519`", "0.121`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", "0.482`", "}"}], 
      RowBox[{"{", "0.06`", "}"}], "48", "8.700000000000001`", "0.486`", 
      "0.066`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.90045292385251*^9},
 CellLabel->
  "During evaluation of \
In[37]:=",ExpressionUUID->"bf34867a-0aea-4a39-83f2-5a4c6271d58b"],

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (100 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{ccccccc}\\\\hline\\n$n$ & var   & \
$W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n100 & $a$ \
& -0.03 & -0.03 & -0.05 & 0.05 & -0.02\\\\\\\\\\n & 0.5 & (0.02) & (0.02) & \
(0.02) & (0.2) & (0.06)\\\\\\\\\\n & RMSE & 0.04 & 0.04 & 0.05 & 0.21 & \
0.07\\\\\\\\\\n & GOF  & 0.456 & 0.456 & 0.475 & 0.52 & 0.487\\\\\\\\\\n & \
time  & 0.1 & 0.1 & 0.2 & 7.7 & 4.\\\\\\\\\\n100 & fails  & 0 & 0 & 0 & 37 & \
23\\\\\\\\\\n\\\\hline\\n300 & $a$ & -0.03 & -0.03 & -0.05 & 0.04 & -0.02\\\\\
\\\\\\n & 0.5 & (0.02) & (0.02) & (0.02) & (0.19) & (0.06)\\\\\\\\\\n & RMSE \
& 0.04 & 0.04 & 0.05 & 0.19 & 0.06\\\\\\\\\\n & GOF  & 0.457 & 0.457 & 0.477 \
& 0.519 & 0.486\\\\\\\\\\n & time  & 0.4 & 0.2 & 0.4 & 17.1 & \
8.7\\\\\\\\\\n300 & fails  & 0 & 0 & 0 & 74 & \
48\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\\t\\\\end{tabular}}\\n\\t\\\\label{tab:\
1}\\n\\\\end{table}\"\>"], "Print",
 CellChangeTimes->{3.900452923856934*^9},
 CellLabel->
  "During evaluation of \
In[37]:=",ExpressionUUID->"bed1ca3e-24dc-4951-aff6-4627c1bf12f1"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Linear", " ", "regression", "  ", "with", " ", "2", " ", "indicators", 
    " ", "each", " ", 
    RowBox[{"(", "identified", ")"}]}], "  ", "*)"}], " ", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"RegSimu2", "[", 
      RowBox[{
      "n_", ",", "RegLatNorm_", ",", "sig_", ",", "sigx_", ",", "sigy_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"X00", "=", 
          RowBox[{"If", "[", 
           RowBox[{"RegLatNorm", ",", 
            RowBox[{"RandomVariate", "[", 
             RowBox[{
              RowBox[{"NormalDistribution", "[", 
               RowBox[{"0", ",", "sig"}], "]"}], ",", "n"}], "]"}], ",", 
            RowBox[{"RandomVariate", "[", 
             RowBox[{
              RowBox[{"UniformDistribution", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "2"}], "*", "sig"}], ",", 
                 RowBox[{"2", "*", "sig"}]}], "}"}], "]"}], ",", "n"}], 
             "]"}]}], "]"}]}], ",", "\[IndentingNewLine]", "x1o", ",", "y1o", 
         ",", "x2o", ",", "y2o"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x1o", "=", 
         RowBox[{"X00", "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sigx"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        " ", 
        RowBox[{"y1o", "=", 
         RowBox[{
          RowBox[{"0.5", "*", "X00"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sigy"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"x2o", "=", 
         RowBox[{"X00", "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sigx"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        " ", 
        RowBox[{"y2o", "=", 
         RowBox[{
          RowBox[{"0.5", "*", "X00"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "sigy"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{"x1o", ",", "x2o", ",", "y1o", ",", "y2o"}], "}"}], 
         "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rmod2", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x1", "==", 
          RowBox[{"X0", "+", "u1"}]}], ",", "e1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y1", "==", 
          RowBox[{
           RowBox[{"a", "*", "X0"}], "+", "u2"}]}], ",", "e2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x2", "==", 
          RowBox[{"X0", "+", "u3"}]}], ",", "e3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y2", "==", 
          RowBox[{
           RowBox[{"a", "*", "X0"}], "+", "u4"}]}], ",", "e4"}], "}"}]}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ST", "=", 
     RowBox[{"SemTest", "[", 
      RowBox[{
       RowBox[{"10", "+", 
        RowBox[{"0", "*", "Nsimu"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"100", ",", "300"}], "}"}], ",", 
       RowBox[{
        RowBox[{"RegSimu2", "[", 
         RowBox[{"#", ",", "True", ",", "1", ",", "0.4", ",", "0.2"}], "]"}], 
        "&"}], ",", "\[IndentingNewLine]", "fastM", ",", "slowM", ",", 
       RowBox[{"{", "a", "}"}], ",", 
       RowBox[{"{", "0.5", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], ",", 
         RowBox[{"{", "X0", "}"}], ",", "rmod2"}], "}"}], ",", 
       RowBox[{"LatInit", "->", 
        RowBox[{"{", "1", "}"}]}], ",", 
       RowBox[{"printSummary", "->", "True"}]}], "]"}]}], ";", " ", 
    RowBox[{"Print", "@", 
     RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Again", " ", "with", " ", "non"}], "-", 
     RowBox[{"normal", " ", "latent"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"ST", "=", 
     RowBox[{"SemTest", "[", 
      RowBox[{"Nsimu", ",", 
       RowBox[{"{", 
        RowBox[{"100", ",", "300"}], "}"}], ",", 
       RowBox[{
        RowBox[{"RegSimu2", "[", 
         RowBox[{"#", ",", "False", ",", "1", ",", "0.4", ",", "0.2"}], "]"}],
         "&"}], ",", "\[IndentingNewLine]", "fastM", ",", "slowM", ",", 
       RowBox[{"{", "a", "}"}], ",", 
       RowBox[{"{", "0.5", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], ",", 
         RowBox[{"{", "X0", "}"}], ",", "rmod2"}], "}"}], ",", 
       RowBox[{"LatInit", "->", 
        RowBox[{"{", "1", "}"}]}], ",", 
       RowBox[{"printSummary", "->", "True"}]}], "]"}]}], ";", " ", 
    RowBox[{"Print", "@", 
     RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{
  3.875107060766511*^9, {3.898683466672299*^9, 3.898683467954403*^9}, {
   3.898817322568893*^9, 3.898817339847355*^9}, {3.8992142928306637`*^9, 
   3.899214296486621*^9}, 3.8992206125280523`*^9, {3.9004068329537477`*^9, 
   3.900406834087904*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"e4ec92b1-da8a-4f55-b09d-09007401eb1a"],

Cell[CellGroupData[{

Cell[BoxData["\<\"---------------------------------------------------- \
100\"\>"], "Print",
 CellChangeTimes->{3.90045298868491*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"224bc3a1-9fc1-4a26-b5ff-8853ebd6550c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{
      "{", "a", 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", "0.481`", "}"}], 
      RowBox[{"{", "0.021`", "}"}], "0", "0.2`", "0.456`", 
      "0.026000000000000002`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", "0.481`", "}"}], 
      RowBox[{"{", "0.021`", "}"}], "0", "0.2`", "0.456`", 
      "0.026000000000000002`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", "0.489`", "}"}], 
      RowBox[{"{", "0.021`", "}"}], "0", "0.30000000000000004`", "0.432`", 
      "0.023`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", "0.502`", "}"}], 
      RowBox[{"{", "0.022`", "}"}], "3", "1.8`", "0.364`", 
      "0.018000000000000002`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", "0.504`", "}"}], 
      RowBox[{"{", "0.032`", "}"}], "4", "1.9000000000000001`", "0.439`", 
      "0.055`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.900452988695685*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"68d4f59c-46ac-4375-9a06-408311517b39"],

Cell[BoxData["\<\"---------------------------------------------------- \
300\"\>"], "Print",
 CellChangeTimes->{3.900453263773735*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"f1715cb1-d5bf-41b1-8331-9a9d8b4daa1c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{
      "{", "a", 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", "0.47800000000000004`", "}"}], 
      RowBox[{"{", "0.018000000000000002`", "}"}], "0", "0.6000000000000001`",
       "0.446`", "0.021`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", "0.47800000000000004`", "}"}], 
      RowBox[{"{", "0.018000000000000002`", "}"}], "0", "0.4`", "0.446`", 
      "0.021`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", "0.487`", "}"}], 
      RowBox[{"{", "0.019`", "}"}], "0", "0.9`", "0.421`", "0.02`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", "0.501`", "}"}], 
      RowBox[{"{", "0.019`", "}"}], "5", "10.4`", "0.352`", "0.017`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", "0.499`", "}"}], 
      RowBox[{"{", "0.026000000000000002`", "}"}], "6", "4.7`", 
      "0.41400000000000003`", "0.048`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.900453263781807*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"23a3e1a0-7aaa-4920-a93d-7031929697a0"],

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (10 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{ccccccc}\\\\hline\\n$n$ & var   & \
$W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n100 & $a$ \
& -0.02 & -0.02 & -0.01 & 0. & 0.\\\\\\\\\\n & 0.5 & (0.02) & (0.02) & (0.02) \
& (0.02) & (0.03)\\\\\\\\\\n & RMSE & 0.03 & 0.03 & 0.02 & 0.02 & \
0.03\\\\\\\\\\n & GOF  & 0.456 & 0.456 & 0.432 & 0.364 & 0.439\\\\\\\\\\n & \
time  & 0.2 & 0.2 & 0.3 & 1.8 & 1.9\\\\\\\\\\n100 & fails  & 0 & 0 & 0 & 3 & \
4\\\\\\\\\\n\\\\hline\\n300 & $a$ & -0.02 & -0.02 & -0.01 & 0. & \
0.\\\\\\\\\\n & 0.5 & (0.02) & (0.02) & (0.02) & (0.02) & (0.03)\\\\\\\\\\n & \
RMSE & 0.03 & 0.03 & 0.02 & 0.02 & 0.03\\\\\\\\\\n & GOF  & 0.446 & 0.446 & \
0.421 & 0.352 & 0.414\\\\\\\\\\n & time  & 0.6 & 0.4 & 0.9 & 10.4 & 4.7\\\\\\\
\\\\n300 & fails  & 0 & 0 & 0 & 5 & 6\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\\t\\\
\\end{tabular}}\\n\\t\\\\label{tab:1}\\n\\\\end{table}\"\>"], "Print",
 CellChangeTimes->{3.9004532637945747`*^9},
 CellLabel->
  "During evaluation of \
In[40]:=",ExpressionUUID->"cc2cdabb-8bec-403c-adae-f0677cfc4cad"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"**", "**", "**", "**", "**", " ", "Implications"}], " ", 
           "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
   "**"}], "*******)"}]], "Input",ExpressionUUID->"63217baf-38cf-4f3f-908c-\
be1731d6e08d"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PosId", "[", "x_", "]"}], ":=", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"1", "/", "2"}], "+", 
      RowBox[{
       RowBox[{"1", "/", "Pi"}], "*", 
       RowBox[{"ArcTan", "[", 
        RowBox[{"500", "*", "x"}], "]"}]}]}], ")"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{"with", " ", "implication"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"imodel1", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x1", "==", "X0"}], ",", "e1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x2", "==", 
         RowBox[{
          RowBox[{"c2", "*", "X0"}], "+", "u1"}]}], ",", "e2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"y1", "==", "Y0"}], ",", "e3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"y2", "==", 
         RowBox[{
          RowBox[{"c4", "*", "Y0"}], "+", "u3"}]}], ",", "e4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"PosId", "[", "X0", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{"Y0", "-", 
            RowBox[{"a", "*", "X0"}]}], ")"}]}], "==", "0"}], ",", "e5"}], 
       "}"}]}], "}"}]}], ";"}], "\n", 
  RowBox[{"(*", 
   RowBox[{"without", " ", "impliation"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"imodel0", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x1", "==", "X0"}], ",", "e1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x2", "==", 
        RowBox[{
         RowBox[{"c2", "*", "X0"}], "+", "u1"}]}], ",", "e2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y1", "==", "Y0"}], ",", "e3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y2", "==", 
        RowBox[{
         RowBox[{"c4", "*", "Y0"}], "+", "u3"}]}], ",", "e4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Y0", "-", 
         RowBox[{"a", "*", "X0"}]}], "==", "0"}], ",", "e5"}], "}"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"imodel0b", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x1", "==", "X0"}], ",", "e1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x2", "==", 
         RowBox[{
          RowBox[{"c2", "*", "X0"}], "+", "u1"}]}], ",", "e2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"y1", "==", "Y0"}], ",", "e3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"y2", "==", 
         RowBox[{
          RowBox[{"c4", "*", "Y0"}], "+", "u3"}]}], ",", "e4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"Y0", "-", 
          RowBox[{"a", "*", "X0"}], "-", "c0"}], "==", "0"}], ",", "e5"}], 
       "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"with", " ", "implication", " ", "wrong", " ", "direction"}], 
   "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"imodel2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x1", "==", "X0"}], ",", "e1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x2", "==", 
        RowBox[{
         RowBox[{"c2", "*", "X0"}], "+", "u1"}]}], ",", "e2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y1", "==", "Y0"}], ",", "e3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y2", "==", 
        RowBox[{
         RowBox[{"c4", "*", "Y0"}], "+", "u3"}]}], ",", "e4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"PosId", "[", "Y0", "]"}], "*", 
         RowBox[{"(", 
          RowBox[{"Y0", "-", 
           RowBox[{"a", "*", "X0"}]}], ")"}]}], "==", "0"}], ",", "e5"}], 
      "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Itrue", "=", 
   RowBox[{"{", 
    RowBox[{"0.7", ",", "0.4", ",", "0.9"}], "}"}]}], ";", " ", 
  RowBox[{"Iparas", "=", 
   RowBox[{"{", 
    RowBox[{"c2", ",", "c4", ",", "a"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"isim", "[", "n_", "]"}], ":=", " ", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"X0", ",", "Y0", ",", "x1", ",", "x2", ",", "y1", ",", "y2"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"X0", "=", 
       RowBox[{"RandomVariate", "[", 
        RowBox[{
         RowBox[{"UniformDistribution", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], "]"}], ",", "n"}], "]"}]}],
       ";", "\[IndentingNewLine]", 
      RowBox[{"Y0", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"X0", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "<", "0"}], ",", 
           RowBox[{"RandomReal", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], "]"}], ",", 
           RowBox[{
            RowBox[{"0.9", "*", 
             RowBox[{"X0", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "+", 
            RowBox[{"RandomReal", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "0.1"}], ",", "0.1"}], "}"}], "]"}]}]}], "]"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"x1", "=", 
       RowBox[{"X0", "+", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "0.3"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
      RowBox[{"x2", "=", 
       RowBox[{
        RowBox[{"0.7", "*", "X0"}], "+", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "0.2"}], "]"}], ",", "n"}], "]"}]}]}], ";", "\n", 
      RowBox[{"y1", "=", 
       RowBox[{"Y0", "+", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "0.1"}], "]"}], ",", "n"}], "]"}]}]}], ";", "\n", 
      RowBox[{"y2", "=", 
       RowBox[{
        RowBox[{"0.4", "*", "Y0"}], "+", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "0.3"}], "]"}], ",", "n"}], "]"}]}]}], ";", "\n", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], "]"}]}]}], 
    "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.875107086425242*^9, {3.875107120701221*^9, 3.875107190399625*^9}, {
   3.875107223058256*^9, 3.875107253855002*^9}, {3.8751073409239597`*^9, 
   3.875107386683609*^9}, {3.8751074189369164`*^9, 3.8751074526960087`*^9}, {
   3.875107537968642*^9, 3.875107573278112*^9}, {3.875107654008697*^9, 
   3.875107671239107*^9}, {3.875108572093981*^9, 3.8751085722067337`*^9}, {
   3.875110100758757*^9, 3.875110298045103*^9}, {3.875110494892345*^9, 
   3.8751105279531612`*^9}, 3.875110674506382*^9, {3.8751107150121737`*^9, 
   3.8751107337185297`*^9}, {3.875111093856583*^9, 3.8751111007990303`*^9}, {
   3.875111140287428*^9, 3.875111141482944*^9}, {3.8751111848561573`*^9, 
   3.875111186692683*^9}, {3.8751112251062202`*^9, 3.875111229006112*^9}, {
   3.875111314083165*^9, 3.875111317655444*^9}, 3.87511142557071*^9, {
   3.875155112254045*^9, 3.8751551289036694`*^9}, {3.875155279656765*^9, 
   3.875155280958132*^9}, {3.8751553137691917`*^9, 3.875155467968927*^9}, {
   3.8751558644836597`*^9, 3.875155878942608*^9}, {3.8751559093921747`*^9, 
   3.875155927423053*^9}, {3.8751560278051977`*^9, 3.875156044635936*^9}, {
   3.875156242480348*^9, 3.8751562602408113`*^9}, {3.87569918818489*^9, 
   3.875699196808248*^9}, {3.875878876606468*^9, 3.875878882424951*^9}, {
   3.875879405982329*^9, 3.875879406397655*^9}, {3.875880663469548*^9, 
   3.875880728884385*^9}, {3.8758809444584637`*^9, 3.87588106568364*^9}, 
   3.87594277462402*^9, {3.882537460886346*^9, 3.882537486802363*^9}, {
   3.882541561087698*^9, 3.882541562811162*^9}, {3.88276646623796*^9, 
   3.8827665195398083`*^9}, {3.882770859547884*^9, 3.882770860041609*^9}, {
   3.882772031598316*^9, 3.882772079586231*^9}, {3.882785968012488*^9, 
   3.882785971602727*^9}, {3.882800674668106*^9, 3.882800700192732*^9}, {
   3.8828012609776154`*^9, 3.882801319043179*^9}, {3.8828027686308613`*^9, 
   3.882802777082296*^9}, {3.883725465938079*^9, 3.8837254937175198`*^9}, 
   3.8844004236814213`*^9, {3.884400852905418*^9, 3.8844008535666428`*^9}, {
   3.884401525010043*^9, 3.884401535074213*^9}, {3.8844016251558332`*^9, 
   3.884401632155217*^9}, 3.884402065236034*^9, 3.896755373366899*^9, {
   3.8996217750490417`*^9, 3.899621786475165*^9}, {3.9007194657521677`*^9, 
   3.900719496897744*^9}},
 CellLabel->
  "In[151]:=",ExpressionUUID->"fca2dd3b-3909-4ba3-94e4-ef0f8974a67a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
  "Print", "[", 
   "\"\<***** Error Means and SDs of equation between X,Y, tested with \
W1\>\"", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rese", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"ress", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"resa", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"resg", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"resf", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"resgofmc", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"kmax", "=", "25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "200"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"datR", "=", 
      RowBox[{"isim", "[", "n", "]"}]}], ";", 
     RowBox[{"r0", "=", 
      RowBox[{"fastSEM", "[", 
       RowBox[{"\"\<Ww(Wn)\>\"", ",", "datR", ",", 
        RowBox[{"{", 
         RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"X0", ",", "Y0"}], "}"}], ",", "imodel0b", ",", 
        RowBox[{"LatentMean0", "->", "False"}], ",", 
        RowBox[{"Quiet", "->", "True"}]}], "]"}]}], ";", 
     RowBox[{"r1", "=", 
      RowBox[{"fastSEM", "[", 
       RowBox[{"\"\<Ww(Wn)\>\"", ",", "datR", ",", 
        RowBox[{"{", 
         RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"X0", ",", "Y0"}], "}"}], ",", "imodel1", ",", 
        RowBox[{"LatentMean0", "->", "False"}], ",", 
        RowBox[{"Quiet", "->", "True"}]}], "]"}]}], ";", 
     RowBox[{"r2", "=", 
      RowBox[{"fastSEM", "[", 
       RowBox[{"\"\<Ww(Wn)\>\"", ",", "datR", ",", 
        RowBox[{"{", 
         RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"X0", ",", "Y0"}], "}"}], ",", "imodel2", ",", 
        RowBox[{"LatentMean0", "->", "False"}], ",", 
        RowBox[{"Quiet", "->", "True"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"resf", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"r0", "@", "\"\<Fmin\>\""}], ",", 
         RowBox[{"r1", "@", "\"\<Fmin\>\""}], ",", 
         RowBox[{"r2", "@", "\"\<Fmin\>\""}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"rese", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Last", "@", 
          RowBox[{"r0", "[", "\"\<EMeans\>\"", "]"}]}], ",", 
         RowBox[{"Last", "@", 
          RowBox[{"r1", "[", "\"\<EMeans\>\"", "]"}]}], ",", 
         RowBox[{"Last", "@", 
          RowBox[{"r2", "[", "\"\<EMeans\>\"", "]"}]}]}], "}"}]}], "]"}], ";",
      "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"ress", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Sqrt", "@", 
          RowBox[{"Last", "@", 
           RowBox[{"r0", "[", "\"\<EVars\>\"", "]"}]}]}], ",", 
         RowBox[{"Sqrt", "@", 
          RowBox[{"Last", "@", 
           RowBox[{"r1", "[", "\"\<EVars\>\"", "]"}]}]}], ",", 
         RowBox[{"Sqrt", "@", 
          RowBox[{"Last", "@", 
           RowBox[{"r2", "[", "\"\<EVars\>\"", "]"}]}]}]}], "}"}]}], "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"resa", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a", "/.", 
          RowBox[{"r0", "[", "\"\<sol\>\"", "]"}]}], ",", 
         RowBox[{"a", "/.", 
          RowBox[{"r1", "[", "\"\<sol\>\"", "]"}]}], ",", 
         RowBox[{"a", "/.", 
          RowBox[{"r2", "[", "\"\<sol\>\"", "]"}]}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"resgofmc", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"First", "@", 
          RowBox[{"r0", "[", "\"\<GOFMC\>\"", "]"}]}], ",", " ", 
         RowBox[{"First", "@", 
          RowBox[{"r1", "[", "\"\<GOFMC\>\"", "]"}]}], ",", " ", 
         RowBox[{"First", "@", 
          RowBox[{"r2", "[", "\"\<GOFMC\>\"", "]"}]}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"resg", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"r0", "[", "\"\<GOF1\>\"", "]"}], ",", 
         RowBox[{"r1", "[", "\"\<GOF1\>\"", "]"}], ",", 
         RowBox[{"r2", "[", "\"\<GOF1\>\"", "]"}]}], "}"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"k", ",", "kmax"}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\"\<\>\"", ",", "\"\<Corel\>\"", ",", "\"\<Impl\>\"", ",", 
         "\"\<false Impl\>\""}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<Fmin\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{"Mean", ",", 
             RowBox[{"Transpose", "@", "resf"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<M\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{"Mean", ",", 
             RowBox[{"Transpose", "@", "rese"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<SD of error means\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{"StandardDeviation", ",", 
             RowBox[{"Transpose", "@", "rese"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<means of SD of errors\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{"Mean", ",", 
             RowBox[{"Transpose", "@", "ress"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<a\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{"Mean", ",", 
             RowBox[{"Transpose", "@", "resa"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<GOF1\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{"Mean", ",", 
             RowBox[{"Transpose", "@", "resg"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<GOFMC\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{"Mean", "@*", "SelN"}], ",", 
             RowBox[{"Transpose", "@", "resgofmc"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], "//", "TableForm"}],
     "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "Print", "[", 
   "\"\<****** Error Means and SDs of equation between X,Y, tested with \
W^{2a}\>\"", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rese", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"ress", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"resa", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"resg", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"resf", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"resgofmc", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"kmax", "=", "25"}], ";", " ", 
  RowBox[{
   RowBox[{"SelN", "[", "L_List", "]"}], ":=", 
   RowBox[{"Select", "[", 
    RowBox[{"L", ",", "NumberQ"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"datR", "=", 
      RowBox[{"isim", "[", "n", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"val0", "=", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"X0", "[", "i", "]"}], ",", 
            RowBox[{"datR", "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Y0", "[", "i", "]"}], ",", 
            RowBox[{"datR", "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"r0", "=", 
      RowBox[{"slowSEM", "[", 
       RowBox[{"\"\<W^{2a}\>\"", ",", "datR", ",", 
        RowBox[{"{", 
         RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"X0", ",", "Y0"}], "}"}], ",", "imodel0b", ",", 
        RowBox[{"Quiet", "->", "True"}], ",", 
        RowBox[{"InitValues", "->", "val0"}], ",", 
        RowBox[{"LatentMean0", "->", "False"}], ",", 
        RowBox[{"userConstr", "->", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"c2", ">", "0"}], ",", 
           RowBox[{"c4", ">", "0"}], ",", 
           RowBox[{"a", ">", "0"}]}], "}"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"r1", "=", 
      RowBox[{"slowSEM", "[", 
       RowBox[{"\"\<W^{2a}\>\"", ",", "datR", ",", 
        RowBox[{"{", 
         RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"X0", ",", "Y0"}], "}"}], ",", "imodel1", ",", 
        RowBox[{"Quiet", "->", "True"}], ",", 
        RowBox[{"InitValues", "->", "val0"}], ",", 
        RowBox[{"LatentMean0", "->", "False"}], ",", 
        RowBox[{"userConstr", "->", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"c2", ">", "0"}], ",", 
           RowBox[{"c4", ">", "0"}], ",", 
           RowBox[{"a", ">", "0"}]}], "}"}]}]}], "]"}]}], ";", 
     RowBox[{"r2", "=", 
      RowBox[{"slowSEM", "[", 
       RowBox[{"\"\<W^{2a}\>\"", ",", "datR", ",", 
        RowBox[{"{", 
         RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"X0", ",", "Y0"}], "}"}], ",", "imodel2", ",", 
        RowBox[{"Quiet", "->", "True"}], ",", 
        RowBox[{"InitValues", "->", "val0"}], ",", 
        RowBox[{"LatentMean0", "->", "False"}], ",", 
        RowBox[{"userConstr", "->", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"c2", ">", "0"}], ",", 
           RowBox[{"c4", ">", "0"}], ",", 
           RowBox[{"a", ">", "0"}]}], "}"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"resf", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"r0", "@", "\"\<Fmin\>\""}], ",", 
         RowBox[{"r1", "@", "\"\<Fmin\>\""}], ",", 
         RowBox[{"r2", "@", "\"\<Fmin\>\""}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"rese", ",", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r0", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"Last", "@", 
            RowBox[{"r0", "[", "\"\<EEmeans\>\"", "]"}]}], ",", "Null"}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r1", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"Last", "@", 
            RowBox[{"r1", "[", "\"\<EEmeans\>\"", "]"}]}], ",", "Null"}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r2", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"Last", "@", 
            RowBox[{"r2", "[", "\"\<EEmeans\>\"", "]"}]}], ",", "Null"}], 
          "]"}]}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"ress", ",", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r0", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"Sqrt", "@", 
            RowBox[{"Last", "@", 
             RowBox[{"r0", "[", "\"\<EVars\>\"", "]"}]}]}], ",", "Null"}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r1", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"Sqrt", "@", 
            RowBox[{"Last", "@", 
             RowBox[{"r1", "[", "\"\<EVars\>\"", "]"}]}]}], ",", "Null"}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r2", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"Sqrt", "@", 
            RowBox[{"Last", "@", 
             RowBox[{"r2", "[", "\"\<EVars\>\"", "]"}]}]}], ",", "Null"}], 
          "]"}]}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"resa", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r0", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"a", "/.", 
            RowBox[{"r0", "[", "\"\<sol\>\"", "]"}]}], ",", "Null"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r1", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"a", "/.", 
            RowBox[{"r1", "[", "\"\<sol\>\"", "]"}]}], ",", "Null"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r2", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"a", "/.", 
            RowBox[{"r2", "[", "\"\<sol\>\"", "]"}]}], ",", "Null"}], "]"}]}],
         "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"resgofmc", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r0", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"First", "@", 
            RowBox[{"r0", "[", "\"\<GOFMC\>\"", "]"}]}], ",", "Null"}], "]"}],
          ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r1", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"First", "@", 
            RowBox[{"r1", "[", "\"\<GOFMC\>\"", "]"}]}], ",", "Null"}], "]"}],
          ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r2", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"First", "@", 
            RowBox[{"r2", "[", "\"\<GOFMC\>\"", "]"}]}], ",", "Null"}], 
          "]"}]}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"resg", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r0", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"r0", "[", "\"\<GOF1\>\"", "]"}], ",", "Null"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r1", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"r1", "[", "\"\<GOF1\>\"", "]"}], ",", "Null"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r2", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"r2", "[", "\"\<GOF1\>\"", "]"}], ",", "Null"}], "]"}]}], 
        "}"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"k", ",", "kmax"}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\"\<Model:\>\"", ",", "\"\<Corel\>\"", ",", "\"\<Impl\>\"", ",", 
         "\"\<false Impl\>\""}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<Fmin\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{"Mean", ",", 
             RowBox[{"Transpose", "@", "resf"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<M\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{"Mean", "@*", "SelN"}], ",", 
             RowBox[{"Transpose", "@", "rese"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<SD of error means\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{"StandardDeviation", "@*", "SelN"}], ",", 
             RowBox[{"Transpose", "@", "rese"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<means of SD of errors\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{"Mean", "@*", "SelN"}], ",", 
             RowBox[{"Transpose", "@", "ress"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<a\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{"Mean", "@*", "SelN"}], ",", 
             RowBox[{"Transpose", "@", "resa"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<GOF1\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{"Mean", "@*", "SelN"}], ",", 
             RowBox[{"Transpose", "@", "resg"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", "\"\<GOFMC\>\"", "}"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{"Mean", "@*", "SelN"}], ",", 
             RowBox[{"Transpose", "@", "resgofmc"}]}], "]"}], ",", "0.001"}], 
          "]"}]}], "]"}]}], "}"}], "//", "TableForm"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "Print", "[", 
   "\"\<****** Error Means and SDs of equation between X,Y, tested with \
W^{2a0}\>\"", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rese", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"ress", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"resa", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"resg", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"resf", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"resgofmc", "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{"kmax", "=", "25"}], ";", " ", 
  RowBox[{
   RowBox[{"SelN", "[", "L_List", "]"}], ":=", 
   RowBox[{"Select", "[", 
    RowBox[{"L", ",", "NumberQ"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"datR", "=", 
      RowBox[{"isim", "[", "n", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"val0", "=", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"X0", "[", "i", "]"}], ",", 
            RowBox[{"datR", "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Y0", "[", "i", "]"}], ",", 
            RowBox[{"datR", "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"r0", "=", 
      RowBox[{"slowSEM", "[", 
       RowBox[{"\"\<W^{2a0}\>\"", ",", "datR", ",", 
        RowBox[{"{", 
         RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"X0", ",", "Y0"}], "}"}], ",", "imodel0b", ",", 
        RowBox[{"Quiet", "->", "True"}], ",", 
        RowBox[{"InitValues", "->", "val0"}], ",", 
        RowBox[{"LatentMean0", "->", "False"}], ",", 
        RowBox[{"userConstr", "->", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"c2", ">", "0"}], ",", 
           RowBox[{"c4", ">", "0"}], ",", 
           RowBox[{"a", ">", "0"}]}], "}"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"r1", "=", 
      RowBox[{"slowSEM", "[", 
       RowBox[{"\"\<W^{2a0}\>\"", ",", "datR", ",", 
        RowBox[{"{", 
         RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"X0", ",", "Y0"}], "}"}], ",", "imodel1", ",", 
        RowBox[{"Quiet", "->", "True"}], ",", 
        RowBox[{"InitValues", "->", "val0"}], ",", 
        RowBox[{"LatentMean0", "->", "False"}], ",", 
        RowBox[{"userConstr", "->", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"c2", ">", "0"}], ",", 
           RowBox[{"c4", ">", "0"}], ",", 
           RowBox[{"a", ">", "0"}]}], "}"}]}]}], "]"}]}], ";", 
     RowBox[{"r2", "=", 
      RowBox[{"slowSEM", "[", 
       RowBox[{"\"\<W^{2a0}\>\"", ",", "datR", ",", 
        RowBox[{"{", 
         RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"X0", ",", "Y0"}], "}"}], ",", "imodel2", ",", 
        RowBox[{"Quiet", "->", "True"}], ",", 
        RowBox[{"InitValues", "->", "val0"}], ",", 
        RowBox[{"LatentMean0", "->", "False"}], ",", 
        RowBox[{"userConstr", "->", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"c2", ">", "0"}], ",", 
           RowBox[{"c4", ">", "0"}], ",", 
           RowBox[{"a", ">", "0"}]}], "}"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"resf", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"r0", "@", "\"\<Fmin\>\""}], ",", 
         RowBox[{"r1", "@", "\"\<Fmin\>\""}], ",", 
         RowBox[{"r2", "@", "\"\<Fmin\>\""}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"rese", ",", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r0", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"Last", "@", 
            RowBox[{"r0", "[", "\"\<EEmeans\>\"", "]"}]}], ",", "Null"}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r1", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"Last", "@", 
            RowBox[{"r1", "[", "\"\<EEmeans\>\"", "]"}]}], ",", "Null"}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r2", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"Last", "@", 
            RowBox[{"r2", "[", "\"\<EEmeans\>\"", "]"}]}], ",", "Null"}], 
          "]"}]}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"ress", ",", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r0", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"Sqrt", "@", 
            RowBox[{"Last", "@", 
             RowBox[{"r0", "[", "\"\<EVars\>\"", "]"}]}]}], ",", "Null"}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r1", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"Sqrt", "@", 
            RowBox[{"Last", "@", 
             RowBox[{"r1", "[", "\"\<EVars\>\"", "]"}]}]}], ",", "Null"}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r2", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"Sqrt", "@", 
            RowBox[{"Last", "@", 
             RowBox[{"r2", "[", "\"\<EVars\>\"", "]"}]}]}], ",", "Null"}], 
          "]"}]}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"resa", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r0", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"a", "/.", 
            RowBox[{"r0", "[", "\"\<sol\>\"", "]"}]}], ",", "Null"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r1", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"a", "/.", 
            RowBox[{"r1", "[", "\"\<sol\>\"", "]"}]}], ",", "Null"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r2", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"a", "/.", 
            RowBox[{"r2", "[", "\"\<sol\>\"", "]"}]}], ",", "Null"}], "]"}]}],
         "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"resgofmc", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r0", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"First", "@", 
            RowBox[{"r0", "[", "\"\<GOFMC\>\"", "]"}]}], ",", "Null"}], "]"}],
          ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r1", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"First", "@", 
            RowBox[{"r1", "[", "\"\<GOFMC\>\"", "]"}]}], ",", "Null"}], "]"}],
          ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r2", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"First", "@", 
            RowBox[{"r2", "[", "\"\<GOFMC\>\"", "]"}]}], ",", "Null"}], 
          "]"}]}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"resg", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r0", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"r0", "[", "\"\<GOF1\>\"", "]"}], ",", "Null"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r1", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"r1", "[", "\"\<GOF1\>\"", "]"}], ",", "Null"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r2", "[", "\"\<ConvergenceOK\>\"", "]"}], ",", 
           RowBox[{"r2", "[", "\"\<GOF1\>\"", "]"}], ",", "Null"}], "]"}]}], 
        "}"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"k", ",", "kmax"}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<Model:\>\"", ",", "\"\<Corel\>\"", ",", "\"\<Impl\>\"", ",", 
        "\"\<false Impl\>\""}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Fmin\>\"", "}"}], ",", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"Map", "[", 
           RowBox[{"Mean", ",", 
            RowBox[{"Transpose", "@", "resf"}]}], "]"}], ",", "0.001"}], 
         "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "\"\<M\>\"", "}"}], ",", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{"Mean", "@*", "SelN"}], ",", 
            RowBox[{"Transpose", "@", "rese"}]}], "]"}], ",", "0.001"}], 
         "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "\"\<SD of error means\>\"", "}"}], ",", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{"StandardDeviation", "@*", "SelN"}], ",", 
            RowBox[{"Transpose", "@", "rese"}]}], "]"}], ",", "0.001"}], 
         "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "\"\<means of SD of errors\>\"", "}"}], ",", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{"Mean", "@*", "SelN"}], ",", 
            RowBox[{"Transpose", "@", "ress"}]}], "]"}], ",", "0.001"}], 
         "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "\"\<a\>\"", "}"}], ",", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{"Mean", "@*", "SelN"}], ",", 
            RowBox[{"Transpose", "@", "resa"}]}], "]"}], ",", "0.001"}], 
         "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "\"\<GOF1\>\"", "}"}], ",", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{"Mean", "@*", "SelN"}], ",", 
            RowBox[{"Transpose", "@", "resg"}]}], "]"}], ",", "0.001"}], 
         "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "\"\<GOFMC\>\"", "}"}], ",", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{"Mean", "@*", "SelN"}], ",", 
            RowBox[{"Transpose", "@", "resgofmc"}]}], "]"}], ",", "0.001"}], 
         "]"}]}], "]"}]}], "}"}], "//", "TableForm"}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{
  3.875107086425242*^9, {3.875107120701221*^9, 3.875107190399625*^9}, {
   3.875107223058256*^9, 3.875107253855002*^9}, {3.8751073409239597`*^9, 
   3.875107386683609*^9}, {3.8751074189369164`*^9, 3.8751074526960087`*^9}, {
   3.875107537968642*^9, 3.875107573278112*^9}, {3.875107654008697*^9, 
   3.875107671239107*^9}, {3.875108572093981*^9, 3.8751085722067337`*^9}, {
   3.875110100758757*^9, 3.875110298045103*^9}, {3.875110494892345*^9, 
   3.8751105279531612`*^9}, 3.875110674506382*^9, {3.8751107150121737`*^9, 
   3.8751107337185297`*^9}, {3.875111093856583*^9, 3.8751111007990303`*^9}, {
   3.875111140287428*^9, 3.875111141482944*^9}, {3.8751111848561573`*^9, 
   3.875111186692683*^9}, {3.8751112251062202`*^9, 3.875111229006112*^9}, {
   3.875111314083165*^9, 3.875111317655444*^9}, 3.87511142557071*^9, {
   3.875155112254045*^9, 3.8751551289036694`*^9}, {3.875155279656765*^9, 
   3.875155280958132*^9}, {3.8751553137691917`*^9, 3.875155467968927*^9}, {
   3.8751558644836597`*^9, 3.875155878942608*^9}, {3.8751559093921747`*^9, 
   3.875155927423053*^9}, {3.8751560278051977`*^9, 3.875156044635936*^9}, {
   3.875156242480348*^9, 3.8751562602408113`*^9}, {3.87569918818489*^9, 
   3.875699196808248*^9}, {3.875878876606468*^9, 3.875878882424951*^9}, {
   3.875879405982329*^9, 3.875879406397655*^9}, {3.875880663469548*^9, 
   3.875880728884385*^9}, {3.8758809444584637`*^9, 3.87588106568364*^9}, 
   3.87594277462402*^9, {3.882537460886346*^9, 3.882537486802363*^9}, {
   3.882541561087698*^9, 3.882541562811162*^9}, {3.88276646623796*^9, 
   3.8827665195398083`*^9}, {3.882770859547884*^9, 3.882770860041609*^9}, {
   3.882772031598316*^9, 3.882772079586231*^9}, {3.882785968012488*^9, 
   3.882785971602727*^9}, {3.882800674668106*^9, 3.882800700192732*^9}, {
   3.8828012609776154`*^9, 3.882801319043179*^9}, {3.8828027686308613`*^9, 
   3.882802777082296*^9}, {3.883725465938079*^9, 3.8837254937175198`*^9}, 
   3.8844004236814213`*^9, {3.884400852905418*^9, 3.8844008535666428`*^9}, {
   3.884401525010043*^9, 3.884401535074213*^9}, {3.8844016251558332`*^9, 
   3.884401632155217*^9}, 3.884402065236034*^9, {3.8967552944621468`*^9, 
   3.896755296851109*^9}, {3.896755355215252*^9, 3.8967553810949917`*^9}, {
   3.896855935096313*^9, 3.896855976649026*^9}, 3.8968561197764263`*^9, {
   3.8971405786826963`*^9, 3.8971406273287163`*^9}, 3.897140674406569*^9, {
   3.8986951223591833`*^9, 3.898695206051258*^9}, {3.899562121161519*^9, 
   3.899562180413856*^9}, {3.899562243919848*^9, 3.899562275037765*^9}, {
   3.899566402952632*^9, 3.8995664187087927`*^9}, {3.8995948285029593`*^9, 
   3.899594943708324*^9}, {3.8996108993729973`*^9, 3.899610975787047*^9}, 
   3.89962179868781*^9, {3.8996218299134007`*^9, 3.899621833105055*^9}, {
   3.899621867941841*^9, 3.899622118994857*^9}},
 CellLabel->
  "In[158]:=",ExpressionUUID->"7fd5cfec-d8df-4643-9b2e-0f6022bf0dc4"],

Cell[CellGroupData[{

Cell[BoxData["\<\"***** Error Means and SDs of equation between X,Y, tested \
with W1\"\>"], "Print",
 CellChangeTimes->{3.900456011886077*^9, 3.900456162775593*^9, 
  3.9007195644794493`*^9},
 CellLabel->
  "During evaluation of \
In[158]:=",ExpressionUUID->"9e7395f5-fb82-4f5f-be43-b410471b2631"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"Corel\"\>", "\<\"Impl\"\>", "\<\"false Impl\"\>"},
    {"\<\"Fmin\"\>", "0.303`", "0.16`", "0.28300000000000003`"},
    {"\<\"M\"\>", "0.`", "0.008`", "0.247`"},
    {"\<\"SD of error means\"\>", "0.`", "0.003`", "0.028`"},
    {"\<\"means of SD of errors\"\>", "0.394`", "0.095`", "0.263`"},
    {"\<\"a\"\>", "0.379`", "0.796`", "0.32`"},
    {"\<\"GOF1\"\>", "0.27`", "0.214`", "0.248`"},
    {"\<\"GOFMC\"\>", "0.671`", "0.491`", "0.65`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.900456011886077*^9, 3.900456162775593*^9, 
  3.900719688524892*^9},
 CellLabel->
  "During evaluation of \
In[158]:=",ExpressionUUID->"645f9ee3-88c0-413e-a4fc-1439aec63831"],

Cell[BoxData["\<\"****** Error Means and SDs of equation between X,Y, tested \
with W^{2a}\"\>"], "Print",
 CellChangeTimes->{3.900456011886077*^9, 3.900456162775593*^9, 
  3.900719688545499*^9},
 CellLabel->
  "During evaluation of \
In[158]:=",ExpressionUUID->"f745a0ff-0264-410c-8194-d120f247244a"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Model:\"\>", "\<\"Corel\"\>", "\<\"Impl\"\>", "\<\"false \
Impl\"\>"},
    {"\<\"Fmin\"\>", "0.47800000000000004`", "0.219`", "0.529`"},
    {"\<\"M\"\>", "0.`", "0.`", "0.`"},
    {"\<\"SD of error means\"\>", "0.`", "0.`", "0.`"},
    {"\<\"means of SD of errors\"\>", "0.457`", "0.02`", "0.461`"},
    {"\<\"a\"\>", "0.787`", "0.881`", "1.4060000000000001`"},
    {"\<\"GOF1\"\>", "10.304`", "4.079`", "7.44`"},
    {"\<\"GOFMC\"\>", "0.447`", "0.33`", "0.40800000000000003`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.900456011886077*^9, 3.900456162775593*^9, 
  3.9007209383843727`*^9},
 CellLabel->
  "During evaluation of \
In[158]:=",ExpressionUUID->"de852b99-3005-4ab5-8988-0d1954c95f3e"],

Cell[BoxData["\<\"****** Error Means and SDs of equation between X,Y, tested \
with W^{2a0}\"\>"], "Print",
 CellChangeTimes->{3.900456011886077*^9, 3.900456162775593*^9, 
  3.900720938388918*^9},
 CellLabel->
  "During evaluation of \
In[158]:=",ExpressionUUID->"19b4faaf-61a2-4dda-a045-e5b9fa59f7ed"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Model:\"\>", "\<\"Corel\"\>", "\<\"Impl\"\>", "\<\"false \
Impl\"\>"},
    {"\<\"Fmin\"\>", "0.289`", "0.186`", "0.47200000000000003`"},
    {"\<\"M\"\>", "0.`", "0.`", "0.`"},
    {"\<\"SD of error means\"\>", "0.`", "0.`", "0.`"},
    {"\<\"means of SD of errors\"\>", "0.362`", "0.018000000000000002`", 
     "0.39`"},
    {"\<\"a\"\>", "0.405`", "0.9380000000000001`", "1.5210000000000001`"},
    {"\<\"GOF1\"\>", "25.792`", "17.258`", "20.376`"},
    {"\<\"GOFMC\"\>", "0.647`", "0.457`", "0.547`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.900456011886077*^9, 3.900456162775593*^9, 
  3.900722087002887*^9},
 CellLabel->
  "During evaluation of \
In[158]:=",ExpressionUUID->"d9a9ca96-c37f-4265-807c-99dc13eaf593"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ST", "=", 
   RowBox[{"SemTest", "[", 
    RowBox[{"Nsimu", ",", 
     RowBox[{"{", 
      RowBox[{"100", ",", "300"}], "}"}], ",", "isim", ",", "fastM", ",", 
     "slowM", ",", "\[IndentingNewLine]", "Iparas", ",", "Itrue", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"X0", ",", "Y0"}], "}"}], ",", "imodel1"}], "}"}], ",", 
     RowBox[{"userConstr", "->", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"c2", ">", "0"}], ",", 
        RowBox[{"c4", ">", "0"}], ",", 
        RowBox[{"a", ">", "0"}]}], "}"}]}], ",", 
     RowBox[{"LatentMean0", "->", "False"}], ",", 
     RowBox[{"LatInit", "->", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}]}], ",", 
     RowBox[{
     "ExportData", "->", 
      "\"\<~/Dropbox/Statistik/sem_studie/impl/dat/\>\""}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "@", 
  RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}]}], "Input",
 CellChangeTimes->{
  3.8828066939960747`*^9, {3.882895791128619*^9, 3.8828957953322363`*^9}, {
   3.8836564909315157`*^9, 3.883656491572555*^9}, {3.883725500748394*^9, 
   3.883725528793902*^9}, {3.884400454061178*^9, 3.884400461620431*^9}, {
   3.8967553941422033`*^9, 3.896755427470743*^9}, {3.8968559993054533`*^9, 
   3.896856004664542*^9}, 3.89947759035631*^9, {3.899477634161888*^9, 
   3.899477637133136*^9}, {3.899531700961689*^9, 3.899531703684552*^9}, {
   3.899622730364579*^9, 3.8996227321828823`*^9}, {3.899905366192271*^9, 
   3.899905415351914*^9}, {3.899985463593766*^9, 3.899985464149362*^9}, {
   3.900456090611595*^9, 3.900456091509603*^9}},
 CellLabel->
  "In[171]:=",ExpressionUUID->"ef2b771d-112e-4eef-b96e-3b15e11baf45"],

Cell[CellGroupData[{

Cell[BoxData["\<\"---------------------------------------------------- \
100\"\>"], "Print",
 CellChangeTimes->{3.9004600966365833`*^9, 3.9007237707156353`*^9},
 CellLabel->
  "During evaluation of \
In[171]:=",ExpressionUUID->"475dbc81-2ff9-473c-a920-b25e442f3736"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"c2", ",", "c4", ",", "a"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"0.644`", ",", "0.541`", ",", "0.783`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.053`", ",", "0.077`", ",", "0.061`"}], "}"}], "0", "0.5`", 
      "0.496`", "0.015`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{"0.64`", ",", "0.553`", ",", "0.749`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.053`", ",", "0.077`", ",", "0.059000000000000004`"}], "}"}],
       "0", "0.6000000000000001`", "0.537`", "0.018000000000000002`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"0.604`", ",", "0.442`", ",", "0.78`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.055`", ",", "0.075`", ",", "0.064`"}], "}"}], "0", "1.1`", 
      "0.49`", "0.022`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"0.7010000000000001`", ",", "0.52`", ",", "0.885`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.06`", ",", "0.069`", ",", "0.076`"}], "}"}], "0", "7.2`", 
      "0.334`", "0.011`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.6980000000000001`", ",", "0.406`", ",", "0.9510000000000001`"}], 
       "}"}], 
      RowBox[{"{", 
       RowBox[{"0.08`", ",", "0.063`", ",", "0.101`"}], "}"}], "1", "7.4`", 
      "0.463`", "0.015`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.9004600966365833`*^9, 3.900723770724051*^9},
 CellLabel->
  "During evaluation of \
In[171]:=",ExpressionUUID->"6646a188-f480-49cc-898b-c2bfe9df6d91"],

Cell[BoxData["\<\"---------------------------------------------------- \
300\"\>"], "Print",
 CellChangeTimes->{3.9004600966365833`*^9, 3.900732065379051*^9},
 CellLabel->
  "During evaluation of \
In[171]:=",ExpressionUUID->"c488244e-1d4c-424c-bf74-23e7d8fbc023"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"c2", ",", "c4", ",", "a"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"0.641`", ",", "0.535`", ",", "0.78`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.043000000000000003`", ",", "0.067`", ",", "0.052000000000000005`"}],
        "}"}], "0", "1.6`", "0.494`", "0.013000000000000001`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{"0.636`", ",", "0.547`", ",", "0.744`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.043000000000000003`", ",", "0.067`", ",", "0.05`"}], "}"}], 
      "0", "1.6`", "0.537`", "0.015`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"0.6`", ",", "0.436`", ",", "0.776`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.045`", ",", "0.064`", ",", "0.053`"}], "}"}], "0", "3.2`", 
      "0.489`", "0.019`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"0.6950000000000001`", ",", "0.511`", ",", "0.876`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.05`", ",", "0.058`", ",", "0.065`"}], "}"}], "2", "21.5`", 
      "0.332`", "0.01`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.6920000000000001`", ",", "0.4`", ",", "0.9440000000000001`"}], 
       "}"}], 
      RowBox[{"{", 
       RowBox[{"0.067`", ",", "0.057`", ",", "0.093`"}], "}"}], "1", 
      "21.900000000000002`", "0.46`", "0.014`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.9004600966365833`*^9, 3.900732065414098*^9},
 CellLabel->
  "During evaluation of \
In[171]:=",ExpressionUUID->"5c2df48e-b4cd-43b9-8898-01e778b02119"],

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (100 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{ccccccc}\\\\hline\\n$n$ & var   & \
$W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n100 & \
$c_2$ & -0.06 & -0.06 & -0.1 & 0. & 0.\\\\\\\\\\n & 0.7 & (0.05) & (0.05) & \
(0.06) & (0.06) & (0.08)\\\\\\\\\\n & RMSE & 0.08 & 0.08 & 0.11 & 0.06 & 0.08\
\\\\\\\\\\n & $c_4$ & 0.14 & 0.15 & 0.04 & 0.12 & 0.01\\\\\\\\\\n & 0.4 & \
(0.08) & (0.08) & (0.07) & (0.07) & (0.06)\\\\\\\\\\n & RMSE & 0.16 & 0.17 & \
0.09 & 0.14 & 0.06\\\\\\\\\\n & $a$ & -0.12 & -0.15 & -0.12 & -0.01 & \
0.05\\\\\\\\\\n & 0.9 & (0.06) & (0.06) & (0.06) & (0.08) & (0.1)\\\\\\\\\\n \
& RMSE & 0.13 & 0.16 & 0.14 & 0.08 & 0.11\\\\\\\\\\n & GOF  & 0.496 & 0.537 & \
0.49 & 0.334 & 0.463\\\\\\\\\\n & time  & 0.5 & 0.6 & 1.1 & 7.2 & 7.4\\\\\\\\\
\\n100 & fails  & 0 & 0 & 0 & 0 & 1\\\\\\\\\\n\\\\hline\\n300 & $c_2$ & -0.06 \
& -0.06 & -0.1 & 0. & -0.01\\\\\\\\\\n & 0.7 & (0.04) & (0.04) & (0.04) & \
(0.05) & (0.07)\\\\\\\\\\n & RMSE & 0.07 & 0.08 & 0.11 & 0.05 & \
0.07\\\\\\\\\\n & $c_4$ & 0.13 & 0.15 & 0.04 & 0.11 & 0.\\\\\\\\\\n & 0.4 & \
(0.07) & (0.07) & (0.06) & (0.06) & (0.06)\\\\\\\\\\n & RMSE & 0.15 & 0.16 & \
0.07 & 0.13 & 0.06\\\\\\\\\\n & $a$ & -0.12 & -0.16 & -0.12 & -0.02 & \
0.04\\\\\\\\\\n & 0.9 & (0.05) & (0.05) & (0.05) & (0.06) & (0.09)\\\\\\\\\\n \
& RMSE & 0.13 & 0.16 & 0.14 & 0.07 & 0.1\\\\\\\\\\n & GOF  & 0.494 & 0.537 & \
0.489 & 0.332 & 0.46\\\\\\\\\\n & time  & 1.6 & 1.6 & 3.2 & 21.5 & 21.9\\\\\\\
\\\\n300 & fails  & 0 & 0 & 0 & 2 & 1\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\\t\\\
\\end{tabular}}\\n\\t\\\\label{tab:1}\\n\\\\end{table}\"\>"], "Print",
 CellChangeTimes->{3.9004600966365833`*^9, 3.9007320654254627`*^9},
 CellLabel->
  "During evaluation of \
In[171]:=",ExpressionUUID->"1547cce9-1fb0-4981-8a21-55d792a1dd8f"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
          "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*", " ", 
   "Competence", " ", 
   RowBox[{"model", " ", "**", "**", "**"}], "*", 
   RowBox[{
   "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**"}]}],
   "*******)"}]], "Input",
 CellChangeTimes->{{3.875190799418643*^9, 3.875190802627061*^9}, {
  3.875190840591564*^9, 
  3.875190844101108*^9}},ExpressionUUID->"737131fd-5a33-4f87-88e8-\
b7065bc7d143"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"modelK", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"item1", "==", 
        RowBox[{
         RowBox[{"0", "*", "u1"}], "+", 
         RowBox[{"c11", "*", "L1"}], "+", 
         RowBox[{"c13", "*", "L1", "*", "K1"}]}]}], ",", "e1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"item2", "==", 
        RowBox[{
         RowBox[{"0", "*", "u2"}], "+", 
         RowBox[{"c22", "*", "K1"}], "+", 
         RowBox[{"c23", "*", "L1", "*", "K1"}]}]}], ",", "e2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"item3", "==", 
        RowBox[{
         RowBox[{"0", "*", "u3"}], "+", 
         RowBox[{"c3", "*", "L1"}]}]}], ",", "e3"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"item4", "==", 
        RowBox[{
         RowBox[{"0", "*", "u4"}], "+", 
         RowBox[{"c4", "*", "K1"}]}]}], ",", "e4"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"item5", "==", 
        RowBox[{
         RowBox[{"0", "*", "u5"}], "+", 
         RowBox[{"c5", "*", "L1"}]}]}], ",", "e5"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"item6", "==", 
        RowBox[{
         RowBox[{"0", "*", "u6"}], "+", 
         RowBox[{"c6", "*", "K1"}]}]}], ",", "e6"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"paras", "=", 
    RowBox[{"{", 
     RowBox[{
     "c11", ",", "c13", ",", "c22", ",", "c23", ",", "c3", ",", "c4", ",", 
      "c5", ",", "c6"}], "}"}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"truesol", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c11", "->", "0.4"}], ",", 
     RowBox[{"c13", "->", "0.6"}], " ", ",", 
     RowBox[{"c22", "->", "0.3"}], " ", ",", 
     RowBox[{"c23", "->", "0.7"}], ",", 
     RowBox[{"c3", "->", "0.9"}], ",", 
     RowBox[{"c4", "->", "0.8"}], ",", 
     RowBox[{"c5", "->", "0.7"}], ",", 
     RowBox[{"c6", "->", "0.7"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Ktrue", "=", 
    RowBox[{"paras", "/.", "truesol"}]}], ";"}], "\[IndentingNewLine]", 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"KoSimu", "[", "n_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "L1K1true", ",", "K1true", ",", "L1true", ",", "ItrueN", ",", "Item1", 
        ",", "Item2", ",", "Item3", ",", "Item4", ",", "Item5", ",", "Item6", 
        ",", "dataK", ",", "c11trueN", ",", "c12trueN", ",", "c13trueN", ",", 
        "c21trueN", ",", "c22trueN", ",", "c23trueN", ",", 
        "\[IndentingNewLine]", "c3trueN", ",", "c4trueN", ",", "c5trueN", ",",
         "c6trueN"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"L1K1true", "=", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"UniformDistribution", "[", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0.1"}], "}"}], "]"}], ",", "n"}], "]"}]}], ";",
        "\[IndentingNewLine]", 
       RowBox[{"K1true", "=", 
        RowBox[{"L1K1true", "+", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{
           RowBox[{"UniformDistribution", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0.9"}], "}"}], "]"}], ",", "n"}], "]"}]}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"L1true", "=", 
        RowBox[{"L1K1true", "+", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{
           RowBox[{"UniformDistribution", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0.8"}], "}"}], "]"}], ",", "n"}], "]"}]}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"Item1", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"0.", "+", 
             RowBox[{"c11", "*", "L1true"}], "+", 
             RowBox[{"c13", "*", "L1true", "*", "K1true"}]}], ")"}], "/.", 
           "truesol"}], ")"}], "+", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{
           RowBox[{"NormalDistribution", "[", 
            RowBox[{"0", ",", "0.2"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Item2", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"0.0", "+", 
             RowBox[{"c22", "*", "K1true"}], "+", 
             RowBox[{"c23", "*", "L1true", "*", "K1true"}]}], ")"}], "/.", 
           "truesol"}], ")"}], "+", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{
           RowBox[{"NormalDistribution", "[", 
            RowBox[{"0", ",", "0.1"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Item3", "=", 
        RowBox[{"0.0", "+", 
         RowBox[{"c3", "*", "L1true"}], "+", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{
           RowBox[{"NormalDistribution", "[", 
            RowBox[{"0", ",", "0.2"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Item4", "=", 
        RowBox[{"0.0", "+", 
         RowBox[{"c4", "*", "K1true"}], "+", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{
           RowBox[{"NormalDistribution", "[", 
            RowBox[{"0", ",", "0.1"}], "]"}], ",", "n"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Item5", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"0.0", "+", 
           RowBox[{"c5", "*", "L1true"}], "+", 
           RowBox[{"RandomVariate", "[", 
            RowBox[{
             RowBox[{"NormalDistribution", "[", 
              RowBox[{"0", ",", "0.2"}], "]"}], ",", "n"}], "]"}]}], ")"}], "/.",
          "truesol"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Item6", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"0.0", "+", 
           RowBox[{"c6", "*", "K1true"}], "+", 
           RowBox[{"RandomVariate", "[", 
            RowBox[{
             RowBox[{"NormalDistribution", "[", 
              RowBox[{"0", ",", "0.1"}], "]"}], ",", "n"}], "]"}]}], ")"}], "/.",
          "truesol"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"dataK", "=", 
        RowBox[{
         RowBox[{"Transpose", "@", 
          RowBox[{"{", 
           RowBox[{
           "Item1", ",", "Item2", ",", "Item3", ",", "Item4", ",", "Item5", 
            ",", "Item6"}], "}"}]}], "/.", "truesol"}]}], ";", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"c11trueN", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"c11", "/.", "truesol"}], ")"}], "*", 
         RowBox[{
          RowBox[{"StandardDeviation", "[", "L1true", "]"}], "/", 
          RowBox[{"StandardDeviation", "[", "Item1", "]"}]}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"c13trueN", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"c13", "/.", "truesol"}], ")"}], "*", 
         RowBox[{
          RowBox[{"StandardDeviation", "[", 
           RowBox[{"L1true", "*", "K1true"}], "]"}], "/", 
          RowBox[{"StandardDeviation", "[", "Item1", "]"}]}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"c22trueN", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"c22", "/.", "truesol"}], ")"}], "*", 
         RowBox[{
          RowBox[{"StandardDeviation", "[", "K1true", "]"}], "/", 
          RowBox[{"StandardDeviation", "[", "Item2", "]"}]}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"c23trueN", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"c23", "/.", "truesol"}], ")"}], "*", 
         RowBox[{
          RowBox[{"StandardDeviation", "[", 
           RowBox[{"L1true", "*", "K1true"}], "]"}], "/", 
          RowBox[{"StandardDeviation", "[", "Item2", "]"}]}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"c3trueN", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"c3", "/.", "truesol"}], ")"}], "*", 
         RowBox[{
          RowBox[{"StandardDeviation", "[", "L1true", "]"}], "/", 
          RowBox[{"StandardDeviation", "[", "Item3", "]"}]}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"c4trueN", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"c4", "/.", "truesol"}], ")"}], "*", 
         RowBox[{
          RowBox[{"StandardDeviation", "[", "K1true", "]"}], "/", 
          RowBox[{"StandardDeviation", "[", "Item4", "]"}]}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"c5trueN", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"c5", "/.", "truesol"}], ")"}], "*", 
         RowBox[{
          RowBox[{"StandardDeviation", "[", "L1true", "]"}], "/", 
          RowBox[{"StandardDeviation", "[", "Item5", "]"}]}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"c6trueN", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"c6", "/.", "truesol"}], ")"}], "*", 
         RowBox[{
          RowBox[{"StandardDeviation", "[", "K1true", "]"}], "/", 
          RowBox[{"StandardDeviation", "[", "Item6", "]"}]}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"ItrueN", "=", 
        RowBox[{"{", 
         RowBox[{
         "c11trueN", ",", "c13trueN", ",", "c22trueN", ",", "c23trueN", ",", 
          "c3trueN", ",", "c4trueN", ",", "c5trueN", ",", "c6trueN"}], 
         "}"}]}], ";", "\n", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"dataK", ",", "ItrueN", ",", "L1true", ",", "K1true"}], 
         "}"}], "/.", "truesol"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "300"}], ";", " ", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"datR", ",", "ItrueN", ",", "L1true", ",", "K1true"}], "}"}], "=", 
   RowBox[{"KoSimu", "[", "n", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "\"\<true sim\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NormedParaTrue", "=", 
   RowBox[{
    RowBox[{"KoSimu", "[", "100000", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"paras", ",", "Ktrue", ",", 
      RowBox[{"Round", "[", 
       RowBox[{"NormedParaTrue", ",", "0.01"}], "]"}]}], "}"}], "//", 
    "TableForm"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{"MyRound", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\"\<L mean\>\"", ",", 
        RowBox[{"Map", "[", 
         RowBox[{"Mean", ",", 
          RowBox[{"{", 
           RowBox[{"L1true", ",", "K1true"}], "}"}]}], "]"}], ",", 
        "\"\<L Std\>\"", ",", 
        RowBox[{"Map", "[", 
         RowBox[{"StandardDeviation", ",", 
          RowBox[{"{", 
           RowBox[{"L1true", ",", "K1true"}], "}"}]}], "]"}]}], "}"}], ",", 
      "0.01"}], "]"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "\"\<fast\>\"", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"fastSEM", "[", 
    RowBox[{"datR", ",", 
     RowBox[{"{", 
      RowBox[{
      "item1", ",", "item2", ",", "item3", ",", "item4", ",", "item5", ",", 
       "item6"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"L1", ",", "K1"}], "}"}], ",", "modelK", ",", 
     RowBox[{"LatentMean0", "->", "False"}], ",", 
     RowBox[{"calcDataFit", "->", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"userConstr", "->", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", ">", "0"}], "&"}], ",", "paras"}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"userLatentConstr", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"L1", ">", "0"}], ",", 
        RowBox[{"K1", ">", "0"}], ",", 
        RowBox[{"K1", "<", "1"}], ",", 
        RowBox[{"L1", "<", "1"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
    RowBox[{"MyRound", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"paras", ",", 
        RowBox[{"paras", "/.", 
         RowBox[{"res", "[", "\"\<sol\>\"", "]"}]}], ",", 
        RowBox[{"paras", "/.", 
         RowBox[{"res", "[", "\"\<NormedParas\>\"", "]"}]}]}], "}"}], ",", 
      "0.01"}], "]"}], "//", "TableForm"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{"MyRound", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\"\<L mean\>\"", ",", 
        RowBox[{"Map", "[", 
         RowBox[{"Mean", ",", 
          RowBox[{"res", "[", "\"\<LLs\>\"", "]"}]}], "]"}], ",", 
        "\"\<L Std\>\"", ",", 
        RowBox[{"Map", "[", 
         RowBox[{"StandardDeviation", ",", 
          RowBox[{"res", "[", "\"\<LLs\>\"", "]"}]}], "]"}], ",", 
        "\"\<GOF1,DF\>\"", ",", 
        RowBox[{"res", "[", "\"\<GOF1\>\"", "]"}], ",", 
        RowBox[{"res", "[", "\"\<dataFit\>\"", "]"}]}], "}"}], ",", "0.01"}], 
     "]"}], "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{"False", ",", 
    RowBox[{
     RowBox[{"Print", "[", "\"\<W^2a0\>\"", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"res2", "=", 
      RowBox[{"slowSEM", "[", 
       RowBox[{"\"\<W^{2a0}\>\"", ",", "datR", ",", 
        RowBox[{"{", 
         RowBox[{
         "item1", ",", "item2", ",", "item3", ",", "item4", ",", "item5", ",",
           "item6"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"L1", ",", "K1"}], "}"}], ",", "modelK", ",", 
        RowBox[{"calcDataFit", "->", "1"}], ",", 
        RowBox[{"userConstr", "->", 
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"#", ">", "0"}], "&"}], ",", "paras"}], "]"}], ",", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"#", "<", "10"}], "&"}], ",", "paras"}], "]"}]}], 
          "]"}]}], ",", 
        RowBox[{"userLatentConstr", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"L1", ">", "0"}], ",", 
           RowBox[{"K1", ">", "0"}], ",", 
           RowBox[{"K1", "<", "1"}], ",", 
           RowBox[{"L1", "<", "1"}]}], "}"}]}], ",", 
        RowBox[{"LatentMean0", "->", "False"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{
       RowBox[{"MyRound", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"paras", ",", 
           RowBox[{"paras", "/.", 
            RowBox[{"res2", "[", "\"\<sol\>\"", "]"}]}], ",", 
           RowBox[{"paras", "/.", 
            RowBox[{"res2", "[", "\"\<NormedParas\>\"", "]"}]}]}], "}"}], ",",
          "0.01"}], "]"}], "//", "TableForm"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"MyRound", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<L mean\>\"", ",", 
          RowBox[{"Map", "[", 
           RowBox[{"Mean", ",", 
            RowBox[{"res2", "[", "\"\<LLs\>\"", "]"}]}], "]"}], ",", 
          "\"\<L Std\>\"", ",", 
          RowBox[{"Map", "[", 
           RowBox[{"StandardDeviation", ",", 
            RowBox[{"res2", "[", "\"\<LLs\>\"", "]"}]}], "]"}], ",", 
          "\"\<GOF1,DF\>\"", ",", 
          RowBox[{"res2", "[", "\"\<GOF1\>\"", "]"}], ",", 
          RowBox[{"res2", "[", "\"\<dataFit\>\"", "]"}]}], "}"}], ",", 
        "0.01"}], "]"}], "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{"True", ",", 
    RowBox[{
     RowBox[{"Print", "[", "\"\<W^2a\>\"", "]"}], ";", "\[IndentingNewLine]", 
     
     RowBox[{"res2", "=", 
      RowBox[{"slowSEM", "[", 
       RowBox[{"\"\<W^{2a}\>\"", ",", "datR", ",", 
        RowBox[{"{", 
         RowBox[{
         "item1", ",", "item2", ",", "item3", ",", "item4", ",", "item5", ",",
           "item6"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"L1", ",", "K1"}], "}"}], ",", "modelK", ",", 
        RowBox[{"calcDataFit", "->", "1"}], ",", 
        RowBox[{"userConstr", "->", 
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"#", ">", "0"}], "&"}], ",", "paras"}], "]"}], ",", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"#", "<", "10"}], "&"}], ",", "paras"}], "]"}]}], 
          "]"}]}], ",", 
        RowBox[{"userLatentConstr", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"L1", ">", "0"}], ",", 
           RowBox[{"K1", ">", "0"}], ",", 
           RowBox[{"K1", "<", "1"}], ",", 
           RowBox[{"L1", "<", "1"}]}], "}"}]}], ",", 
        RowBox[{"LatentMean0", "->", "False"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{
       RowBox[{"MyRound", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"paras", ",", 
           RowBox[{"paras", "/.", 
            RowBox[{"res2", "[", "\"\<sol\>\"", "]"}]}], ",", 
           RowBox[{"paras", "/.", 
            RowBox[{"res2", "[", "\"\<NormedParas\>\"", "]"}]}]}], "}"}], ",",
          "0.01"}], "]"}], "//", "TableForm"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"MyRound", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<L mean\>\"", ",", 
          RowBox[{"Map", "[", 
           RowBox[{"Mean", ",", 
            RowBox[{"res2", "[", "\"\<LLs\>\"", "]"}]}], "]"}], ",", 
          "\"\<L Std\>\"", ",", 
          RowBox[{"Map", "[", 
           RowBox[{"StandardDeviation", ",", 
            RowBox[{"res2", "[", "\"\<LLs\>\"", "]"}]}], "]"}], ",", 
          "\"\<GOF1,DF\>\"", ",", 
          RowBox[{"res2", "[", "\"\<GOF1\>\"", "]"}], ",", 
          RowBox[{"res2", "[", "\"\<dataFit\>\"", "]"}]}], "}"}], ",", 
        "0.01"}], "]"}], "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{"True", ",", 
    RowBox[{
     RowBox[{"n", "=", "100"}], ";", 
     RowBox[{"ST", "=", 
      RowBox[{"SemTest", "[", 
       RowBox[{
        RowBox[{"10", "+", 
         RowBox[{"0", "*", "Nsimu"}]}], ",", 
        RowBox[{"{", "n", "}"}], ",", 
        RowBox[{
         RowBox[{"First", "[", 
          RowBox[{"KoSimu", "[", "#", "]"}], "]"}], "&"}], ",", " ", "fastM", 
        ",", "slowM", ",", "paras", ",", "Ktrue", ",", "\[IndentingNewLine]", 
        
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "item1", ",", "item2", ",", "item3", ",", "item4", ",", "item5", 
            ",", "item6"}], "}"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{"L1", ",", "K1"}], "}"}], ",", "modelK"}], "}"}], ",", 
        RowBox[{"printSummary", "->", "True"}], ",", 
        RowBox[{"normed", "->", "True"}], ",", 
        RowBox[{"normedTrue", "->", 
         RowBox[{
          RowBox[{"KoSimu", "[", "100000", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"userConstr", "->", 
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"#", ">", "0"}], "&"}], ",", "paras"}], "]"}], ",", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"#", "<", "10"}], "&"}], ",", "paras"}], "]"}]}], 
          "]"}]}], ",", 
        RowBox[{"LatentMean0", "->", "False"}], ",", "\[IndentingNewLine]", 
        RowBox[{"userLatentConstr", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"L1", ">", "0"}], ",", 
           RowBox[{"K1", ">", "0"}], ",", 
           RowBox[{"K1", "<", "1"}], ",", 
           RowBox[{"L1", "<", "1"}]}], "}"}]}], ",", 
        RowBox[{"LatInit", "->", 
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}]}]}], "]"}]}], ";", " ", 
     RowBox[{"Print", "@", 
      RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}]}]}], " ", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{"False", ",", 
   RowBox[{
    RowBox[{"n", "=", "300"}], ";", 
    RowBox[{"ST", "=", 
     RowBox[{"SemTest", "[", 
      RowBox[{"Nsimu", ",", 
       RowBox[{"{", "n", "}"}], ",", 
       RowBox[{
        RowBox[{"First", "[", 
         RowBox[{"KoSimu", "[", "#", "]"}], "]"}], "&"}], ",", "  ", "fastM", 
       ",", "slowM", ",", "paras", ",", "Ktrue", ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "item1", ",", "item2", ",", "item3", ",", "item4", ",", "item5", 
           ",", "item6"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"L1", ",", "K1"}], "}"}], ",", "modelK"}], "}"}], ",", 
       RowBox[{"printSummary", "->", "True"}], ",", 
       RowBox[{"normed", "->", "True"}], ",", 
       RowBox[{"normedTrue", "->", 
        RowBox[{
         RowBox[{"KoSimu", "[", "100000", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"userConstr", "->", 
        RowBox[{"Join", "[", 
         RowBox[{
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"#", ">", "0"}], "&"}], ",", "paras"}], "]"}], ",", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"#", "<", "10"}], "&"}], ",", "paras"}], "]"}]}], 
         "]"}]}], ",", 
       RowBox[{"LatentMean0", "->", "False"}], ",", "\[IndentingNewLine]", 
       RowBox[{"userLatentConstr", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"L1", ">", "0"}], ",", 
          RowBox[{"K1", ">", "0"}], ",", 
          RowBox[{"K1", "<", "1"}], ",", 
          RowBox[{"L1", "<", "1"}]}], "}"}]}], ",", 
       RowBox[{"LatInit", "->", 
        RowBox[{"{", 
         RowBox[{"3", ",", "4"}], "}"}]}]}], "]"}]}], ";", " ", 
    RowBox[{"Print", "@", 
     RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}]}]}], " ", "]"}]}], "Input",
 CellChangeTimes->{{3.875179332551759*^9, 3.87517938969217*^9}, {
   3.875179477219852*^9, 3.875179612254879*^9}, {3.875179642504221*^9, 
   3.875179893664772*^9}, {3.8751799602430277`*^9, 3.87518003179587*^9}, 
   3.875180077688998*^9, 3.875180139202985*^9, {3.87518066287519*^9, 
   3.875180664684333*^9}, {3.875180712828208*^9, 3.875180808484586*^9}, {
   3.87518084058208*^9, 3.875180857877283*^9}, {3.8751809963821*^9, 
   3.875181035604553*^9}, {3.8751811170052423`*^9, 3.875181119998343*^9}, {
   3.875181179502586*^9, 3.8751811799088173`*^9}, {3.8751814428921633`*^9, 
   3.875181463778228*^9}, {3.875181568909347*^9, 3.8751815703724194`*^9}, {
   3.875181601831725*^9, 3.875181605619297*^9}, {3.875181724878034*^9, 
   3.875181732513752*^9}, {3.8751818130294237`*^9, 3.875181869134801*^9}, {
   3.8751819314085817`*^9, 3.875181935403707*^9}, {3.875182261003901*^9, 
   3.875182263163714*^9}, 3.8751825384738483`*^9, 3.875183063363131*^9, 
   3.875183494225993*^9, {3.875183525953155*^9, 3.875183526611095*^9}, {
   3.875183574657597*^9, 3.875183575455306*^9}, {3.875184981187155*^9, 
   3.87518498146948*^9}, {3.875185851397792*^9, 3.875185881807219*^9}, {
   3.875185948610416*^9, 3.8751859740081053`*^9}, {3.875186025345845*^9, 
   3.875186080190628*^9}, {3.87518646738105*^9, 3.875186521100915*^9}, {
   3.875189117629889*^9, 3.8751891463798943`*^9}, {3.875189201323039*^9, 
   3.875189283261249*^9}, {3.8751895518448067`*^9, 3.8751895530868998`*^9}, {
   3.875190687015766*^9, 3.875190701696246*^9}, 3.875190808793047*^9, {
   3.8751908932595167`*^9, 3.875190912725312*^9}, {3.875196238973432*^9, 
   3.8751962397747993`*^9}, {3.8751981085390987`*^9, 
   3.8751981092325974`*^9}, {3.882893831138627*^9, 3.8828938664775476`*^9}, {
   3.882893999769449*^9, 3.882894065625492*^9}, {3.882894150650465*^9, 
   3.8828941632158327`*^9}, {3.8828941933160458`*^9, 3.882894234616415*^9}, {
   3.882894384146284*^9, 3.882894411944716*^9}, {3.8828944869821663`*^9, 
   3.882894522152193*^9}, {3.883142275964048*^9, 3.88314228646931*^9}, {
   3.883183419886121*^9, 3.883183428134596*^9}, {3.883183480151868*^9, 
   3.883183480986012*^9}, {3.883183642428337*^9, 3.883183642493485*^9}, 
   3.883448050671227*^9, {3.8834507962049522`*^9, 3.883450797269164*^9}, {
   3.8836665605179234`*^9, 3.88366656884654*^9}, {3.883667691272849*^9, 
   3.88366770200699*^9}, {3.883671004674446*^9, 3.8836710123865547`*^9}, {
   3.8836714234768677`*^9, 3.883671541632695*^9}, {3.883725570376952*^9, 
   3.883725579640143*^9}, 3.88372632840856*^9, {3.884400303378141*^9, 
   3.884400304124846*^9}, {3.884400339763445*^9, 3.884400383396777*^9}, {
   3.8845154571409483`*^9, 3.884515492540012*^9}, {3.896755457976012*^9, 
   3.8967554816479053`*^9}, {3.896837464960044*^9, 3.896837497249003*^9}, {
   3.8970481558305387`*^9, 3.8970481819020157`*^9}, {3.897117228787138*^9, 
   3.897117236292754*^9}, {3.897118103215005*^9, 3.8971181108047857`*^9}, {
   3.8971183354839087`*^9, 3.897118346416418*^9}, {3.897118480861094*^9, 
   3.8971184915268183`*^9}, {3.89712023621277*^9, 3.897120254481628*^9}, {
   3.8971203047186317`*^9, 3.897120362087592*^9}, {3.897120425635536*^9, 
   3.897120468828815*^9}, {3.8971208197190447`*^9, 3.8971208612621183`*^9}, {
   3.899461267512594*^9, 3.899461291621935*^9}, {3.89946133515774*^9, 
   3.899461382428481*^9}, {3.900720115081213*^9, 3.9007201158049307`*^9}, {
   3.900720386386137*^9, 3.900720387393252*^9}},
 CellLabel->
  "In[173]:=",ExpressionUUID->"735c4c34-eba6-4d51-8fd8-7a3ba515d0a4"],

Cell[CellGroupData[{

Cell[BoxData["\<\"true sim\"\>"], "Print",
 CellChangeTimes->{
  3.88431519872336*^9, 3.884481145155058*^9, 3.8844846510613317`*^9, 
   3.8845155762519827`*^9, 3.884515618835718*^9, 3.884516524546082*^9, 
   3.8968554495594263`*^9, 3.897054413492301*^9, 3.897116854921673*^9, 
   3.8971174069971857`*^9, 3.897118112330988*^9, 3.897118433361305*^9, 
   3.897120375023925*^9, {3.897120474283214*^9, 3.8971205020792513`*^9}, 
   3.897120863320466*^9, 3.898654602529151*^9, 3.899461384187776*^9, 
   3.9007320796274223`*^9},
 CellLabel->
  "During evaluation of \
In[173]:=",ExpressionUUID->"6b4c33de-105d-4370-9bad-3972aaeebbcd"],

Cell[BoxData[
 TagBox[GridBox[{
    {"c11", "c13", "c22", "c23", "c3", "c4", "c5", "c6"},
    {"0.4`", "0.6`", "0.3`", "0.7`", "0.9`", "0.8`", "0.7`", "0.7`"},
    {"0.34`", "0.39`", "0.37`", "0.59`", "0.72`", "0.9`", "0.63`", "0.88`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{
  3.88431519872336*^9, 3.884481145155058*^9, 3.8844846510613317`*^9, 
   3.8845155762519827`*^9, 3.884515618835718*^9, 3.884516524546082*^9, 
   3.8968554495594263`*^9, 3.897054413492301*^9, 3.897116854921673*^9, 
   3.8971174069971857`*^9, 3.897118112330988*^9, 3.897118433361305*^9, 
   3.897120375023925*^9, {3.897120474283214*^9, 3.8971205020792513`*^9}, 
   3.897120863320466*^9, 3.898654602529151*^9, 3.899461384187776*^9, 
   3.90073208524685*^9},
 CellLabel->
  "During evaluation of \
In[173]:=",ExpressionUUID->"12acef68-1da9-48e9-8b4d-43e31de64a4d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"L mean\"\>", ",", 
   RowBox[{"{", 
    RowBox[{"0.44`", ",", "0.47000000000000003`"}], "}"}], 
   ",", "\<\"L Std\"\>", ",", 
   RowBox[{"{", 
    RowBox[{"0.24`", ",", "0.26`"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{
  3.88431519872336*^9, 3.884481145155058*^9, 3.8844846510613317`*^9, 
   3.8845155762519827`*^9, 3.884515618835718*^9, 3.884516524546082*^9, 
   3.8968554495594263`*^9, 3.897054413492301*^9, 3.897116854921673*^9, 
   3.8971174069971857`*^9, 3.897118112330988*^9, 3.897118433361305*^9, 
   3.897120375023925*^9, {3.897120474283214*^9, 3.8971205020792513`*^9}, 
   3.897120863320466*^9, 3.898654602529151*^9, 3.899461384187776*^9, 
   3.9007320852612123`*^9},
 CellLabel->
  "During evaluation of \
In[173]:=",ExpressionUUID->"75fbdcca-6621-4a3c-bae0-a914f5d72a87"],

Cell[BoxData["\<\"fast\"\>"], "Print",
 CellChangeTimes->{
  3.88431519872336*^9, 3.884481145155058*^9, 3.8844846510613317`*^9, 
   3.8845155762519827`*^9, 3.884515618835718*^9, 3.884516524546082*^9, 
   3.8968554495594263`*^9, 3.897054413492301*^9, 3.897116854921673*^9, 
   3.8971174069971857`*^9, 3.897118112330988*^9, 3.897118433361305*^9, 
   3.897120375023925*^9, {3.897120474283214*^9, 3.8971205020792513`*^9}, 
   3.897120863320466*^9, 3.898654602529151*^9, 3.899461384187776*^9, 
   3.9007320852667522`*^9},
 CellLabel->
  "During evaluation of \
In[173]:=",ExpressionUUID->"577c6b09-80ff-449f-93b4-61cb18f45265"],

Cell[BoxData[
 TagBox[GridBox[{
    {"c11", "c13", "c22", "c23", "c3", "c4", "c5", "c6"},
    {"0.25`", "1.46`", "0.39`", "0.99`", "1.1500000000000001`", "0.96`", 
     "0.89`", "0.88`"},
    {"0.21`", "0.66`", "0.4`", "0.54`", "0.8300000000000001`", "0.93`", 
     "0.77`", "0.92`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{
  3.88431519872336*^9, 3.884481145155058*^9, 3.8844846510613317`*^9, 
   3.8845155762519827`*^9, 3.884515618835718*^9, 3.884516524546082*^9, 
   3.8968554495594263`*^9, 3.897054413492301*^9, 3.897116854921673*^9, 
   3.8971174069971857`*^9, 3.897118112330988*^9, 3.897118433361305*^9, 
   3.897120375023925*^9, {3.897120474283214*^9, 3.8971205020792513`*^9}, 
   3.897120863320466*^9, 3.898654602529151*^9, 3.899461384187776*^9, 
   3.9007320886873703`*^9},
 CellLabel->
  "During evaluation of \
In[173]:=",ExpressionUUID->"9fc20a64-2e8c-4aaf-84c4-981b20173757"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"L mean\"\>", ",", 
   RowBox[{"{", 
    RowBox[{"0.36`", ",", "0.38`"}], "}"}], ",", "\<\"L Std\"\>", ",", 
   RowBox[{"{", 
    RowBox[{"0.22`", ",", "0.23`"}], "}"}], ",", "\<\"GOF1,DF\"\>", ",", 
   "0.16`", ",", "0.2`"}], "}"}]], "Print",
 CellChangeTimes->{
  3.88431519872336*^9, 3.884481145155058*^9, 3.8844846510613317`*^9, 
   3.8845155762519827`*^9, 3.884515618835718*^9, 3.884516524546082*^9, 
   3.8968554495594263`*^9, 3.897054413492301*^9, 3.897116854921673*^9, 
   3.8971174069971857`*^9, 3.897118112330988*^9, 3.897118433361305*^9, 
   3.897120375023925*^9, {3.897120474283214*^9, 3.8971205020792513`*^9}, 
   3.897120863320466*^9, 3.898654602529151*^9, 3.899461384187776*^9, 
   3.900732088695801*^9},
 CellLabel->
  "During evaluation of \
In[173]:=",ExpressionUUID->"9bfe3cc2-31fa-407b-b745-219cf0bd30b4"],

Cell[BoxData["\<\"W^2a\"\>"], "Print",
 CellChangeTimes->{
  3.88431519872336*^9, 3.884481145155058*^9, 3.8844846510613317`*^9, 
   3.8845155762519827`*^9, 3.884515618835718*^9, 3.884516524546082*^9, 
   3.8968554495594263`*^9, 3.897054413492301*^9, 3.897116854921673*^9, 
   3.8971174069971857`*^9, 3.897118112330988*^9, 3.897118433361305*^9, 
   3.897120375023925*^9, {3.897120474283214*^9, 3.8971205020792513`*^9}, 
   3.897120863320466*^9, 3.898654602529151*^9, 3.899461384187776*^9, 
   3.900732088702099*^9},
 CellLabel->
  "During evaluation of \
In[173]:=",ExpressionUUID->"f362ea44-db56-4765-8e5d-46a7ed5695ce"],

Cell[BoxData[
 TagBox[GridBox[{
    {"c11", "c13", "c22", "c23", "c3", "c4", "c5", "c6"},
    {"0.38`", "2.3000000000000003`", "0.37`", "1.8900000000000001`", "1.54`", 
     "1.1400000000000001`", "1.22`", "1.04`"},
    {"0.26`", "0.74`", "0.33`", "0.74`", "0.91`", "0.96`", "0.87`", 
     "0.9500000000000001`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{
  3.88431519872336*^9, 3.884481145155058*^9, 3.8844846510613317`*^9, 
   3.8845155762519827`*^9, 3.884515618835718*^9, 3.884516524546082*^9, 
   3.8968554495594263`*^9, 3.897054413492301*^9, 3.897116854921673*^9, 
   3.8971174069971857`*^9, 3.897118112330988*^9, 3.897118433361305*^9, 
   3.897120375023925*^9, {3.897120474283214*^9, 3.8971205020792513`*^9}, 
   3.897120863320466*^9, 3.898654602529151*^9, 3.899461384187776*^9, 
   3.900732115703762*^9},
 CellLabel->
  "During evaluation of \
In[173]:=",ExpressionUUID->"f9ac4975-2dbe-4827-a042-077332482ca2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"L mean\"\>", ",", 
   RowBox[{"{", 
    RowBox[{"0.27`", ",", "0.33`"}], "}"}], ",", "\<\"L Std\"\>", ",", 
   RowBox[{"{", 
    RowBox[{"0.18`", ",", "0.2`"}], "}"}], ",", "\<\"GOF1,DF\"\>", ",", 
   "6.5600000000000005`", ",", "0.25`"}], "}"}]], "Print",
 CellChangeTimes->{
  3.88431519872336*^9, 3.884481145155058*^9, 3.8844846510613317`*^9, 
   3.8845155762519827`*^9, 3.884515618835718*^9, 3.884516524546082*^9, 
   3.8968554495594263`*^9, 3.897054413492301*^9, 3.897116854921673*^9, 
   3.8971174069971857`*^9, 3.897118112330988*^9, 3.897118433361305*^9, 
   3.897120375023925*^9, {3.897120474283214*^9, 3.8971205020792513`*^9}, 
   3.897120863320466*^9, 3.898654602529151*^9, 3.899461384187776*^9, 
   3.900732115715179*^9},
 CellLabel->
  "During evaluation of \
In[173]:=",ExpressionUUID->"8bab7ea4-292c-42ab-99ad-f7222ee7e1bd"],

Cell[BoxData["\<\"---------------------------------------------------- \
100\"\>"], "Print",
 CellChangeTimes->{
  3.88431519872336*^9, 3.884481145155058*^9, 3.8844846510613317`*^9, 
   3.8845155762519827`*^9, 3.884515618835718*^9, 3.884516524546082*^9, 
   3.8968554495594263`*^9, 3.897054413492301*^9, 3.897116854921673*^9, 
   3.8971174069971857`*^9, 3.897118112330988*^9, 3.897118433361305*^9, 
   3.897120375023925*^9, {3.897120474283214*^9, 3.8971205020792513`*^9}, 
   3.897120863320466*^9, 3.898654602529151*^9, 3.899461384187776*^9, 
   3.900732298116625*^9},
 CellLabel->
  "During evaluation of \
In[173]:=",ExpressionUUID->"461199b9-af24-48e8-8d07-59b09e7865c3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{
       "c11", ",", "c13", ",", "c22", ",", "c23", ",", "c3", ",", "c4", ",", 
        "c5", ",", "c6"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.34800000000000003`", ",", "0.517`", ",", "0.47800000000000004`", 
        ",", "0.509`", ",", "0.834`", ",", "0.928`", ",", "0.74`", ",", 
        "0.903`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.178`", ",", "0.17400000000000002`", ",", "0.058`", ",", 
        "0.07100000000000001`", ",", "0.038`", ",", "0.021`", ",", "0.038`", 
        ",", "0.026000000000000002`"}], "}"}], "0", "0.7000000000000001`", 
      "0.422`", "0.019`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.439`", ",", "0.364`", ",", "0.523`", ",", "0.448`", ",", "0.862`", 
        ",", "0.9470000000000001`", ",", "0.762`", ",", "0.922`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.124`", ",", "0.10300000000000001`", ",", "0.047`", ",", "0.057`", 
        ",", "0.029`", ",", "0.018000000000000002`", ",", "0.037`", ",", 
        "0.02`"}], "}"}], "0", "0.7000000000000001`", "0.47500000000000003`", 
      "0.017`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.422`", ",", "0.403`", ",", "0.47400000000000003`", ",", "0.526`", 
        ",", "0.862`", ",", "0.9460000000000001`", ",", "0.732`", ",", 
        "0.915`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.128`", ",", "0.11`", ",", "0.048`", ",", "0.058`", ",", "0.03`", 
        ",", "0.016`", ",", "0.044`", ",", "0.023`"}], "}"}], "0", "1.5`", 
      "0.466`", "0.024`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.394`", ",", "0.5650000000000001`", ",", "0.429`", ",", "0.679`", 
        ",", "0.906`", ",", "0.966`", ",", "0.809`", ",", 
        "0.9400000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.20800000000000002`", ",", "0.212`", ",", "0.091`", ",", "0.077`", 
        ",", "0.052000000000000005`", ",", "0.024`", ",", "0.058`", ",", 
        "0.026000000000000002`"}], "}"}], "0", "7.4`", "0.341`", "0.014`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.41200000000000003`", ",", "0.41300000000000003`", ",", 
        "0.40700000000000003`", ",", "0.618`", ",", "0.806`", ",", 
        "0.9380000000000001`", ",", "0.72`", ",", "0.913`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.152`", ",", "0.131`", ",", "0.074`", ",", "0.077`", ",", "0.058`", 
        ",", "0.026000000000000002`", ",", "0.053`", ",", 
        "0.026000000000000002`"}], "}"}], "0", "7.300000000000001`", "0.419`",
       "0.014`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{
  3.88431519872336*^9, 3.884481145155058*^9, 3.8844846510613317`*^9, 
   3.8845155762519827`*^9, 3.884515618835718*^9, 3.884516524546082*^9, 
   3.8968554495594263`*^9, 3.897054413492301*^9, 3.897116854921673*^9, 
   3.8971174069971857`*^9, 3.897118112330988*^9, 3.897118433361305*^9, 
   3.897120375023925*^9, {3.897120474283214*^9, 3.8971205020792513`*^9}, 
   3.897120863320466*^9, 3.898654602529151*^9, 3.899461384187776*^9, 
   3.900732298134775*^9},
 CellLabel->
  "During evaluation of \
In[173]:=",ExpressionUUID->"c9644732-c972-40fb-946f-1d9357a38948"],

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (10 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{ccccccc}\\\\hline\\n$n$ & var   & \
$W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n100 & \
$c11$ & 0. & 0.09 & 0.08 & 0.05 & 0.07\\\\\\\\\\n & 0.4 & (0.18) & (0.12) & \
(0.13) & (0.21) & (0.15)\\\\\\\\\\n & RMSE & 0.18 & 0.12 & 0.12 & 0.2 & \
0.14\\\\\\\\\\n & $c13$ & 0.12 & -0.03 & 0.01 & 0.17 & 0.02\\\\\\\\\\n & 0.6 \
& (0.17) & (0.1) & (0.11) & (0.21) & (0.13)\\\\\\\\\\n & RMSE & 0.18 & 0.26 & \
0.22 & 0.2 & 0.22\\\\\\\\\\n & $c22$ & 0.11 & 0.15 & 0.1 & 0.06 & \
0.04\\\\\\\\\\n & 0.3 & (0.06) & (0.05) & (0.05) & (0.09) & (0.07)\\\\\\\\\\n \
& RMSE & 0.19 & 0.23 & 0.18 & 0.16 & 0.13\\\\\\\\\\n & $c23$ & -0.08 & -0.14 \
& -0.06 & 0.09 & 0.03\\\\\\\\\\n & 0.7 & (0.07) & (0.06) & (0.06) & (0.08) & \
(0.08)\\\\\\\\\\n & RMSE & 0.2 & 0.26 & 0.18 & 0.08 & 0.11\\\\\\\\\\n & $c_3$ \
& 0.11 & 0.14 & 0.14 & 0.18 & 0.08\\\\\\\\\\n & 0.9 & (0.04) & (0.03) & \
(0.03) & (0.05) & (0.06)\\\\\\\\\\n & RMSE & 0.08 & 0.05 & 0.05 & 0.05 & 0.11\
\\\\\\\\\\n & $c_4$ & 0.03 & 0.05 & 0.04 & 0.06 & 0.04\\\\\\\\\\n & 0.8 & \
(0.02) & (0.02) & (0.02) & (0.02) & (0.03)\\\\\\\\\\n & RMSE & 0.13 & 0.15 & \
0.15 & 0.17 & 0.14\\\\\\\\\\n & $c_5$ & 0.11 & 0.13 & 0.1 & 0.18 & 0.09\\\\\\\
\\\\n & 0.7 & (0.04) & (0.04) & (0.04) & (0.06) & (0.05)\\\\\\\\\\n & RMSE & \
0.05 & 0.07 & 0.05 & 0.12 & 0.05\\\\\\\\\\n & $c_6$ & 0.02 & 0.04 & 0.03 & \
0.06 & 0.03\\\\\\\\\\n & 0.7 & (0.03) & (0.02) & (0.02) & (0.03) & (0.03)\\\\\
\\\\\\n & RMSE & 0.2 & 0.22 & 0.22 & 0.24 & 0.21\\\\\\\\\\n & GOF  & 0.422 & \
0.475 & 0.466 & 0.341 & 0.419\\\\\\\\\\n & time  & 0.7 & 0.7 & 1.5 & 7.4 & \
7.3\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\\t\\\\end{tabular}}\\n\\t\\\\label{tab:\
1}\\n\\\\end{table}\"\>"], "Print",
 CellChangeTimes->{
  3.88431519872336*^9, 3.884481145155058*^9, 3.8844846510613317`*^9, 
   3.8845155762519827`*^9, 3.884515618835718*^9, 3.884516524546082*^9, 
   3.8968554495594263`*^9, 3.897054413492301*^9, 3.897116854921673*^9, 
   3.8971174069971857`*^9, 3.897118112330988*^9, 3.897118433361305*^9, 
   3.897120375023925*^9, {3.897120474283214*^9, 3.8971205020792513`*^9}, 
   3.897120863320466*^9, 3.898654602529151*^9, 3.899461384187776*^9, 
   3.9007322981545677`*^9},
 CellLabel->
  "During evaluation of \
In[173]:=",ExpressionUUID->"32326498-dbc9-4189-8a93-ff296fc40d3a"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{"True", ",", 
   RowBox[{
    RowBox[{"n", "=", "300"}], ";", 
    RowBox[{"ST", "=", 
     RowBox[{"SemTest", "[", 
      RowBox[{"Nsimu", ",", 
       RowBox[{"{", "n", "}"}], ",", 
       RowBox[{
        RowBox[{"First", "[", 
         RowBox[{"KoSimu", "[", "#", "]"}], "]"}], "&"}], ",", "  ", "fastM", 
       ",", "slowM", ",", "paras", ",", "Ktrue", ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "item1", ",", "item2", ",", "item3", ",", "item4", ",", "item5", 
           ",", "item6"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"L1", ",", "K1"}], "}"}], ",", "modelK"}], "}"}], ",", 
       RowBox[{"printSummary", "->", "True"}], ",", 
       RowBox[{"normed", "->", "True"}], ",", 
       RowBox[{"normedTrue", "->", 
        RowBox[{
         RowBox[{"KoSimu", "[", "100000", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"userConstr", "->", 
        RowBox[{"Join", "[", 
         RowBox[{
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"#", ">", "0"}], "&"}], ",", "paras"}], "]"}], ",", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"#", "<", "10"}], "&"}], ",", "paras"}], "]"}]}], 
         "]"}]}], ",", 
       RowBox[{"LatentMean0", "->", "False"}], ",", "\[IndentingNewLine]", 
       RowBox[{"userLatentConstr", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"L1", ">", "0"}], ",", 
          RowBox[{"K1", ">", "0"}], ",", 
          RowBox[{"K1", "<", "1"}], ",", 
          RowBox[{"L1", "<", "1"}]}], "}"}]}], ",", 
       RowBox[{"LatInit", "->", 
        RowBox[{"{", 
         RowBox[{"3", ",", "4"}], "}"}]}]}], "]"}]}], ";", " ", 
    RowBox[{"Print", "@", 
     RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}]}]}], " ", "]"}]], "Input",
 CellChangeTimes->{{3.9007544744996843`*^9, 3.900754475015616*^9}},
 CellLabel->
  "In[191]:=",ExpressionUUID->"a4034a75-3ea1-4a62-90fc-842c1551676b"],

Cell[CellGroupData[{

Cell[BoxData["\<\"---------------------------------------------------- \
300\"\>"], "Print",
 CellChangeTimes->{3.90076114361065*^9},
 CellLabel->
  "During evaluation of \
In[191]:=",ExpressionUUID->"66da132f-2c11-4faa-912d-f0219df4aa26"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{
       "c11", ",", "c13", ",", "c22", ",", "c23", ",", "c3", ",", "c4", ",", 
        "c5", ",", "c6"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.3`", ",", "0.553`", ",", "0.45`", ",", "0.526`", ",", "0.838`", ",",
         "0.934`", ",", "0.735`", ",", "0.909`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.08`", ",", "0.082`", ",", "0.042`", ",", "0.043000000000000003`", 
        ",", "0.024`", ",", "0.016`", ",", "0.026000000000000002`", ",", 
        "0.02`"}], "}"}], "0", "3.1`", "0.403`", "0.01`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.391`", ",", "0.384`", ",", "0.496`", ",", "0.46`", ",", "0.866`", 
        ",", "0.9490000000000001`", ",", "0.76`", ",", "0.924`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.06`", ",", "0.064`", ",", "0.042`", ",", "0.045`", ",", "0.021`", 
        ",", "0.014`", ",", "0.025`", ",", "0.017`"}], "}"}], "0", "3.2`", 
      "0.46`", "0.009000000000000001`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.382`", ",", "0.417`", ",", "0.438`", ",", "0.55`", ",", "0.862`", 
        ",", "0.9490000000000001`", ",", "0.729`", ",", "0.917`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.061`", ",", "0.064`", ",", "0.044`", ",", "0.046`", ",", "0.02`", 
        ",", "0.013000000000000001`", ",", "0.03`", ",", "0.019`"}], "}"}], 
      "0", "6.4`", "0.451`", "0.012`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.352`", ",", "0.603`", ",", "0.392`", ",", "0.715`", ",", "0.923`", 
        ",", "0.968`", ",", "0.811`", ",", "0.9410000000000001`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.098`", ",", "0.11900000000000001`", ",", "0.074`", ",", "0.068`", 
        ",", "0.025`", ",", "0.018000000000000002`", ",", "0.041`", ",", 
        "0.024`"}], "}"}], "0", "27.200000000000003`", "0.339`", "0.006`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{
       "0.389`", ",", "0.42`", ",", "0.379`", ",", "0.634`", ",", 
        "0.8200000000000001`", ",", "0.9410000000000001`", ",", "0.72`", ",", 
        "0.916`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{
       "0.064`", ",", "0.067`", ",", "0.054`", ",", "0.052000000000000005`", 
        ",", "0.034`", ",", "0.02`", ",", "0.035`", ",", "0.024`"}], "}"}], 
      "0", "26.700000000000003`", "0.40800000000000003`", "0.012`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.900761143631927*^9},
 CellLabel->
  "During evaluation of \
In[191]:=",ExpressionUUID->"3720bd7e-2770-44b3-8db3-2cd56f847f51"],

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (100 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{ccccccc}\\\\hline\\n$n$ & var   & \
$W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n300 & \
$c11$ & -0.05 & 0.05 & 0.04 & 0.01 & 0.04\\\\\\\\\\n & 0.4 & (0.08) & (0.06) \
& (0.06) & (0.1) & (0.06)\\\\\\\\\\n & RMSE & 0.13 & 0.06 & 0.06 & 0.11 & \
0.06\\\\\\\\\\n & $c13$ & 0.16 & -0.01 & 0.02 & 0.21 & 0.03\\\\\\\\\\n & 0.6 \
& (0.08) & (0.06) & (0.06) & (0.12) & (0.07)\\\\\\\\\\n & RMSE & 0.09 & 0.23 \
& 0.19 & 0.12 & 0.19\\\\\\\\\\n & $c22$ & 0.08 & 0.12 & 0.07 & 0.02 & \
0.01\\\\\\\\\\n & 0.3 & (0.04) & (0.04) & (0.04) & (0.07) & (0.05)\\\\\\\\\\n \
& RMSE & 0.16 & 0.2 & 0.15 & 0.12 & 0.1\\\\\\\\\\n & $c23$ & -0.06 & -0.13 & \
-0.04 & 0.13 & 0.05\\\\\\\\\\n & 0.7 & (0.04) & (0.04) & (0.05) & (0.07) & \
(0.05)\\\\\\\\\\n & RMSE & 0.18 & 0.24 & 0.16 & 0.07 & 0.08\\\\\\\\\\n & \
$c_3$ & 0.11 & 0.14 & 0.14 & 0.2 & 0.1\\\\\\\\\\n & 0.9 & (0.02) & (0.02) & \
(0.02) & (0.03) & (0.03)\\\\\\\\\\n & RMSE & 0.07 & 0.04 & 0.04 & 0.03 & 0.09\
\\\\\\\\\\n & $c_4$ & 0.03 & 0.05 & 0.04 & 0.06 & 0.04\\\\\\\\\\n & 0.8 & \
(0.02) & (0.01) & (0.01) & (0.02) & (0.02)\\\\\\\\\\n & RMSE & 0.13 & 0.15 & \
0.15 & 0.17 & 0.14\\\\\\\\\\n & $c_5$ & 0.1 & 0.13 & 0.1 & 0.18 & \
0.09\\\\\\\\\\n & 0.7 & (0.03) & (0.02) & (0.03) & (0.04) & (0.03)\\\\\\\\\\n \
& RMSE & 0.04 & 0.06 & 0.04 & 0.12 & 0.04\\\\\\\\\\n & $c_6$ & 0.03 & 0.05 & \
0.04 & 0.06 & 0.04\\\\\\\\\\n & 0.7 & (0.02) & (0.02) & (0.02) & (0.02) & \
(0.02)\\\\\\\\\\n & RMSE & 0.21 & 0.22 & 0.22 & 0.24 & 0.22\\\\\\\\\\n & GOF  \
& 0.403 & 0.46 & 0.451 & 0.339 & 0.408\\\\\\\\\\n & time  & 3.1 & 3.2 & 6.4 & \
27.2 & 26.7\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\\t\\\\end{tabular}}\\n\\t\\\\\
label{tab:1}\\n\\\\end{table}\"\>"], "Print",
 CellChangeTimes->{3.900761143649067*^9},
 CellLabel->
  "During evaluation of \
In[191]:=",ExpressionUUID->"fefdf994-6c01-4f08-8932-bd2b5afc8926"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", "**", "**"}], "*", " ", "Nonlinear", " ", "Mediator", " ", 
    RowBox[{"model", " ", "**", "**", "**"}]}], "******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Mlat", "=", 
     RowBox[{"{", 
      RowBox[{"X", ",", "Y", ",", "Z"}], "}"}]}], ";", 
    RowBox[{"Mobs", "=", 
     RowBox[{"{", 
      RowBox[{"x1", ",", "x2", ",", "y1", ",", "y2", ",", "z1", ",", "z2"}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ModEqsNL", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Y", "\[Equal]", 
          RowBox[{
           RowBox[{"k1", "*", "X"}], "+", "u1"}]}], ",", "e1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Z", "\[Equal]", 
          RowBox[{
           RowBox[{"k2", "*", "Y"}], "+", 
           RowBox[{"k3", "*", 
            RowBox[{"X", "^", "3"}]}], "+", "u2"}]}], ",", "e2"}], "}"}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x1", "\[Equal]", 
          RowBox[{"1", "*", "X"}]}], 
         RowBox[{"(*", 
          RowBox[{"+", "t1"}], "*)"}], ",", "ee1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x2", "\[Equal]", 
          RowBox[{
           RowBox[{"a2", "*", "X"}], "+", "t2"}]}], ",", "ee2"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y1", "\[Equal]", 
          RowBox[{"1", "*", "Y"}]}], 
         RowBox[{"(*", 
          RowBox[{"+", "t3"}], "*)"}], ",", "ee3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y2", "\[Equal]", 
          RowBox[{
           RowBox[{"b2", "*", "Y"}], "+", "t4"}]}], ",", "ee4"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"z1", "\[Equal]", 
          RowBox[{"1", "*", "Z"}]}], 
         RowBox[{"(*", 
          RowBox[{"+", "t5"}], "*)"}], ",", "ee5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"z2", "\[Equal]", 
          RowBox[{
           RowBox[{"c2", "*", "Z"}], "+", "t6"}]}], ",", "ee6"}], "}"}]}], 
      " ", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SimDataModNL", "[", 
      RowBox[{
      "n_", ",", "norm_", ",", "ks_", ",", "sigY_", ",", "sigZ_", ",", 
       "sigX1_", ",", "sigX2_", ",", "sigY1_", ",", "sigY2_", ",", "sigZ1_", 
       ",", "sigZ2_"}], "]"}], ":=", "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "i", ",", "XX", ",", "YY", ",", "ZZ", ",", "X1", ",", "X2", ",", "Y1",
          ",", "Y2", ",", "Z1", ",", "Z2"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"EVR", "=", 
         RowBox[{"If", "[", 
          RowBox[{"norm", ",", "NVR", ",", "UVR"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"XX", "=", 
         RowBox[{"If", "[", 
          RowBox[{"norm", ",", 
           RowBox[{"NVR", "[", 
            RowBox[{"1", ",", "n"}], "]"}], ",", 
           RowBox[{"UVR", "[", 
            RowBox[{"1", ",", "n"}], "]"}]}], "]"}]}], ";", " ", 
        "\[IndentingNewLine]", 
        RowBox[{"YY", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"ks", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "*", "XX"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigY", ",", "n"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        
        RowBox[{"ZZ", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"ks", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "*", "YY"}], "+", 
          RowBox[{
           RowBox[{"ks", "[", 
            RowBox[{"[", "3", "]"}], "]"}], "*", 
           RowBox[{"XX", "^", "3"}]}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigZ", ",", "n"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        
        RowBox[{"X1", "=", 
         RowBox[{
          RowBox[{"1.0", "*", "XX"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigX1", ",", "n"}], "]"}]}]}], ";", " ", 
        RowBox[{"X2", "=", 
         RowBox[{
          RowBox[{"1.2", "*", "XX"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigX2", ",", "n"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Y1", "=", 
         RowBox[{
          RowBox[{"1.0", "*", "YY"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigY1", ",", "n"}], "]"}]}]}], ";", " ", 
        RowBox[{"Y2", "=", 
         RowBox[{
          RowBox[{"0.7", "*", "YY"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigY2", ",", "n"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Z1", "=", 
         RowBox[{
          RowBox[{"1.0", "*", "ZZ"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigZ1", ",", "n"}], "]"}]}]}], ";", " ", 
        RowBox[{"Z2", "=", 
         RowBox[{
          RowBox[{"0.9", "*", "ZZ"}], "+", 
          RowBox[{"EVR", "[", 
           RowBox[{"sigZ2", ",", "n"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{
          "X1", ",", "X2", ",", "Y1", ",", "Y2", ",", "Z1", ",", "Z2"}], 
          "}"}], "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ktrue", "=", 
     RowBox[{"{", 
      RowBox[{"0.5", ",", "0.8", ",", "0.4"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ST", "=", 
     RowBox[{"SemTest", "[", 
      RowBox[{"Nsimu", ",", 
       RowBox[{"{", "300", "}"}], ",", 
       RowBox[{
        RowBox[{"SimDataModNL", "[", 
         RowBox[{
         "#", ",", "True", ",", "ktrue", ",", "0.4", ",", "0.3", ",", " ", 
          "0.3", ",", "0.3", ",", " ", "0.2", ",", "0.2", ",", "0.4", ",", 
          "0.2"}], " ", "]"}], "&"}], ",", "\[IndentingNewLine]", "fastM", 
       ",", "slowM", ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "k2", ",", "k3"}], "}"}], ",", "ktrue", ",", 
       RowBox[{"{", 
        RowBox[{"Mobs", ",", "Mlat", ",", "ModEqsNL"}], "}"}], ",", 
       RowBox[{"LatentMean0", "->", "False"}], ",", 
       RowBox[{"printSummary", "->", "True"}], ",", 
       RowBox[{"LatInit", "->", 
        RowBox[{"{", 
         RowBox[{"1", ",", "3", ",", "5"}], "}"}]}]}], "]"}]}], ";", " ", 
    RowBox[{"Print", "@", 
     RowBox[{"ST", "[", "\"\<ltx\>\"", "]"}]}]}]}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdyk0ow3Ecx/F/jGWeIiMWs4vLalphJw+/REnItlKIIvNwmXZw0TKjpShW
rKZhw4ZYpB20HTz8KZaDhGKRPMv+oZlkB77f3+HTq0+9JW1aZUcUwzBiGHpR
1N7neguSRU+3HtXwrYP0xw8MocyDrTbmPUha1M11qOWLPykEud5V6lap1I2G
Hxeoh13zXjSU7aIeO8PeWXAi1+ZDw2639/kjSKZmrqmK5YzvnM8gKZaKqIau
kfoy8M+UoUKJdKwBlbPrVKby8VILrgR8AXQvUp6el8AR0+k21XjOm64FlUkn
NrSy2nwznsgRQS57j/6MinQsaJmUUDc2UncKkjli17NUgS7TqgXTh2VzKFH/
TNhBma/GjK73NB7Og4bWfD96Jgo5N8EdM8+Fvh48JXnAl/GUZFR2WxjYA38L
Xq7RpkjcM1pSEsuht4qlPxY7/S71fUt7tw9qIk33KM8qTjsAZ6rWhKg6WkjQ
QlU/VSMXPx2BTkcF1ajo5PnB7+NQDHq1n2VALY5WI/oPBr8DVQ==
  "],
 CellLabel->
  "In[146]:=",ExpressionUUID->"ebf5808d-5954-45de-bc9a-b8b7874c2fcf"],

Cell[CellGroupData[{

Cell[BoxData["\<\"---------------------------------------------------- \
300\"\>"], "Print",
 CellChangeTimes->{3.900513850736195*^9, 3.9005459921356688`*^9, 
  3.900554709586357*^9, 3.900577640707405*^9, 3.900579845822876*^9, 
  3.900581667782445*^9, 3.900582065355817*^9, 3.900582412840904*^9, 
  3.900591923266829*^9, 3.900592181648795*^9, 3.900593155353492*^9, 
  3.900612333915846*^9},
 CellLabel->
  "During evaluation of \
In[146]:=",ExpressionUUID->"d13d955c-c924-465f-9a01-314ad9e5942c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Method\"\>", 
      RowBox[{"{", 
       RowBox[{"k1", ",", "k2", ",", "k3"}], 
       "}"}], "\<\"std\"\>", "\<\"#fails\"\>", "\<\"avg time\"\>", "\<\"avg \
GOF\"\>", "\<\"SD GOF\"\>"},
     {"\<\"W1\"\>", 
      RowBox[{"{", 
       RowBox[{"0.442`", ",", "1.288`", ",", "0.333`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.032`", ",", "0.137`", ",", "0.029`"}], "}"}], "0", "13.9`", 
      "0.435`", "0.015`"},
     {"\<\"Wn\"\>", 
      RowBox[{"{", 
       RowBox[{"0.46`", ",", "0.8170000000000001`", ",", "0.356`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.088`", ",", "0.182`", ",", "0.068`"}], "}"}], "0", 
      "3.3000000000000003`", "0.419`", "0.123`"},
     {"\<\"Ww(Wn)\"\>", 
      RowBox[{"{", 
       RowBox[{"0.497`", ",", "0.772`", ",", "0.4`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.03`", ",", "0.07100000000000001`", ",", "0.031`"}], "}"}], 
      "0", "6.9`", "0.401`", "0.009000000000000001`"},
     {"\<\"W^{2a}\"\>", 
      RowBox[{"{", 
       RowBox[{"0.619`", ",", "0.586`", ",", "0.46`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.031`", ",", "0.083`", ",", "0.035`"}], "}"}], "1", "86.4`", 
      "0.233`", "0.005`"},
     {"\<\"W^{2a0}\"\>", 
      RowBox[{"{", 
       RowBox[{"0.481`", ",", "0.8140000000000001`", ",", "0.382`"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"0.032`", ",", "0.085`", ",", "0.031`"}], "}"}], "1", "71.4`", 
      "0.401`", "0.012`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.900513850736195*^9, 3.9005459921356688`*^9, 
  3.900554709586357*^9, 3.900577640707405*^9, 3.900579845822876*^9, 
  3.900581667782445*^9, 3.900582065355817*^9, 3.900582412840904*^9, 
  3.900591923266829*^9, 3.900592181648795*^9, 3.900593155353492*^9, 
  3.900612333932435*^9},
 CellLabel->
  "During evaluation of \
In[146]:=",ExpressionUUID->"0bf89cf3-a3a0-4574-bd94-c5aa7ed23800"],

Cell[BoxData["\<\"\\\\begin{table}\\n     \\t\\\\caption{Titel (100 \
simulations for each $n$) }\\n    \
\\t{\\\\footnotesize\\\\begin{tabular}{ccccccc}\\\\hline\\n$n$ & var   & \
$W_1$  & $W_n$  & $Ww(W_n)$  & $W^{2a}$  & $W^{2a0}$ \\\\\\\\ \\t\\n300 & \
$k_1$ & -0.06 & -0.04 & 0. & 0.12 & -0.02\\\\\\\\\\n & 0.5 & (0.03) & (0.09) \
& (0.03) & (0.03) & (0.03)\\\\\\\\\\n & RMSE & 0.07 & 0.1 & 0.03 & 0.12 & \
0.04\\\\\\\\\\n & $k_2$ & 0.49 & 0.02 & -0.03 & -0.21 & 0.01\\\\\\\\\\n & 0.8 \
& (0.14) & (0.18) & (0.07) & (0.08) & (0.09)\\\\\\\\\\n & RMSE & 0.51 & 0.18 \
& 0.08 & 0.23 & 0.09\\\\\\\\\\n & $k_3$ & -0.07 & -0.04 & 0. & 0.06 & -0.02\\\
\\\\\\\\n & 0.4 & (0.03) & (0.07) & (0.03) & (0.04) & (0.03)\\\\\\\\\\n & \
RMSE & 0.07 & 0.08 & 0.03 & 0.07 & 0.04\\\\\\\\\\n & GOF  & 0.435 & 0.419 & \
0.401 & 0.233 & 0.401\\\\\\\\\\n & time  & 13.9 & 3.3 & 6.9 & 86.4 & 71.4\\\\\
\\\\\\n300 & fails  & 0 & 0 & 0 & 1 & 1\\\\\\\\\\n\\\\hline\\n\\\\hline\\n\\t\
\\\\end{tabular}}\\n\\t\\\\label{tab:1}\\n\\\\end{table}\"\>"], "Print",
 CellChangeTimes->{3.900513850736195*^9, 3.9005459921356688`*^9, 
  3.900554709586357*^9, 3.900577640707405*^9, 3.900579845822876*^9, 
  3.900581667782445*^9, 3.900582065355817*^9, 3.900582412840904*^9, 
  3.900591923266829*^9, 3.900592181648795*^9, 3.900593155353492*^9, 
  3.900612333946842*^9},
 CellLabel->
  "During evaluation of \
In[146]:=",ExpressionUUID->"0e477af0-be4f-4cbb-84ac-119ca345a0de"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1148, 847},
WindowMargins->{{1, Automatic}, {Automatic, 540}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
TaggingRules-><|"TryRealOnly" -> False|>,
FrontEndVersion->"13.3 for Mac OS X ARM (64-bit) (June 3, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"93963f7a-597e-472a-aaba-61ae2490a926"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 177, 3, 53, "Subtitle",ExpressionUUID->"42c2d7d6-e76d-434f-9212-4ad986425b61"],
Cell[760, 27, 241, 4, 35, "Text",ExpressionUUID->"2bdf91d4-5c1f-4276-b627-86dc78480a59"],
Cell[1004, 33, 25200, 657, 1249, "Input",ExpressionUUID->"0c97bfbe-1f3e-4c11-9a9f-afe0c6e192cf"],
Cell[CellGroupData[{
Cell[26229, 694, 5935, 156, 283, "Input",ExpressionUUID->"32a310b2-a427-42aa-bbd2-0d88441ca12e"],
Cell[CellGroupData[{
Cell[32189, 854, 916, 20, 24, "Print",ExpressionUUID->"c373ce36-ec29-4285-b59d-0b9da39a03cd"],
Cell[33108, 876, 8881, 240, 473, "Print",ExpressionUUID->"2ae4c22e-3c4a-4ff2-8a43-8c42a187f101"],
Cell[41992, 1118, 8853, 257, 473, "Print",ExpressionUUID->"0df12a88-bdc4-4029-8ca1-c3ff2d92f3bb"],
Cell[50848, 1377, 3643, 115, 226, "Print",ExpressionUUID->"9117e75d-25c6-4706-8ad7-6554975fbc31"],
Cell[54494, 1494, 1037, 22, 24, "Print",ExpressionUUID->"d3fa7e80-3165-4e09-b3b0-367a613c5de2"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[55580, 1522, 3264, 89, 178, "Input",ExpressionUUID->"b294b906-6d33-46bc-8c24-49cdae7dce9e"],
Cell[CellGroupData[{
Cell[58869, 1615, 509, 14, 24, "Print",ExpressionUUID->"ecce02ae-cd04-4cc9-b607-8b755d8a47bb"],
Cell[59381, 1631, 8476, 234, 473, "Print",ExpressionUUID->"2253fa5d-1ed8-43e9-bfa3-84a1af5e76da"],
Cell[67860, 1867, 8448, 251, 473, "Print",ExpressionUUID->"17dbcc6b-6804-4d59-9318-450603adaf51"],
Cell[76311, 2120, 3239, 109, 226, "Print",ExpressionUUID->"cc5797f7-3817-429e-bf43-b4d53b5765c1"],
Cell[79553, 2231, 633, 16, 24, "Print",ExpressionUUID->"94ce83e5-b4e0-4252-a141-3acea35bfd17"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[80235, 2253, 201, 3, 30, "Input",ExpressionUUID->"b3e37d27-61a9-43cb-9e34-227b04b3c998"],
Cell[80439, 2258, 151, 2, 34, "Output",ExpressionUUID->"296533d6-bc06-4236-86e2-9ded61efa550"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80627, 2265, 3957, 83, 115, "Input",ExpressionUUID->"271b7415-5f4a-4b5b-add8-4c6e421730a8"],
Cell[CellGroupData[{
Cell[84609, 2352, 239, 5, 24, "Print",ExpressionUUID->"ce170988-8001-4697-a034-d5aaf49a8675"],
Cell[84851, 2359, 2419, 63, 124, "Print",ExpressionUUID->"50b00207-1077-4b07-83ae-67b87b8c2df8"],
Cell[87273, 2424, 1270, 19, 405, "Print",ExpressionUUID->"49cf233c-2044-41dc-aa49-ef6afef59a0c"],
Cell[88546, 2445, 206, 4, 24, "Print",ExpressionUUID->"21a07225-3e33-4d81-8f38-a71f006543ee"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[88801, 2455, 1308, 32, 94, "Input",ExpressionUUID->"2852cb77-b86d-4bf4-8435-43470a796ef4"],
Cell[CellGroupData[{
Cell[90134, 2491, 288, 6, 24, "Print",ExpressionUUID->"a0007e0b-18ee-4e81-90bd-010fed41decd"],
Cell[90425, 2499, 2407, 62, 124, "Print",ExpressionUUID->"a1a9f082-5cfc-4b7a-a229-6375978b13e3"],
Cell[92835, 2563, 286, 6, 24, "Print",ExpressionUUID->"fc711f1b-9120-433a-a8c6-66481c95a6c8"],
Cell[93124, 2571, 2373, 61, 124, "Print",ExpressionUUID->"d854243f-6789-4c56-af50-4fa997976dcb"],
Cell[95500, 2634, 2093, 29, 652, "Print",ExpressionUUID->"b6cf68c5-5b55-4a67-8af5-e63c943f63d2"],
Cell[97596, 2665, 284, 6, 25, "Print",ExpressionUUID->"f6e95b4b-0d1c-4e7e-91ec-e9886c102a7f"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[97929, 2677, 1483, 35, 94, "Input",ExpressionUUID->"c7d2e16a-bb5c-48c1-9030-c20e2ec9d9b0"],
Cell[CellGroupData[{
Cell[99437, 2716, 310, 6, 24, "Print",ExpressionUUID->"581427b7-21c1-4889-b2f6-8c902f3c3a84"],
Cell[99750, 2724, 2364, 61, 124, "Print",ExpressionUUID->"639d1b03-aee8-4e31-9773-acbd64084f5c"],
Cell[102117, 2787, 310, 6, 24, "Print",ExpressionUUID->"cb0bc036-ef2d-4d8a-a3f4-f6517a241988"],
Cell[102430, 2795, 2409, 63, 124, "Print",ExpressionUUID->"2aa39cd4-18c3-4c57-8f06-5d39ae0d21dd"],
Cell[104842, 2860, 2106, 30, 652, "Print",ExpressionUUID->"b65b4517-dc83-41f7-a1bf-753ff140748e"],
Cell[106951, 2892, 305, 6, 25, "Print",ExpressionUUID->"637e56c9-3603-4319-97f5-3fa789319ef9"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[107305, 2904, 1382, 33, 94, "Input",ExpressionUUID->"799c844c-4d9a-41ec-a07d-e7e4a5411279"],
Cell[CellGroupData[{
Cell[108712, 2941, 310, 6, 24, "Print",ExpressionUUID->"8ce87a53-c465-4f01-8ab7-91b2d33f4a28"],
Cell[109025, 2949, 2500, 64, 124, "Print",ExpressionUUID->"e5b7626e-1e43-4db1-86e6-5506a8fd6a3e"],
Cell[111528, 3015, 310, 6, 24, "Print",ExpressionUUID->"607eda3b-89cf-4831-b7c2-20382c778125"],
Cell[111841, 3023, 2424, 63, 124, "Print",ExpressionUUID->"822b1e58-b61c-4df4-8be6-c2d2ebf701d4"],
Cell[114268, 3088, 2120, 30, 652, "Print",ExpressionUUID->"e6eb3536-fa45-4032-93d1-94f4eafcf622"],
Cell[116391, 3120, 306, 6, 25, "Print",ExpressionUUID->"5d6171ed-2060-44bc-b592-73bec1b6b5ae"]
}, Open  ]]
}, Open  ]],
Cell[116724, 3130, 389, 8, 30, "Input",ExpressionUUID->"41cf6eab-8410-420c-b0fe-fd5d96b3d329"],
Cell[CellGroupData[{
Cell[117138, 3142, 1515, 35, 73, "Input",ExpressionUUID->"3191a8d3-d62f-42e6-828d-4062dba00fc4"],
Cell[CellGroupData[{
Cell[118678, 3181, 241, 5, 24, "Print",ExpressionUUID->"a7de7376-565b-403d-9614-cc1411753e8c"],
Cell[118922, 3188, 2384, 63, 124, "Print",ExpressionUUID->"4e340584-0f23-4693-84b1-c93601e63fe1"],
Cell[121309, 3253, 241, 5, 24, "Print",ExpressionUUID->"d6265785-b7a3-48f3-9e00-2fa58196dc39"],
Cell[121553, 3260, 2399, 62, 124, "Print",ExpressionUUID->"7f59f809-e5f0-4457-9a21-7b1716a90158"],
Cell[123955, 3324, 2052, 29, 652, "Print",ExpressionUUID->"403e4b0b-7652-421a-8010-125da55651fc"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[126056, 3359, 15342, 388, 724, "Input",ExpressionUUID->"7b30e3bc-f5d9-49ef-94ad-d6e9eac89e0a"],
Cell[CellGroupData[{
Cell[141423, 3751, 314, 6, 24, "Print",ExpressionUUID->"a848accc-d406-4ec6-a349-5de52df0d3ff"],
Cell[141740, 3759, 2157, 54, 108, "Print",ExpressionUUID->"6032afef-be69-4519-9ade-13f5528deb6b"],
Cell[143900, 3815, 314, 6, 24, "Print",ExpressionUUID->"450b6ba8-6f69-41b1-a3c6-cf770a05d1cd"],
Cell[144217, 3823, 2104, 55, 108, "Print",ExpressionUUID->"d5bf4e44-fea6-48a2-ab42-44c1ab500982"],
Cell[146324, 3880, 1951, 27, 652, "Print",ExpressionUUID->"fdeb0a6d-0446-44c3-8ef2-a81031897aaf"]
}, Open  ]]
}, Open  ]],
Cell[148302, 3911, 1282, 28, 94, "Input",ExpressionUUID->"5864969d-013a-4657-abb3-4c31299428d1"],
Cell[CellGroupData[{
Cell[149609, 3943, 9732, 262, 535, "Input",ExpressionUUID->"89d9a89c-6361-4639-b6b2-f799e1f0cd83"],
Cell[CellGroupData[{
Cell[159366, 4209, 2764, 40, 880, "Print",ExpressionUUID->"3bbb3d9a-6204-41f5-b3a9-46bdb7e9c636"],
Cell[162133, 4251, 2726, 74, 108, "Print",ExpressionUUID->"db351d6f-ff90-45d8-933e-d04368a790d3"],
Cell[164862, 4327, 405, 9, 24, "Print",ExpressionUUID->"8cc08089-f691-4440-b49f-efd3ee0ade50"],
Cell[165270, 4338, 2757, 74, 108, "Print",ExpressionUUID->"e1cb143c-8270-4fb6-8259-42be09fddd55"],
Cell[168030, 4414, 405, 9, 24, "Print",ExpressionUUID->"89904d5c-a6ac-4b4c-9b7a-811709c982d4"],
Cell[168438, 4425, 275, 7, 24, "Print",ExpressionUUID->"2d0feac8-395a-42c2-99e4-0eef30e4d687"]
}, Open  ]]
}, Open  ]],
Cell[168740, 4436, 413, 10, 30, "Input",ExpressionUUID->"f649ca7e-b852-4117-918d-ce003f112ac9"],
Cell[CellGroupData[{
Cell[169178, 4450, 4454, 121, 283, "Input",ExpressionUUID->"fa8bf7c1-93af-4095-8831-82ce53f2e64f"],
Cell[CellGroupData[{
Cell[173657, 4575, 238, 5, 24, "Print",ExpressionUUID->"25ece006-70e3-4ee1-8dd9-6c3158b30c08"],
Cell[173898, 4582, 1451, 39, 108, "Print",ExpressionUUID->"8913c8ee-fd1e-4b0e-9bbf-ebcf0904b065"],
Cell[175352, 4623, 239, 5, 24, "Print",ExpressionUUID->"e71fdab9-bcdd-4d9b-a524-91f4e0b87a84"],
Cell[175594, 4630, 1528, 41, 108, "Print",ExpressionUUID->"bf34867a-0aea-4a39-83f2-5a4c6271d58b"],
Cell[177125, 4673, 1179, 18, 424, "Print",ExpressionUUID->"bed1ca3e-24dc-4951-aff6-4627c1bf12f1"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[178353, 4697, 5679, 151, 304, "Input",ExpressionUUID->"e4ec92b1-da8a-4f55-b09d-09007401eb1a"],
Cell[CellGroupData[{
Cell[184057, 4852, 238, 5, 24, "Print",ExpressionUUID->"224bc3a1-9fc1-4a26-b5ff-8853ebd6550c"],
Cell[184298, 4859, 1522, 42, 108, "Print",ExpressionUUID->"68d4f59c-46ac-4375-9a06-408311517b39"],
Cell[185823, 4903, 239, 5, 24, "Print",ExpressionUUID->"f1715cb1-d5bf-41b1-8331-9a9d8b4daa1c"],
Cell[186065, 4910, 1534, 40, 108, "Print",ExpressionUUID->"23a3e1a0-7aaa-4920-a93d-7031929697a0"],
Cell[187602, 4952, 1167, 17, 424, "Print",ExpressionUUID->"cc2cdabb-8bec-403c-adae-f0677cfc4cad"]
}, Open  ]]
}, Open  ]],
Cell[188796, 4973, 410, 14, 30, "Input",ExpressionUUID->"63217baf-38cf-4f3f-908c-be1731d6e08d"],
Cell[189209, 4989, 9101, 243, 325, "Input",ExpressionUUID->"fca2dd3b-3909-4ba3-94e4-ef0f8974a67a"],
Cell[CellGroupData[{
Cell[198335, 5236, 33928, 843, 2152, "Input",ExpressionUUID->"7fd5cfec-d8df-4643-9b2e-0f6022bf0dc4"],
Cell[CellGroupData[{
Cell[232288, 6083, 298, 6, 24, "Print",ExpressionUUID->"9e7395f5-fb82-4f5f-be43-b410471b2631"],
Cell[232589, 6091, 1061, 25, 142, "Print",ExpressionUUID->"645f9ee3-88c0-413e-a4fc-1439aec63831"],
Cell[233653, 6118, 301, 6, 24, "Print",ExpressionUUID->"f745a0ff-0264-410c-8194-d120f247244a"],
Cell[233957, 6126, 1088, 26, 142, "Print",ExpressionUUID->"de852b99-3005-4ab5-8988-0d1954c95f3e"],
Cell[235048, 6154, 302, 6, 24, "Print",ExpressionUUID->"19b4faaf-61a2-4dda-a045-e5b9fa59f7ed"],
Cell[235353, 6162, 1110, 27, 142, "Print",ExpressionUUID->"d9a9ca96-c37f-4265-807c-99dc13eaf593"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[236512, 6195, 1810, 41, 94, "Input",ExpressionUUID->"ef2b771d-112e-4eef-b96e-3b15e11baf45"],
Cell[CellGroupData[{
Cell[238347, 6240, 266, 5, 24, "Print",ExpressionUUID->"475dbc81-2ff9-473c-a920-b25e442f3736"],
Cell[238616, 6247, 2078, 54, 108, "Print",ExpressionUUID->"6646a188-f480-49cc-898b-c2bfe9df6d91"],
Cell[240697, 6303, 264, 5, 24, "Print",ExpressionUUID->"c488244e-1d4c-424c-bf74-23e7d8fbc023"],
Cell[240964, 6310, 2115, 55, 108, "Print",ExpressionUUID->"5c2df48e-b4cd-43b9-8898-01e778b02119"],
Cell[243082, 6367, 1891, 26, 652, "Print",ExpressionUUID->"1547cce9-1fb0-4981-8a21-55d792a1dd8f"]
}, Open  ]]
}, Open  ]],
Cell[245000, 6397, 772, 25, 30, "Input",ExpressionUUID->"737131fd-5a33-4f87-88e8-b7065bc7d143"],
Cell[CellGroupData[{
Cell[245797, 6426, 25790, 645, 1501, "Input",ExpressionUUID->"735c4c34-eba6-4d51-8fd8-7a3ba515d0a4"],
Cell[CellGroupData[{
Cell[271612, 7075, 626, 11, 24, "Print",ExpressionUUID->"6b4c33de-105d-4370-9bad-3972aaeebbcd"],
Cell[272241, 7088, 1186, 26, 56, "Print",ExpressionUUID->"12acef68-1da9-48e9-8b4d-43e31de64a4d"],
Cell[273430, 7116, 834, 18, 24, "Print",ExpressionUUID->"75fbdcca-6621-4a3c-bae0-a914f5d72a87"],
Cell[274267, 7136, 622, 11, 24, "Print",ExpressionUUID->"577c6b09-80ff-449f-93b4-61cb18f45265"],
Cell[274892, 7149, 1237, 28, 56, "Print",ExpressionUUID->"9fc20a64-2e8c-4aaf-84c4-981b20173757"],
Cell[276132, 7179, 868, 18, 24, "Print",ExpressionUUID->"9bfe3cc2-31fa-407b-b745-219cf0bd30b4"],
Cell[277003, 7199, 620, 11, 24, "Print",ExpressionUUID->"f362ea44-db56-4765-8e5d-46a7ed5695ce"],
Cell[277626, 7212, 1264, 28, 56, "Print",ExpressionUUID->"f9ac4975-2dbe-4827-a042-077332482ca2"],
Cell[278893, 7242, 882, 18, 24, "Print",ExpressionUUID->"8bab7ea4-292c-42ab-99ad-f7222ee7e1bd"],
Cell[279778, 7262, 674, 12, 24, "Print",ExpressionUUID->"461199b9-af24-48e8-8d07-59b09e7865c3"],
Cell[280455, 7276, 3804, 88, 108, "Print",ExpressionUUID->"c9644732-c972-40fb-946f-1d9357a38948"],
Cell[284262, 7366, 2430, 35, 671, "Print",ExpressionUUID->"32326498-dbc9-4189-8a93-ff296fc40d3a"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[286741, 7407, 2122, 54, 94, "Input",ExpressionUUID->"a4034a75-3ea1-4a62-90fc-842c1551676b"],
Cell[CellGroupData[{
Cell[288888, 7465, 239, 5, 24, "Print",ExpressionUUID->"66da132f-2c11-4faa-912d-f0219df4aa26"],
Cell[289130, 7472, 3167, 75, 108, "Print",ExpressionUUID->"3720bd7e-2770-44b3-8db3-2cd56f847f51"],
Cell[292300, 7549, 1999, 28, 671, "Print",ExpressionUUID->"fefdf994-6c01-4f08-8932-bd2b5afc8926"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[294348, 7583, 7137, 191, 430, "Input",ExpressionUUID->"ebf5808d-5954-45de-bc9a-b8b7874c2fcf"],
Cell[CellGroupData[{
Cell[301510, 7778, 496, 9, 24, "Print",ExpressionUUID->"d13d955c-c924-465f-9a01-314ad9e5942c"],
Cell[302009, 7789, 2285, 56, 108, "Print",ExpressionUUID->"0bf89cf3-a3a0-4574-bd94-c5aa7ed23800"],
Cell[304297, 7847, 1438, 21, 405, "Print",ExpressionUUID->"0e477af0-be4f-4cbb-84ac-119ca345a0de"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

